<?php
    function company_model()
    {
        return new Company;
    }
    
    function companies()
    {
        $model = company_model();
        return $model->getCompanies();
    }
    
    function company($company_id)
    {
        $model = company_model();
        return $model->getCompanyById($company_id);
    }
    
    function company_exists($company_name)
    {
        $model = company_model();
        $row = $model->getCompanyByName($company_name);
        if (!empty($row) > 0) {
            return true;
        } else {
            return false;
        }
    }
    
    function company_email_exists($email)
    {
        $model = company_model();
        $row = $model->getCompanyByEmail($email);
        if (!empty($row) > 0) {
            return true;
        } else {
            return false;
        }
    }
    
    function super_company($company_id)
    {
        if (company($company_id)->company_id == 1) {
            return true;
        } else {
            return false;
        }
    }
    
    function owner_company($company_id = NULL)
    {
        if (isset($company_id)) {
            return company($company_id)->company_name;
        } else {
            return NULL;
        }
    }