<?php
    function fav_model()
    {
        return new Fav;
    }
    
    function favs($user_id)
    {
        $model = fav_model();
        return $model->getFavs($user_id);
    }
    
    function favs_array($user_id)
    {
        $array = array();
        foreach (favs($user_id) as $fav) {
            $array[] = $fav->chat_assistant_id;
        }
        return $array;
    }
    
    function assistant_attributes($fav_id, $user_id)
    {
        $border = 'primary';
        $action = 'add';
        $action_title = label('add_to_favourites');
        $action_icon = 'fa-solid fa-heart';
        if (in_array($fav_id, favs_array($user_id))) {
            $border = 'warning';
            $action = 'remove';
            $action_title = label('remove_from_favourites');
            $action_icon = 'fa-regular fa-heart';
        }
        $data = [
            'border' => $border,
            'action' => $action,
            'action_title' => $action_title,
            'action_icon' => $action_icon
        ];
        return (object)$data;
    }
    
    function fav($fav_id)
    {
        $model = fav_model();
        return $model->getFavById($fav_id);
    }
    
    function fav_by_assistant($assistant_id, $user_id)
    {
        $model = new Fav;
        return $model->getFavByChatAssistantId($assistant_id, $user_id);
    }