<?php
    function finetune_model()
    {
        return new Finetune;
    }
    
    function finetune_files($user_id = NULL)
    {
        $model = finetune_model();
        
        if (isset($user_id)) {
            $results = $model->getFineTunes($user_id);
        } else {
            $results = $model->getFineTunes();
        }
        
        return $results;
    }
    
    function finetune_file($finetune_id)
    {
        $model = finetune_model();
        return $model->getFineTuneById($finetune_id);
    }
    
    function finetune_by_output_model($output_model)
    {
        $model = finetune_model();
        return $model->getFinetuneByOutputModel($output_model);
    }
    
    function finetunes_between_dates($from_date, $to_date, $added_by = NULL)
    {
        $model = finetune_model();
        if (isset($added_by)) {
            $results = $model->getFinetunesBetweenDates($from_date, $to_date, $added_by);
        } else {
            $results = $model->getFinetunesBetweenDates($from_date, $to_date);
        }
        return $results;
    }
