<?php
    function homepage_model()
    {
        return new Homepage;
    }
    
    function homepage_sections()
    {
        $model = homepage_model();
        return $model->getHomepageSections();
    }
    
    function homepage_section($id)
    {
        $model = homepage_model();
        return $model->getHomepageSectionById($id);
    }
        
    function homepage_intro()
    {
        $model = homepage_model();
        return $model->getHomepageIntro();
    }
    
    function homepage_intro_items()
    {
        $model = homepage_model();
        return $model->getHomepageIntroItems();
    }
    
    function homepage_intro_item($id)
    {
        $model = homepage_model();
        return $model->getHomepageIntroItemById($id);
    }
    
    function homepage_choose()
    {
        $model = homepage_model();
        return $model->getHomepageChoose();
    }
    
    function homepage_choose_items()
    {
        $model = homepage_model();
        return $model->getHomepageChooseItems();
    }
    
    function homepage_features()
    {
        $model = homepage_model();
        return $model->getHomepageFeatures();
    }
    
    function homepage_features_items()
    {
        $model = homepage_model();
        return $model->getHomepageFeaturesItems();
    }
    
    function homepage_features_item($id)
    {
        $model = homepage_model();
        return $model->getHomepageFeaturesItemById($id);
    }
    
    function homepage_howitworks()
    {
        $model = homepage_model();
        return $model->getHomepageHowItWorks();
    }
    
    function homepage_howitworks_steps()
    {
        $model = homepage_model();
        return $model->getHomepageHowItWorksSteps();
    }
    
    function homepage_howitworks_step($id)
    {
        $model = homepage_model();
        return $model->getHomepageHowItWorksStepById($id);
    }
    
    function homepage_pricing()
    {
        $model = homepage_model();
        return $model->getHomepagePricing();
    }
    
    function homepage_faqs()
    {
        $model = homepage_model();
        return $model->getHomepageFaqs();
    }
    
    function homepage_footer_block()
    {
        $model = homepage_model();
        return $model->getHomepageFooterBlock();
    }
    
    function homepage_footer_block_features()
    {
        $model = homepage_model();
        return $model->getHomepageFooterBlockFeatures();
    }
    
    function homepage_footer_block_feature($id)
    {
        $model = homepage_model();
        return $model->getHomepageFooterBlockFeatureById($id);
    }
    
    function homepage_applications()
    {
        $model = homepage_model();
        return $model->getHomepageApplications();
    }
    
    function homepage_applications_items()
    {
        $model = homepage_model();
        return $model->getHomepageApplicationsItems();
    }
    
    function homepage_applications_item($id)
    {
        $model = homepage_model();
        return $model->getHomepageApplicationsItemById($id);
    }
    
    function homepage_trust()
    {
        $model = homepage_model();
        return $model->getHomepagetrust();
    }
    
    function homepage_trust_items()
    {
        $model = homepage_model();
        return $model->getHomepagetrustItems();
    }
    
    function homepage_trust_item($id)
    {
        $model = homepage_model();
        return $model->getHomepagetrustItemById($id);
    }
    
    function homepage_blog()
    {
        $model = homepage_model();
        return $model->getHomepageBlog();
    }
    
    function homepage_background($section_name)
    {
        $section = $section_name();
        $type = $section_name . '_background_type';
        $background = $section_name . '_background';
        if ($section->$type == 'static') {
            $value = 'background-color: ' . $section->$background;
        } elseif ($section->$type == 'gradient') {
            $value = 'background-image: ' . $section->$background;
        } elseif ($section->$type == 'image') {
            $value = 'background-image: url(' . URLROOT . '/app/uploads/media/' . $section->$background . ')';
        }
        return $value;
    }
    
    function load_homepage_sections($homepage_section, $status)
    {
        if ($homepage_section == 'howitworks' && $status) { ?>
            <!-- Work -->
            <section class="eai-how-it-works-container"
                     style="<?php echo homepage_background('homepage_howitworks'); ?>" id="howitworks">
                <div class="eai-how-it-works-section">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <div class="content">
                                    <h4><?php echo homepage_howitworks()->homepage_howitworks_heading; ?></h4>
                                    <h2><?php echo homepage_howitworks()->homepage_howitworks_title; ?></h2>
                                    <p class="eai-fs-1"><?php echo homepage_howitworks()->homepage_howitworks_description; ?></p>
                                </div>
                            </div>
                        </div>
                        <div class="row position-relative" data-aos="fade-up">
                            <figure class="eai-how-it-works-left-image mb-0">
                                <img src="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>/howitworks-start.png" alt=""
                                     class="img-fluid">
                            </figure>
                            <?php $number = 0;
                                foreach (homepage_howitworks_steps() as $step) { ?>
                                    <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                                        <div class="eai-how-it-works-content">
                                            <div class="image">
                                                <figure class="icon mb-0">
                                                    <?php echo $step->homepage_howitworks_step_icon; ?>
                                                </figure>
                                                <span class="number"><?php echo $step->homepage_howitworks_step_id; ?></span>
                                            </div>
                                            <h4><?php echo $step->homepage_howitworks_step_title; ?></h4>
                                            <p class="eai-fs-2"><?php echo $step->homepage_howitworks_step_description; ?></p>
                                            <?php
                                                $arrayRepresentation = (array)(homepage_howitworks_steps());
                                                $keys = array_keys($arrayRepresentation);
                                                $lastKey = end($keys);
                                                $lastValue = $arrayRepresentation[$lastKey];
                                                
                                                if ($lastValue->homepage_howitworks_step_id != $step->homepage_howitworks_step_id) { ?>
                                                    <figure class="eai-how-it-works-centre-image mb-0">
                                                        <img src="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>/howitworks-middle-<?php if ($number % 2 == 0) {
                                                            echo "up";
                                                        } else {
                                                            echo "down";
                                                        } ?>.png" alt="" class="img-fluid">
                                                    </figure>
                                                <?php } ?>
                                        </div>
                                    </div>
                                    <?php $number++;
                                } ?>
                            <figure class="eai-how-it-works-right-image mb-0">
                                <img src="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>/howitworks-end.png" alt=""
                                     class="img-fluid">
                            </figure>
                        </div>
                    </div>
                </div>
            </section>
        <?php } ?>
        <?php if ($homepage_section == 'optimize' && $status) { ?>
        <!-- Optimize -->
        <section class="eai-eai-optimize-container" style="<?php echo homepage_background('homepage_choose'); ?>"
                 id="optimize">
            <div class="eai-optimize-section">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="content">
                                <h4><?php echo homepage_choose()->homepage_choose_heading; ?></h4>
                                <h2><?php echo homepage_choose()->homepage_choose_title; ?></h2>
                            </div>
                        </div>
                    </div>
                    <div class="row" data-aos="fade-up">
                        <div class="col-lg-6 col-md-12 col-sm-12 col-12">
                            <div class="eai-optimize-content">
                                <div class="properties">
                                    <ul class="list-unstyled mb-0 first-list">
                                        <?php
                                            foreach (homepage_choose_items() as $homepage_choose_item) {
                                                if ($homepage_choose_item->homepage_choose_item_id % 2 == 0) {
                                                    ?>
                                                    <li class="eai-fs-2"><i
                                                                class="circle fa-duotone fa-check"></i><?php echo $homepage_choose_item->homepage_choose_item; ?>
                                                    </li>
                                                <?php } ?>
                                            <?php } ?>
                                    </ul>
                                    <ul class="list-unstyled mb-0 second-list">
                                        <?php
                                            foreach (homepage_choose_items() as $homepage_choose_item) {
                                                if ($homepage_choose_item->homepage_choose_item_id % 2 != 0) {
                                                    ?>
                                                    <li class="eai-fs-2"><i
                                                                class="circle fa-duotone fa-check"></i><?php echo $homepage_choose_item->homepage_choose_item; ?>
                                                    </li>
                                                <?php } ?>
                                            <?php } ?>
                                    </ul>
                                </div>
                                <a class="eai-pricing-plan" href="#pricing"><?php echo label('see_pricing_plan'); ?></a>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12 col-sm-12 col-12">
                            <div class="eai-optimize-wrapper">
                                <div class="box"></div>
                                <figure class="eai-optimize-image-top mb-0">
                                    <img src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . homepage_choose()->homepage_choose_top_image; ?>"
                                         alt="" class="img-fluid">
                                </figure>
                                <figure class="eai-optimize-image-bottom mb-0">
                                    <img src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . homepage_choose()->homepage_choose_bottom_image; ?>"
                                         alt="" class="img-fluid">
                                </figure>
                                <?php if (page(getOption('contact_us_page'))) { ?>
                                    <a class=""
                                       href="<?php echo URLROOT . '/' . page(getOption('contact_us_page'))->page_slug; ?>"><i
                                                class="comment fa-solid fa-comment-dots"></i></a>
                                <?php } ?>
                                <a class="" href="#pricing"><i class="cart fa-solid fa-cart-shopping"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <?php } ?>
        <?php if ($homepage_section == 'applications' && $status) { ?>
        <!-- Applications -->
        <section class="eai-application-container" style="<?php echo homepage_background('homepage_applications'); ?>"
                 id="applications">
            <div class="eai-application-section">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                            <div class="content">
                                <h4><?php echo homepage_applications()->homepage_applications_heading; ?></h4>
                                <h2><?php echo homepage_applications()->homepage_applications_title; ?></h2>
                            </div>
                        </div>
                    </div>
                    <div class="row" data-aos="fade-up">
                        <div class="owl-carousel owl-theme">
                            <?php foreach (homepage_applications_items() as $applications_item) { ?>
                                <div class="item">
                                    <div class="eai-application-box">
                                        <figure class="icon mb-0">
                                            <?php echo $applications_item->homepage_applications_item_icon; ?>
                                        </figure>
                                        <div class="content-box">
                                            <h4><?php echo $applications_item->homepage_applications_item; ?></h4>
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <?php } ?>
        <?php if ($homepage_section == 'pricing' && $status) { ?>
        <!-- Pricing -->
        <section class="eai-pricing-container" style="<?php echo homepage_background('homepage_pricing'); ?>"
                 id="pricing">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="content">
                            <h4><?php echo homepage_pricing()->homepage_pricing_heading; ?></h4>
                            <h2><?php echo homepage_pricing()->homepage_pricing_title; ?></h2>
                        </div>
                    </div>
                </div>
                <div class="row tab-vedio-five-main-wrapper">
                    <div class="overflow-hidden mb-1">
                        <ul class="nav nav-tabs nav-tabs-stretch mt-5 border border-primary rounded-5 py-1">
                            <?php foreach (package_groups() as $key => $group) { ?>
                                    <li class="w-sm-50 w-lg-auto nav-link">
                                        <button class="nav-item w-100 w-lg-auto <?php if ($key == 'months') {
                                            echo "active";
                                        } ?>" data-bs-toggle="tab"
                                                data-bs-target="#<?php echo $group; ?>"><span><?php echo label($group); ?> <?php if ($key == 'years') {echo !empty(highest_package_discount_percentage() && highest_package_discount_percentage()>0) ? '<span class="badge rounded-pill text-bg-danger">'.label('upto').' '.highest_package_discount_percentage().'% '.label('off').'</span>' : NULL; } ?></span>
                                        </button>
                                    </li>
                                <?php } ?>
                        </ul>
                    </div>
                    <div class="tab-content">
                        <?php foreach (package_groups() as $key => $group) { ?>
                            <div class="tab-pane p-lg-3 fade <?php if ($key == 'months') {
                                echo "show active";
                            } ?>" id="<?php echo $group; ?>" tabindex="0">
                            <div class="row" data-aos="fade-up">
                                <?php foreach (packages(($key == 'others') ? 1 : 0)  as $package) {
                                    if($package->is_private != 1 || ($package->is_private==1 && user_id() && private_package($package->package_id, user_id()))){
                                	$package_cost = ($package->is_custom) ? 'package_cost' : 'package_'.$group.'_cost';
                                	if (($package->$package_cost != 0) || ($package->$package_cost == 0 && $package->is_free_trial) && !in_array($group, array('yearly','lifetime'))) {
                                	?>
                                            <div class="col-lg-4 col-md-6 col-sm-6 col-12">
                                                <div class="eai-pricing-content">
                                                    <h4><?php echo $package->package_name; ?></h4>
                                                    <span><?php echo currency_format($package->$package_cost); ?> 
                                                    <?php if(in_array($key, array('months','years','lifetime'))){
                                                        echo label('per').' '.label(singularize($key));
                                                    }else{
                                                        echo '('.$package->package_duration.'  '.label(($package->package_duration==1) ? singularize($package->package_duration_type) : $package->package_duration_type).')';
                                                    } ?>
                                                    </span>
                                                    <ul class="list-unstyled">
                                                        <li class="eai-fs-1"><i class="circle fa-duotone fa-check"></i>
                                                            <?php echo ($package->package_chat_assistants == -1) ? label('unlimited') : number_format($package->package_chat_assistants); ?> <?php echo label('chat_assistants'); ?>
                                                        </li>
                                                        <li class="eai-fs-1"><i class="circle fa-duotone fa-check"></i>
                                                            <?php echo ($package->package_trained_models == -1) ? label('unlimited') : number_format($package->package_trained_models); ?>
                                                            <?php echo label('trained_models'); ?>
                                                        </li>
                                                        <li class="eai-fs-1"><i class="circle fa-duotone fa-check"></i>
                                                            <?php echo ($package->package_chat_files == -1) ? label('unlimited') : number_format($package->package_chat_files); ?>
                                                            <?php echo label('chat_files'); ?>
                                                        </li>
                                                        <li class="eai-fs-1"><i class="circle fa-duotone fa-check"></i>
                                                            <?php echo ($package->package_chat_links == -1) ? label('unlimited') : number_format($package->package_chat_links); ?>
                                                            <?php echo label('chat_links'); ?>
                                                        </li>
                                                        <li class="eai-fs-1"><i class="circle fa-duotone fa-check"></i>
                                                            <?php echo ($package->package_chat_sitemaps == -1) ? label('unlimited') : number_format($package->package_chat_sitemaps); ?>
                                                            <?php echo label('chat_sitemaps'); ?>
                                                        </li>
                                                        <li class="eai-fs-1"><i class="circle fa-duotone fa-check"></i>
                                                            <?php echo ($package->package_words == -1) ? label('unlimited') : number_format($package->package_words); ?>
                                                            <?php echo label('words'); ?>
                                                        </li>
                                                        <li class="<?php echo !empty($package->accept_custom_branding) ? 'eai-fs-1' : 'not_available eai-fs-1'; ?>">
                                                            <i class="<?php echo !empty($package->accept_custom_branding) ? 'circle fa-duotone fa-check' : 'circle fa-solid fa-xmark'; ?>"></i>
                                                            <?php echo label('accept_custom_branding'); ?>
                                                        </li>
                                                        <?php foreach (package_features() as $feature) { ?>
                                                            <?php
                                                            if (in_array($feature->package_feature_id, package_items_array($package->package_id))) {
                                                                $li = 'eai-fs-1';
                                                                $fa = 'circle fa-duotone fa-check';
                                                            } else {
                                                                $li = 'not_available eai-fs-1';
                                                                $fa = 'circle fa-solid fa-xmark';
                                                            }
                                                            ?>
                                                            <li class="<?php echo $li; ?>"><i
                                                                        class="<?php echo $fa; ?>"></i><?php echo $feature->package_feature_description; ?>
                                                            </li>
                                                        <?php } ?>
                                                    </ul>
                                                    <form action="<?php echo URLROOT; ?>/packages/choose/<?php echo $package->package_id; ?>"
                                                        method="post" autocomplete="off" enctype="multipart/form-data">
                                                        <div class="form-group mb-3">
                                                            <button class="btn w-100 eai-pricing-subscribe-button text-decoration-none"
                                                                    type="submit">
                                                                <input type="hidden" value="<?php echo $package->package_id; ?>"
                                                                    class="form-control" name="package_id">
                                                                <input type="hidden" value="<?php echo $group; ?>"
                                                                    class="form-control" name="package_group">
                                                                <?php echo label('subscribe'); ?>
                                                            </button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        <?php 
                                    }
                                }
                                    }
                                    ?>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </section>
    <?php } ?>
        <?php if ($homepage_section == 'trust' && $status) { ?>
        <!-- Trust -->
        <section class="eai-trust-container" style="<?php echo homepage_background('homepage_trust'); ?>" id="trust">
            <div class="container">
                <div class="row" data-aos="fade-up">
                    <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                        <div class="eai-trust-wrapper">
                            <div class="box"></div>
                            <figure class="eai-trust-image mb-0">
                                <img src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . homepage_trust()->homepage_trust_image; ?>"
                                     alt="" class="img-fluid">
                            </figure>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                        <div class="eai-trust-content">
                            <h4><?php echo homepage_trust()->homepage_trust_heading; ?></h4>
                            <h2><?php echo homepage_trust()->homepage_trust_title; ?></h2>
                            <p class="eai-fs-1"><?php echo homepage_trust()->homepage_trust_description; ?></p>
                            <ul class="list-unstyled mb-0">
                                <?php foreach (homepage_trust_items() as $homepage_trust_item) { ?>
                                    <li class="eai-fs-2"><i
                                                class="circle fa-duotone fa-check"></i><?php echo $homepage_trust_item->homepage_trust_item; ?>
                                    </li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <?php } ?>
        <?php if ($homepage_section == 'features' && $status) { ?>
        <!-- Feature -->
        <section class="eai-feature-container" style="<?php echo homepage_background('homepage_features'); ?>"
                 id="features">
            <div class="eai-feature-section">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="content">
                                <h4><?php echo homepage_features()->homepage_features_heading; ?></h4>
                                <h2><?php echo homepage_features()->homepage_features_title; ?></h2>
                            </div>
                        </div>
                    </div>
                    <div class="row" data-aos="fade-up">
                        <div class="col-lg-6 col-md-12 col-sm-12 col-12">
                            <div class="eai-feature-content-box">
                                <div class="upper-row">
                                    <div class="row">
                                        <?php foreach (homepage_features_items() as $homepage_features_item) { ?>
                                            <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                                                <div class="eai-feature-box">
                                                    <h4 class="text-center">
                                                        <?php echo $homepage_features_item->homepage_features_item_icon; ?>
                                                    </h4>
                                                    <span class="h4">
	                                            <span class="lh-base"><?php echo $homepage_features_item->homepage_features_item; ?></span>
	                                            </span>

                                                    <p class="eai-fs-2"><?php echo $homepage_features_item->homepage_features_item_description; ?></p>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12 col-sm-12 col-12">
                            <div class="eai-feature-wrapper">
                                <div class="box"></div>
                                <figure class="eai-feature-image mb-0">
                                    <img src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . homepage_features()->homepage_features_image; ?>"
                                         alt="" class="img-fluid">
                                </figure>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <?php } ?>
        <?php if ($homepage_section == 'blog' && $status) { ?>
        <!-- Blog -->
        <section class="eai-blog-container" style="<?php echo homepage_background('homepage_blog'); ?>" id="blog">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="content">
                            <h4><?php echo homepage_blog()->homepage_blog_heading; ?></h4>
                            <h2><?php echo homepage_blog()->homepage_blog_title; ?></h2>
                        </div>
                    </div>
                </div>
                <div class="row" data-aos="fade-up">
                    <?php foreach (array_slice(posts(), 0, 3) as $key => $post) { ?>
                        <div class="col-lg-4 col-md-6 col-sm-6 col-12 order-lg-1 order-1">
                            <div class="eai-eai-blog-box-content">
                                <div class="eai-blog-upper-portion">
                                    <figure class="mb-0"><img
                                                src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . $post->post_featured_image; ?>"
                                                alt=""></figure>
                                </div>
                                <div class="eai-blog-lower-portion-wrapper">
                                    <span class="eai-fs-3"><?php echo dateTimeFormat($post->post_date_added); ?></span>
                                    <span class="dash">-</span>
                                    <span class="eai-fs-3"><?php echo !empty(count(post_comments($post->post_id))) ? count(post_comments($post->post_id)) : label('no'); ?> <?php echo label((count(post_comments($post->post_id))==1) ? 'comment'  : 'comments'); ?></span>
                                    <h4 class="heading"><a class="link-primary"
                                                           href="<?php echo URLROOT . '/blog/' . $post->post_slug; ?>"><?php echo $post->post_title; ?></a>
                                    </h4>
                                    <p class="text mb-0 eai-fs-2"><?php echo shorten_string(strip_tags($post->post_description), 75); ?></p>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <div class="button">
                    <a class="view-more" href="<?php echo URLROOT; ?>/blog"><?php echo label('all_posts'); ?></a>
                </div>
            </div>
        </section>
    <?php } ?>
        <?php if ($homepage_section == 'faqs' && $status) { ?>
        <!-- FAQ -->
        <section class="eai-faq-container" style="<?php echo homepage_background('homepage_faqs'); ?>" id="faqs">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="content">
                            <h4><?php echo homepage_faqs()->homepage_faqs_heading; ?></h4>
                            <h2><?php echo homepage_faqs()->homepage_faqs_title; ?></h2>
                        </div>
                    </div>
                </div>
                <div class="eai-faq-content">
                    <div class="row" data-aos="fade-up">
                        <div class="col-12">
                            <div class="accordion" id="custom_accordion">
                                <?php foreach (faqs() as $key => $faq) { ?>
                                    <?php if ($faq->faq_status_id == 2) { ?>
                                        <div class="accordion-item <?php if ($key == 0) {
                                            echo 'active';
                                        } ?>">
                                            <h5 class="accordion-header" id="heading<?php echo $faq->faq_slug; ?>">
                                                <button class="accordion-button collapsed btn-link" type="button"
                                                        data-bs-toggle="collapse"
                                                        data-bs-target="#<?php echo $faq->faq_slug; ?>"
                                                        aria-expanded="true"
                                                        aria-controls="<?php echo $faq->faq_slug; ?>">
                                                    <?php echo $faq->faq_title; ?>
                                                </button>
                                            </h5>
                                            <div id="<?php echo $faq->faq_slug; ?>"
                                                 class="accordion-collapse collapse <?php if ($key == 0) {
                                                     echo 'show';
                                                 } ?>" aria-labelledby="heading<?php echo $faq->faq_slug; ?>"
                                                 data-bs-parent="#custom_accordion">
                                                <div class="accordion-body">
                                                    <p class="eai-fs-1 text-left mb-0"><?php echo $faq->faq_content; ?>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    <?php } ?>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <?php } ?>
    <?php }
    
    
    function image_modal($title, $image)
    {
        $modal = '<div class="modal-header">';
        $modal .= '<h1 class="modal-title fs-5" id="exampleModalLabel">' . $title . '</h1>';
        $modal .= '<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="' . label('close') . '"></button></h3>';
        $modal .= '</div>';
        $modal .= '<div class="modal-body">';
        $modal .= '<img class="w-100 rounded-5" src="' . URLROOT . '/app' . MEDIA_FOLDER . $image . '">';
        $modal .= '</div>';
        return $modal;
    }