<?php
    function payment_model()
    {
        return new Payment;
    }
    
    function payment_options($payment_option_online = NULL)
    {
        $model = payment_model();
        if (isset($payment_option_online)) {
            $results = $model->getPaymentOptions($payment_option_online);
        } else {
            $results = $model->getPaymentOptions();
        }
        return $results;
    }
    
    function payment_option($payment_option)
    {
        $model = payment_model();
        return $model->getPaymentOptionById($payment_option);
    }
    
    function payment_option_slug($payment_option)
    {
        $model = payment_model();
        return $model->getPaymentOptionBySlug($payment_option);
    }