<?php
    function post_model()
    {
        return new Post;
    }
    
    function posts($post_status_id = NULL)
    {
        $model = post_model();
        $results = $model->getPosts();
        if ($post_status_id) {
            $results = $model->getPosts($post_status_id);
        }
        return $results;
    }
    
    function post($post_id)
    {
        $model = post_model();
        return $model->getPostById($post_id);
    }
    
    function next_post($post_id)
    {
        $model = post_model();
        return $model->getNextPostById($post_id);
    }
    
    function previous_post($post_id)
    {
        $model = post_model();
        return $model->getPreviousPostById($post_id);
    }
    
    function posts_by_category($post_category_id, $post_status_id = NULL)
    {
        $model = post_model();
        $results = $model->getPostsByCategoryId($post_category_id);
        if ($post_status_id) {
            $results = $model->getPostsByCategoryId($post_category_id, $post_status_id);
        }
        return $results;
    }
    
    function post_categories()
    {
        $model = post_model();
        return $model->getPostCategories();
    }
    
    function post_category($post_id)
    {
        $model = post_model();
        return $model->getPostCategoryById($post_id);
    }
    
    function post_comments($post_id)
    {
        $model = post_model();
        return $model->getPostComments($post_id);
    }
    
    function post_comment_replies($comment_id)
    {
        $model = post_model();
        return $model->getPostCommentReplies($comment_id);
    }

