<?php
    function ticket_model()
    {
        return new ticket;
    }
    
    function tickets($user_id = NULL)
    {
        $model = ticket_model();
        
        if (isset($user_id)) {
            $results = $model->getTickets($user_id);
        } else {
            $results = $model->getTickets();
        }
        
        return $results;
    }
    
    function ticket($ticket_id)
    {
        $model = ticket_model();
        return $model->getTicketById($ticket_id);
    }
    
    function ticket_replies($ticket_id)
    {
        $model = ticket_model();
        return $model->getTicketReplies($ticket_id);
    }
    
    function ticket_statuses()
    {
        $model = ticket_model();
        return $model->getTicketStatuses();
    }
    
    function ticket_status($ticket_status_id)
    {
        $model = ticket_model();
        return $model->getTicketStatusById($ticket_status_id);
    }
    
    function ticket_priorities()
    {
        $model = ticket_model();
        return $model->getTicketPriorities();
    }
    
    function ticket_priority($ticket_priority_id)
    {
        $model = ticket_model();
        return $model->getTicketPriorityById($ticket_priority_id);
    }
