<?php include("header.php"); ?>

    <body>
    <?php include("nav.php"); ?>
    <div class="box-login">
        <?php
            if (isset($_GET['step']) && ($_GET['step'] == 1 || $_GET['step'] == 'start_over')){
        ?>
        <?php
            $error = false;
            if (phpversion() < "8.2") {
                $error = true;
                $requirement1 = "<span class='badge bg-danger'>Your PHP version is " . phpversion() . "</span>";
            } else {
                $requirement1 = "<span class='badge bg-success'>v." . phpversion() . "</span>";
            }
            
            if (!extension_loaded('mysqli')) {
                $error = true;
                $requirement3 = "<span class='badge bg-danger'>Not enabled</span>";
            } else {
                $requirement3 = "<span class='badge bg-success'>Enabled</span>";
            }
            
            if (!extension_loaded('pdo')) {
                $error = true;
                $requirement4 = "<span class='badge bg-danger'>Not enabled</span>";
            } else {
                $requirement4 = "<span class='badge bg-success'>Enabled</span>";
            }
            
            if (!extension_loaded('curl')) {
                $error = true;
                $requirement6 = "<span class='badge bg-danger'>Not enabled</span>";
            } else {
                $requirement6 = "<span class='badge bg-success'>Enabled</span>";
            }
            if (curl_version()['version']<'7.65.0') {
                $error = true;
                $requirement9 = "<span class='badge bg-danger'>Your Curl version is ".curl_version()['version']."</span>";
            } else {
                $requirement9 = "<span class='badge bg-success'>v".curl_version()['version']."</span>";
            }
            
            if (!extension_loaded('zip')) {
                $error = true;
                $requirement5 = "<span class='badge bg-danger'>Zip Extension is not enabled</span>";
            } else {
                $requirement5 = "<span class='badge bg-success'>Enabled</span>";
            }
            
            if (!is_writable('../../app/config/config.php')) {
                $error = true;
                $requirement7 = "<span class='badge bg-danger'>Not writable!</span>";
            } else {
                $requirement7 = "<span class='badge bg-success'>Writable</span>";
            }
            if (!is_writable('../../app/uploads')) {
                $error = true;
                $requirement8 = "<span class='badge bg-danger'>Not writable!</span>";
            } else {
                $requirement8 = "<span class='badge bg-success'>Writable</span>";
            }
        
        ?>
        <table class="table table-hover">
            <thead>
            <tr>
                <th>Requirements</th>
                <th>Result</th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>PHP 8.2+</td>
                <td><?php echo $requirement1; ?></td>
            </tr>
            <tr>
                <td>MySQLi PHP Extension</td>
                <td><?php echo $requirement3; ?></td>
            </tr>
            <tr>
                <td>PDO PHP Extension</td>
                <td><?php echo $requirement4; ?></td>
            </tr>
            </tr>
            <td>Zip PHP Extension</td>
            <td><?php echo $requirement5; ?></td>
            </tr>
            <tr>
                <td>cURL PHP Extension</td>
                <td><?php echo $requirement6; ?></td>
            </tr>
            <tr>
                <td>cURL 7.65.0+</td>
                <td><?php echo $requirement9; ?></td>
            </tr>
            <tr>
                <td>config.php writable</td>
                <td><?php echo $requirement7; ?></td>
            </tr>
            <tr>
                <td>Uploads Folder writable</td>
                <td><?php echo $requirement8; ?></td>
            </tr>
            </tbody>
        </table>
    </div>
        <div>
            <?php if (!$error) { ?>
                <a href="setup_config.php?step=2">
                    <button class="btn btn-outline-primary next-step btn-wide float-end"><?php echo('Proceed to Database Setup'); ?></button>
                </a>
            <?php } else { ?>
                <span class="badge bg-danger float-end fs-5 fw-bold">Make sure all the requirements and permissions are met</span>
            <?php } ?>
        </div>
    <?php
        } else {
        header("Location:requirements.php?step=1");
    }
    ?>
    </body>
<?php include("footer.php"); ?>