<?php include("header.php"); ?>
    <body>
    <?php include("nav.php"); ?>
    <?php if (!isset($_GET['step']) || ($_GET['step'] == 2)) {
        //Get protocol
        if (isset($_SERVER['HTTPS']) &&
            ($_SERVER['HTTPS'] == 'on' || $_SERVER['HTTPS'] == 1) ||
            isset($_SERVER['HTTP_X_FORWARDED_PROTO']) &&
            $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https') {
            $protocol = 'https://';
        } else {
            $protocol = 'http://';
        }
        $url = $protocol . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
        $urlroot = str_replace("/app/install/setup_config.php?step=2", "", "$url");
        ?>
        <?php
        require_once '../config/config.php';
        
        if (DB_HOST == 'YOUR_DATABASE_HOST') {
            ?>
            <form method="post" action="company_profile.php?step=3" autocomplete="off" enctype="multipart/form-data">
                <div>
					<span>
						<p><?php echo('Welcome to EmbedAI. Before getting started, we need some information on the database. You will need to know the following items before proceeding.') ?></p>
						<ol>
							<li><?php echo('Database name'); ?></li>
							<li><?php echo('Database username'); ?></li>
							<li><?php echo('Database password'); ?></li>
							<li><?php echo('Database host'); ?></li>
						</ol>
						<p>
							<?php echo('We&#8217;re going to use this information to create a <code>config.php</code> file.'); ?>
							<strong><?php echo("If for any reason this automatic file creation doesn&#8217;t work, don&#8217;t worry. All this does is fill in the database information to a configuration file. You may also simply open <code>config-sample.php</code> in a text editor, fill in your information, and save it as <code>config.php</code>."); ?></strong>
							<?php echo("Need more help? <a href='http://help.mybizcms.com/editing-config'>Read here</a>."); ?>
						</p>
						<p><?php echo("In all likelihood, these items were supplied to you by your Web Host. If you do not have this information, then you will need to contact them before you can continue. If you&#8217;re all ready&hellip;"); ?></p>
					</span>
                    <p><?php echo("Below you should enter your database connection details. If you&#8217;re not sure about these, contact your host."); ?></p>
                    <input class="form-control" name="urlroot" id="urlroot"
                           type="hidden"
                           value="<?php echo $urlroot; ?>"/>
                    <div class="form-floating mb-3 mt-3">
                        <input class="form-control" name="dbhost" id="dbhost" type="text" value="localhost"/>

                        <label for="email">Database host</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input class="form-control" name="dbname" id="dbname" type="text"/>
                        <label for="dbname">Database name</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input class="form-control" name="uname" id="uname" type="text"/>
                        <label for="uname">User name</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input class="form-control" name="pwd" id="pwd" type="text"/>
                        <label for="pwd">Password</label>
                    </div>
                </div>
                <div>
                    <a href="requirements.php?step=1">
                        <button class="btn btn-outline-danger next-step float-start mb-3"><?php echo('Start Over'); ?></button>
                    </a>
                    <button class="btn btn-outline-primary next-step float-end mb-3"><?php echo('Install & Proceed to Company Profile'); ?></button>
                </div>
            </form>
        <?php } else { ?>
            <div>
                <a href="requirements.php?step=1">
                    <button class="btn btn-outline-danger next-step float-start"><?php echo('Start Over'); ?></button>
                </a>
            </div>
        <?php }
    } ?>
    </body>
<?php include("footer.php"); ?>