<?php include("header.php"); ?>

<body class="box-login">
<?php include("nav.php"); ?>
<div class="box-login">
<?php
if(isset($_POST['update'])){ ?>
<?php
require_once '../config/config.php';

// Create connection
$conn = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME);
// Check connection
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

$import_tables = TRUE;
if($import_tables){
$sql = "UPDATE options SET option_value = '2.7 build 20240824' WHERE option_name = 'system_version';";
$sql .= "UPDATE options SET option_value = '2.7 build 20240824' WHERE option_name = 'database_version';";
//1.1
$query111 = mysqli_query($conn, "SHOW TABLES LIKE 'assistant_files'");
if (mysqli_num_rows($query111) == 0) {
	$sql .= "CREATE TABLE assistant_files(
	assistant_file_id INT(11) NOT NULL AUTO_INCREMENT,
	assistant_file LONGTEXT NULL DEFAULT NULL COLLATE latin1_swedish_ci,
	assistant_file_size FLOAT NULL DEFAULT NULL,
	assistant_id VARCHAR(255) NULL DEFAULT NULL COLLATE latin1_swedish_ci,
	assistant_file_output_id VARCHAR(255) NULL DEFAULT NULL COLLATE latin1_swedish_ci,
	assistant_file_output_status VARCHAR(255) NULL DEFAULT NULL COLLATE latin1_swedish_ci,
	assistant_file_added_by INT(11) NULL DEFAULT NULL,
	assistant_file_date_added DATETIME NULL DEFAULT NULL,
	PRIMARY KEY (assistant_file_id));";
}
$query112 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'enable_homepage'");
if (mysqli_num_rows($query112) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('enable_homepage',0, 1);";
}
$query113 = mysqli_query($conn, "SHOW COLUMNS FROM chat_messages LIKE 'assistant_file_id'");
if(!mysqli_num_rows($query113)) {
	$sql .= "ALTER TABLE chat_messages ADD COLUMN assistant_file_id INT(11) NULL DEFAULT NULL AFTER is_bot;";
}
$query114 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'widget_document_retries'");
if(!mysqli_num_rows($query114)) {
	$sql .= "ALTER TABLE users ADD COLUMN widget_document_timeout BIGINT(20) NULL DEFAULT NULL AFTER widget_visit_timeout, ADD COLUMN widget_document_retries BIGINT(20) NULL DEFAULT NULL AFTER widget_document_timeout;";
}

//1.2
$query121 = mysqli_query($conn, "SHOW TABLES LIKE 'paddle_settings'");
if (mysqli_num_rows($query121) == 0) {
	$sql .= "CREATE TABLE paddle_settings (
	paddle_id INT(11) NOT NULL AUTO_INCREMENT,
	paddle_status INT(11) NULL DEFAULT NULL,
	paddle_url VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	paddle_api_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	paddle_client_side_token VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	PRIMARY KEY (paddle_id));";
	$sql .= "INSERT INTO paddle_settings (paddle_status, paddle_url, paddle_api_key, paddle_client_side_token) VALUES (1, 'https://api.paddle.com/', NULL, NULL);";
	$sql .= "INSERT INTO paddle_settings (paddle_status, paddle_url, paddle_api_key, paddle_client_side_token) VALUES (0, 'https://sandbox-api.paddle.com/', NULL, NULL);";
}
$query122 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'paddle_live_enabled'");
if (mysqli_num_rows($query122) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('paddle_live_enabled', '0', 1);";
}
$query123 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'paddle_label'");
if (mysqli_num_rows($query123) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('paddle_label', 'Pay with Paddle', 1);";
}
$query124 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'paddle'");
if (mysqli_num_rows($query124) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('paddle', 'Paddle', NULL, 'USD,EUR,GBP,ARS,AUD,BRL,CAD,CHF,COP,CNY,CZK,DKK,HKD,HUF,INR,ILS,MXN,NOK,NZD,PLN,RUB,SEK,SGD,THB,TRY,TWD,UAH,ZAR', 'JPY,KRW', 1, 1, 1, '2023-11-25 11:39:49');";
}

//1.4
$query141 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'user_remaining_chat_files'");
if(!mysqli_num_rows($query141)) {
	$sql .= "ALTER TABLE users ADD COLUMN user_remaining_chat_files INT(11) NULL DEFAULT '0' AFTER user_remaining_trained_models, ADD COLUMN user_chat_files LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER user_bots;";
}
$query142 = mysqli_query($conn, "SHOW COLUMNS FROM chats LIKE 'chat_file_id'");
if(!mysqli_num_rows($query142)) {
	$sql .= "ALTER TABLE chats ADD COLUMN chat_file_id INT(11) NULL DEFAULT NULL AFTER assistant_id;";
}
$query143 = mysqli_query($conn, "SHOW TABLES LIKE 'chat_files'");
if (mysqli_num_rows($query143) == 0) {
	$sql .= "CREATE TABLE chat_files (
	chat_file_id INT(11) NOT NULL AUTO_INCREMENT,
	chat_file LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_size FLOAT NULL DEFAULT NULL,
	chat_file_output_id VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_output_filename LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_output_size FLOAT NULL DEFAULT NULL,
	chat_file_output_status VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_job_output_id VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_job_output_status VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_job_output_model VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_job_output_tokens VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_file_added_by INT(11) NULL DEFAULT NULL,
	chat_file_date_added DATETIME NULL DEFAULT NULL,
	PRIMARY KEY (chat_file_id));";
}

//1.5
$query151 = mysqli_query($conn, "SHOW COLUMNS FROM chat_files LIKE 'chat_link'");
if(!mysqli_num_rows($query151)) {
	$sql .= "ALTER TABLE chat_files
	CHANGE COLUMN chat_file_job_output_id chat_link VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER chat_file_output_status,
	DROP COLUMN chat_file_job_output_status,
	DROP COLUMN chat_file_job_output_model,
	DROP COLUMN chat_file_job_output_tokens;";
}
$query152 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'user_chat_links'");
if(!mysqli_num_rows($query152)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN user_remaining_chat_links INT(11) NULL DEFAULT '0' AFTER user_remaining_chat_files,
	ADD COLUMN user_chat_links LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER user_chat_files;";
}
$query153 = mysqli_query($conn, "SELECT * FROM navigation WHERE navigation_name = 'files'");
if (mysqli_num_rows($query153) == 0) {
	$sql .= "INSERT INTO navigation (navigation_name, navigation_icon, navigation_date_added) VALUES ('files', '<i class=\"fa-solid fa-file\"></i>', '2024-04-18 12:05:55');";
}
$query154 = mysqli_query($conn, "SELECT * FROM navigation WHERE navigation_name = 'links'");
if (mysqli_num_rows($query154) == 0) {
	$sql .= "INSERT INTO navigation (navigation_name, navigation_icon, navigation_date_added) VALUES ('links', '<i class=\"fa-solid fa-link\"></i>', '2024-04-18 12:05:55');";
}
$query155 = mysqli_query($conn, "SELECT * FROM navigation WHERE navigation_name = 'servers'");
if (mysqli_num_rows($query155) == 0) {
	$sql .= "INSERT INTO navigation (navigation_name, navigation_icon, navigation_date_added) VALUES ('servers', '<i class=\"fa-solid fa-server\"></i>', '2024-04-18 12:05:55');";
}
$query156 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'user_chat_icon_animation'");
if(!mysqli_num_rows($query156)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN user_chat_icon_animation VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER user_chat_links;";
}
$query157 = mysqli_query($conn, "SHOW TABLES LIKE 'chat_icon_animations'");
if (mysqli_num_rows($query157) == 0) {
	$sql .= "CREATE TABLE chat_icon_animations (
	chat_icon_animation_id INT(11) NOT NULL AUTO_INCREMENT,
	chat_icon_animation VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	PRIMARY KEY (chat_icon_animation_id));";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('pulsing');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('bounce');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('speech');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('wave');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('rotate');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('mascot');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('fade');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('float');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('glow');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('pop-in-out');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('shake');";
	$sql .= "INSERT INTO chat_icon_animations (chat_icon_animation) VALUES ('sparkle');";
}

//1.6
$query161 = mysqli_query($conn, "SHOW COLUMNS FROM chat_files LIKE 'is_sitemap'");
if(!mysqli_num_rows($query161)) {
	$sql .= "ALTER TABLE chat_files ADD COLUMN is_sitemap INT(11) NULL DEFAULT NULL AFTER chat_link;";
}
$query162 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'backup_database_automatically_after'");
if (mysqli_num_rows($query162) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('backup_database_automatically_after', '1 days', 1);";
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('last_database_backup', '1', 1);";
}
$query163 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'user_remaining_chat_sitemaps'");
if(!mysqli_num_rows($query163)) {
	$sql .= "ALTER TABLE users ADD COLUMN user_remaining_chat_sitemaps INT(11) NULL DEFAULT '0' AFTER user_remaining_chat_links, ADD COLUMN user_chat_sitemaps LONGTEXT NULL AFTER user_chat_links;";
}
$query164 = mysqli_query($conn, "SHOW COLUMNS FROM packages LIKE 'package_chat_files'");
if(!mysqli_num_rows($query164)) {
	$sql .= "ALTER TABLE packages ADD COLUMN package_chat_files INT(11) NULL DEFAULT '0' AFTER package_trained_models, ADD COLUMN package_chat_links INT(11) NULL DEFAULT '0' AFTER package_chat_files, ADD COLUMN package_chat_sitemaps INT(11) NULL DEFAULT '0' AFTER package_chat_links;";
}
$query165 = mysqli_query($conn, "SHOW TABLES LIKE 'chat_sitemap_links'");
if (mysqli_num_rows($query165) == 0) {
	$sql .= "CREATE TABLE chat_sitemap_links (
	chat_sitemap_link_id INT(11) NOT NULL AUTO_INCREMENT,
	chat_file_id INT(11) NULL DEFAULT NULL,
	chat_sitemap_link LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_sitemap_file_name VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_sitemap_link_size FLOAT NULL DEFAULT NULL,
	chat_sitemap_link_output_id VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_sitemap_link_output_status VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	chat_sitemap_link_output_status_date_added DATETIME NULL DEFAULT NULL,
	PRIMARY KEY (chat_sitemap_link_id));";
}

//1.7
$query171 = mysqli_query($conn, "SHOW TABLES LIKE 'paytr_settings'");
if (mysqli_num_rows($query171) == 0) {
	$sql .= "CREATE TABLE paytr_settings (
	paytr_id INT(11) NOT NULL AUTO_INCREMENT,
	paytr_status INT(11) NULL DEFAULT NULL,
	paytr_merchant_id VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	paytr_merchant_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	paytr_merchant_salt VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	PRIMARY KEY (paytr_id));";
	$sql .= "INSERT INTO paytr_settings (paytr_status, paytr_merchant_id, paytr_merchant_key, paytr_merchant_salt) VALUES (1, NULL, NULL, NULL);";
	$sql .= "INSERT INTO paytr_settings (paytr_status, paytr_merchant_id, paytr_merchant_key, paytr_merchant_salt) VALUES (0, NULL, NULL, NULL);";
}
$query172 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'paytr'");
if (mysqli_num_rows($query172) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('paytr', 'PayTR', NULL, 'TL, EUR, USD, GBP, RUB', NULL, 1, 1, 1, '2023-11-25 11:39:49');";
}
$query173 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'paytr_live_enabled'");
if (mysqli_num_rows($query173) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('paytr_live_enabled', '0');";
}
$query174 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'paytr_label'");
if (mysqli_num_rows($query174) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('paytr_label', 'Pay with PayTR');";
}
$query175 = mysqli_query($conn, "SHOW TABLES LIKE 'iyzico_settings'");
if (mysqli_num_rows($query175) == 0) {
	$sql .= "CREATE TABLE iyzico_settings (
	iyzico_id INT(11) NOT NULL AUTO_INCREMENT,
	iyzico_status INT(11) NULL DEFAULT NULL,
	iyzico_url VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	iyzico_api_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	iyzico_secret_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	PRIMARY KEY (iyzico_id));";
	$sql .= "INSERT INTO iyzico_settings (iyzico_status, iyzico_url, iyzico_api_key, iyzico_secret_key) VALUES (1, 'https://api.iyzipay.com', NULL, NULL);";
	$sql .= "INSERT INTO iyzico_settings (iyzico_status, iyzico_url, iyzico_api_key, iyzico_secret_key) VALUES (0, 'https://sandbox-api.iyzipay.com', NULL, NULL);";
}
$query176 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'iyzico'");
if (mysqli_num_rows($query176) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('iyzico', 'Iyzico', NULL, 'CHF,EUR,GBP,IRR,NOK,RUB,TRY,USD', NULL, 1, 1, 1, '2022-05-25 11:39:49');";
}
$query177 = mysqli_query($conn, "SHOW TABLES LIKE 'iyzico_settings'");
if (mysqli_num_rows($query177) == 0) {
	$sql .= "CREATE TABLE widgets (
	widget_id INT(11) NOT NULL AUTO_INCREMENT,
	widget_uid VARCHAR(200) NOT NULL COLLATE 'latin1_swedish_ci',
	widget_added_by INT(11) NULL DEFAULT NULL,
	widget_name VARCHAR(200) NOT NULL COLLATE 'latin1_swedish_ci',
	user_trained_model VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	user_bots LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	user_chat_files LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	user_chat_links LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	user_chat_sitemaps LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	user_chat_icon_animation VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	user_chat_icon_position VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	widget_header VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	widget_header_textarea LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	widget_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	widget_message_placeholder VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	widget_open_button VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	widget_close_button VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	widget_visit_timeout BIGINT(20) NULL DEFAULT NULL,
	widget_document_timeout BIGINT(20) NULL DEFAULT NULL,
	widget_document_retries BIGINT(20) NULL DEFAULT NULL,
	widget_date_added DATETIME NULL DEFAULT NULL,
	PRIMARY KEY (widget_id),
	UNIQUE INDEX widget_uid (widget_uid));";
}
$query178 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'user_chat_icon_position'");
if(!mysqli_num_rows($query178)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN user_chat_icon_position VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER user_chat_icon_animation;";
}

//1.8
$query181 = mysqli_query($conn, "SHOW COLUMNS FROM chats LIKE 'source'");
if(!mysqli_num_rows($query181)) {
	$sql .= "ALTER TABLE chats
	ADD COLUMN source VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER assistant_id;";
	$sql .= "ALTER TABLE chats
	CHANGE COLUMN assistant_id source_id INT(11) NULL DEFAULT NULL AFTER chat_ip_address;";
}
$query182 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'openai_default_finetune_model'");
if (mysqli_num_rows($query182) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('openai_default_finetune_model', 'gpt-3.5-turbo');";
}
$query183 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'openai_default_assistant_model'");
if (mysqli_num_rows($query183) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('openai_default_assistant_model', 'gpt-3.5-turbo');";
}
$query184 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option_online='0' AND  payment_option='free-trial'");
if (mysqli_num_rows($query184) == 0) {
	$sql .= "UPDATE payment_options SET payment_option_online='1' WHERE  payment_option='free-trial';";
}

$sql .= "DROP table openai_models;";
$sql .= "CREATE TABLE openai_models (
	openai_model_id INT(11) NOT NULL AUTO_INCREMENT,
	openai_model_type VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	openai_model_usage_type VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	openai_model VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	openai_model_description LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	openai_model_tokens INT(11) NULL DEFAULT NULL,
	openai_model_status_id INT(11) NULL DEFAULT NULL,
	PRIMARY KEY (openai_model_id));";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-3', '[\"chat\",\"finetune\"]', 'babbage-002', 'Capable of straightforward tasks, very fast, and lower cost.', 2049, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-3', '[\"chat\",\"finetune\"]', 'davinci-002', 'Most capable GPT-3 model. Can do any task the other models can do, often with higher quality.', 2049, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-3.5', '[\"chat\",\"finetune\",\"assistant\"]', 'gpt-3.5-turbo', 'Most capable GPT-3.5 model and optimized for chat at 1/10th the cost of text-davinci-003. Will be updated with our latest model iteration 2 weeks after it is released.', 4096, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-3.5', '[\"chat\",\"finetune\"]', 'gpt-3.5-turbo-16k', 'Same capabilities as the standard gpt-3.5-turbo model but with 4 times the context.', 16384, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-3.5', '[\"chat\",\"finetune\"]', 'gpt-3.5-turbo-0613', 'Snapshot of gpt-3.5-turbo from June 13th 2023 with function calling data. Unlike gpt-3.5-turbo, this model will not receive updates, and will be deprecated 3 months after a new version is released.', 4096, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-3.5', '[\"chat\",\"finetune\"]', 'gpt-3.5-turbo-16k-0613', 'Snapshot of gpt-3.5-turbo-16k from June 13th 2023. Unlike gpt-3.5-turbo-16k, this model will not receive updates, and will be deprecated 3 months after a new version is released.', 16384, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-4', '[\"chat\",\"finetune\"]', 'gpt-4-turbo', 'New GPT-4 Turbo with Vision The latest GPT-4 Turbo model with vision capabilities. Vision requests can now use JSON mode and function calling. Currently points to gpt-4-turbo-2024-04-09.', 32768, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-4', '[\"chat\",\"finetune\"]', 'gpt-4', 'More capable than any GPT-3.5 model, able to do more complex tasks, and optimized for chat. Will be updated with our latest model iteration.', 8192, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-4', '[\"chat\",\"finetune\"]', 'gpt-4-0613', 'Snapshot of gpt-4 from June 13th 2023 with function calling data. Unlike gpt-4, this model will not receive updates, and will be deprecated 3 months after a new version is released.', 8192, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-4', '[\"chat\",\"finetune\"]', 'gpt-4-32k-0613', 'Snapshot of gpt-4-32 from June 13th 2023. Unlike gpt-4-32k, this model will not receive updates, and will be deprecated 3 months after a new version is released.', 32768, 1);";
$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-4o', '[\"chat\",\"assistant\"]', 'gpt-4o', 'Our most advanced, multimodal flagship model that’s cheaper and faster than GPT-4 Turbo', 128000, 1);";

$sql .= "ALTER TABLE openai_models AUTO_INCREMENT=12;";

//1.9
$query191 = mysqli_query($conn, "SHOW COLUMNS FROM chat_files LIKE 'chat_filename'");
if(!mysqli_num_rows($query191)) {
	$sql .= "ALTER TABLE chat_files
	ADD COLUMN chat_filename LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER chat_file;";
}
$query192 = mysqli_query($conn, "SHOW COLUMNS FROM visits LIKE 'widget_id'");
if(!mysqli_num_rows($query192)) {
	$sql .= "ALTER TABLE visits
	ADD COLUMN widget_id INT(11) NULL DEFAULT NULL AFTER visit_uid;";
}
$query193 = mysqli_query($conn, "SHOW TABLES LIKE 'homepage_images_features'");
if (mysqli_num_rows($query193) == 1) {
	$sql .= "DROP TABLE homepage_images_features;";
}
$query194 = mysqli_query($conn, "SHOW TABLES LIKE 'homepage_contactus'");
if (mysqli_num_rows($query194) == 1) {
	$sql .= "DROP TABLE homepage_contactus;";
}
$query195 = mysqli_query($conn, "SHOW TABLES LIKE 'homepage_images'");
if (mysqli_num_rows($query195) == 1) {
	$sql .= "DROP TABLE homepage_images;";
}
$query196 = mysqli_query($conn, "SHOW TABLES LIKE 'homepage_partners'");
if (mysqli_num_rows($query196) == 1) {
	$sql .= "DROP TABLE homepage_partners;";
}
$query197 = mysqli_query($conn, "SHOW TABLES LIKE 'homepage_partners_items'");
if (mysqli_num_rows($query197) == 1) {
	$sql .= "DROP TABLE homepage_partners_items;";
}
$query198 = mysqli_query($conn, "SHOW TABLES LIKE 'tap_settings'");
if (mysqli_num_rows($query198) == 0) {
	$sql .= "CREATE TABLE tap_settings (
	tap_id INT(11) NOT NULL AUTO_INCREMENT,
	tap_status INT(11) NULL DEFAULT NULL,
	tap_url VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	tap_secret_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	tap_publishable_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	tap_encryption_key LONGTEXT NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
	PRIMARY KEY (tap_id));";
	$sql .= "INSERT INTO tap_settings (tap_status, tap_url, tap_secret_key, tap_publishable_key, tap_encryption_key) VALUES (1, 'https://api.tap.company', NULL, NULL, NULL);";
	$sql .= "INSERT INTO tap_settings (tap_status, tap_url, tap_secret_key, tap_publishable_key, tap_encryption_key) VALUES (0, 'https://api.tap.company', NULL, NULL, NULL);";
}
$query199 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'tap'");
if (mysqli_num_rows($query199) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('tap', 'Tap', NULL, 'AED,BHD,EGP,EUR,GBP,KWD,OMR,QAR,SAR,USD', NULL, 1, 1, 1, '2022-05-25 11:39:49');";
}
$query1910 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'tap_live_enabled'");
if (mysqli_num_rows($query1910) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('tap_live_enabled', '0', 1);";
}
$query1911 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'tap_label'");
if (mysqli_num_rows($query1911) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('tap_label', 'Pay with Tap', 1);";
}
//2.0
$query201 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'email_custom_errors'");
if (mysqli_num_rows($query201) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('email_custom_errors', '1');";
}
$query202 = mysqli_query($conn, "SHOW COLUMNS FROM widgets LIKE 'user_chat_instructions'");
if(!mysqli_num_rows($query202)) {
	$sql .= "ALTER TABLE widgets
	ADD COLUMN user_chat_instructions VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER user_chat_icon_position;";
}
$query203 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'user_chat_instructions'");
if(!mysqli_num_rows($query203)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN user_chat_instructions VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER user_chat_icon_position;";
}

//2.1
$query211 = mysqli_query($conn, "SHOW COLUMNS FROM aamarpay_settings LIKE 'aamarpay_verification_url'");
if (mysqli_num_rows($query211) != 0) {
	$sql .= "ALTER TABLE aamarpay_settings DROP COLUMN aamarpay_verification_url;";
	$sql .= "UPDATE aamarpay_settings SET aamarpay_url='https://secure.aamarpay.com' WHERE  aamarpay_id=1;";
	$sql .= "UPDATE aamarpay_settings SET aamarpay_url='https://sandbox.aamarpay.com' WHERE  aamarpay_id=2;";
}
$query212 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'paygate'");
if (mysqli_num_rows($query212) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('paygate', 'Paygate', NULL, 'ZAR,EUR,USD', NULL, 1, 1, 1, '2022-05-25 11:39:49');";
}
$query213 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'twocheckout'");
if (mysqli_num_rows($query213) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('twocheckout', '2Checkout', NULL, 'USD, AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BMD, BND, BOB, BRL, BSD, BWP, BZD, CAD, CDF, CHF, CNY, COP, CRC, CVE, CZK, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GIP, GMD, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, ISK, JMD, KES, KGS, KHR, KYD, KZT, LAK, LBP, LKR, LRD, LSL, MAD, MDL, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, PAB, PEN, PGK, PHP, PKR, PLN, QAR, RON, RSD, RUB, SAR, SBD, SCR, SEK, SGD, SHP, SLL, SOS, SRD, STD, SZL, THB, TJS, TOP, TRY, TTD, TWD, TZS, UAH, UYU, UZS, WST, XCD, YER, ZAR, ZMW', NULL, 1, 1, 1, '2022-05-25 11:39:49');";
	$sql .= "CREATE TABLE twocheckout_settings (
		twocheckout_id INT(11) NOT NULL AUTO_INCREMENT,
		twocheckout_status INT(11) NULL DEFAULT NULL,
		twocheckout_publishable_key VARCHAR(255) NULL DEFAULT NULL,
		twocheckout_private_key VARCHAR(255) NULL DEFAULT NULL,
		twocheckout_secret_key VARCHAR(255) NULL DEFAULT NULL,
		twocheckout_merchant_code VARCHAR(255) NULL DEFAULT NULL,
		PRIMARY KEY (twocheckout_id));";
	$sql .= "INSERT INTO twocheckout_settings (twocheckout_status, twocheckout_publishable_key, twocheckout_private_key, twocheckout_secret_key, twocheckout_merchant_code) VALUES (1, NULL, NULL, NULL, NULL);";
	$sql .= "INSERT INTO twocheckout_settings (twocheckout_status, twocheckout_publishable_key, twocheckout_private_key, twocheckout_secret_key, twocheckout_merchant_code) VALUES (0, NULL, NULL, NULL, NULL);";
	$sql .= "ALTER TABLE chat_messages CHANGE COLUMN chat_message chat_message LONGTEXT NULL DEFAULT NULL COLLATE 'utf16_bin' AFTER assistant_file_id;";
}


$sql .= "DROP TABLE supported_currencies;";
$sql .= "CREATE TABLE supported_currencies (
	supported_currency_id INT(11) NOT NULL AUTO_INCREMENT,
	supported_currency_name VARCHAR(200) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
	supported_currency_iso VARCHAR(3) NOT NULL COLLATE 'utf8_general_ci',
	supported_currency_symbol VARCHAR(200) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
	supported_currency_value FLOAT(11,4) NULL DEFAULT NULL,
	accept_currency INT(11) NOT NULL DEFAULT '0',
	PRIMARY KEY (supported_currency_id));";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Leke', 'ALL', 'Lek', NULL, 0);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'USD', '$', NULL, 0);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Afghanis', 'AFN', '؋', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'ARS', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Guilders', 'AWG', 'ƒ', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'AUD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('New Manats', 'AZN', 'ман', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'BSD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'BBD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rubles', 'BYR', 'p.', NULL, 0);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Euro', 'EUR', '€', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'BZD', 'BZ$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'BMD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Bolivianos', 'BOB', '$b', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Convertible Marka', 'BAM', 'KM', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pula', 'BWP', 'P', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Leva', 'BGN', 'лв', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Reais', 'BRL', 'R$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'GBP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'BND', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Riels', 'KHR', '៛', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'CAD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'KYD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'CLP', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Yuan Renminbi', 'CNY', '¥', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'COP', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Colón', 'CRC', '₡', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Kuna', 'HRK', 'kn', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'CUP', '₱', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Koruny', 'CZK', 'Kč', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Kroner', 'DKK', 'kr', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'DOP', 'RD$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'XCD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'EGP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Colones', 'SVC', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'FKP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'FJD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Cedis', 'GHC', '¢', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'GIP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Quetzales', 'GTQ', 'Q', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'GGP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'GYD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Lempiras', 'HNL', 'L', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'HKD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Forint', 'HUF', 'Ft', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Kronur', 'ISK', 'kr', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rupees', 'INR', '₹', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rupiahs', 'IDR', 'Rp', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rials', 'IRR', '﷼', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'IMP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('New Shekels', 'ILS', '₪', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'JMD', 'J$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Yen', 'JPY', '¥', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'JEP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Tenge', 'KZT', 'лв', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Won', 'KPW', '₩', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Won', 'KRW', '₩', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Soms', 'KGS', 'лв', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Kips', 'LAK', '₭', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Lati', 'LVL', 'Ls', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'LBP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'LRD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Switzerland Francs', 'CHF', 'CHF', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Litai', 'LTL', 'Lt', NULL, 0);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Denars', 'MKD', 'ден', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Ringgits', 'MYR', 'RM', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rupees', 'MUR', '₨', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'MXN', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Tugriks', 'MNT', '₮', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Meticais', 'MZN', 'MT', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'NAD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rupees', 'NPR', '₨', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Guilders', 'ANG', 'ƒ', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'NZD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Cordobas', 'NIO', 'C$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Nairas', 'NGN', '₦', NULL, 0);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Krone', 'NOK', 'kr', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rials', 'OMR', '﷼', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rupees', 'PKR', '₨', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Balboa', 'PAB', 'B/.', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Guarani', 'PYG', 'Gs', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Nuevos Soles', 'PEN', 'S/.', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'PHP', 'Php', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Zlotych', 'PLN', 'zł', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rials', 'QAR', '﷼', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('New Lei', 'RON', 'lei', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rubles', 'RUB', 'руб', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'SHP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Riyals', 'SAR', '﷼', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dinars', 'RSD', 'Дин.', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rupees', 'SCR', '₨', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'SGD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'SBD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Shillings', 'SOS', 'S', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rand', 'ZAR', 'R', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rupees', 'LKR', '₨', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Kronor', 'SEK', 'kr', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'SRD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pounds', 'SYP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('New Dollars', 'TWD', 'NT$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Baht', 'THB', '฿', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'TTD', 'TT$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Lira', 'TRY', '₺', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Liras', 'TRL', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dollars', 'TVD', '$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Hryvnia', 'UAH', '₴', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Pesos', 'UYU', '$U', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Sums', 'UZS', 'лв', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Bolivares Fuertes', 'VEF', 'Bs', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dong', 'VND', '₫', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rials', 'YER', '﷼', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Zimbabwe Dollars', 'ZWD', 'Z$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Algerian dinar', 'DZD', 'DA', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Angolan kwanza', 'AOA', 'Kz', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Armenian dram', 'AMD', '֏', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Bahraini dinar', 'BHD', 'BD', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Bangladeshi taka', 'BDT', '৳', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('West African CFA franc', 'XOF', 'CFA', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Burundian franc', 'BIF', 'FBu', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Central African CFA franc', 'XAF', 'FCFA', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Cape Verdean escudo', 'CVE', 'Esc', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Comorian franc', 'KMF', 'CF', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Djiboutian franc', 'DJF', 'Fdj', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Dominican peso', 'DOP', 'RD$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Eritrean nakfa', 'ERN', 'Nkf', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Ethiopian birr', 'ETB', 'Br', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('CFP franc', 'XPF', '₣', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Gambian dalasi', 'GMD', 'D', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Georgian lari', 'GEL', 'ლ', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Ghanaian cedi', 'GHS', 'GH₵', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Guinean franc', 'GNF', 'FG', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Iraqi dinar', 'IQD', 'ع.د', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Jordanian dinar', 'JOD', 'د.ا', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Kenyan shilling', 'KES', 'Ksh', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Kuwaiti dinar', 'KWD', 'د.ك', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Libyan dinar', 'LYD', 'ل.د', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Macanese pataca', 'MOP', 'MOP$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Malagasy ariary', 'MGA', 'Ar', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Malawian kwacha', 'MWK', 'MK', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Maldivian rufiyaa', 'MVR', 'Rf', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Mauritanian ouguiya', 'MRO', 'UM', NULL, 0);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Moldovan leu', 'MDL', 'L', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Moroccan dirham', 'MAD', 'MAD', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Myanmar kyat', 'MMK', 'K', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Papua New Guinean kina', 'PGK', 'K', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Rwandan franc', 'RWF', 'R₣', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Samoan tālā', 'WST', 'WS$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('São Tomé and Príncipe dobra', 'STD', 'Db', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Sierra Leonean leone', 'SLL', 'Le', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('South Sudanese pound', 'SSP', '£', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Sudanese pound', 'SDG', 'ج.س', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Swazi lilangeni', 'SZL', 'L', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Tajikistani somoni', 'TJS', 'ЅM', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Tanzanian shilling', 'TZS', 'TSh', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Tongan paʻanga', 'TOP', 'T$', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Tunisian dinar', 'TND', 'DT', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Turkmenistani manat', 'TMT', 'T', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Ugandan shilling', 'UGX', 'USh', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('United Arab Emirates dirham', 'AED', 'د.إ', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Vanuatu vatu', 'VUV', 'VT', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Zambian kwacha', 'ZMW', 'ZK', NULL, 1);";
$sql .= "INSERT INTO supported_currencies (supported_currency_name, supported_currency_iso, supported_currency_symbol, supported_currency_value, accept_currency) VALUES ('Zimbabwean dollar', 'ZWL', '$', NULL, 1);";

//2.2
$query221 = mysqli_query($conn, "SHOW COLUMNS FROM packages LIKE 'package_yearly_cost'");
if(!mysqli_num_rows($query221)) {
	$sql .= "ALTER TABLE packages
	ADD COLUMN package_monthly_cost FLOAT(11,2) NULL DEFAULT NULL AFTER package_cost,
	ADD COLUMN package_yearly_cost FLOAT(11,2) NULL DEFAULT NULL AFTER package_monthly_cost;";
}
$query222 = mysqli_query($conn, "SHOW COLUMNS FROM packages LIKE 'is_custom'");
if(!mysqli_num_rows($query222)) {
	$sql .= "ALTER TABLE packages
	ADD COLUMN is_custom INT(11) NULL DEFAULT NULL AFTER package_featured;";
	$sql .= "UPDATE packages SET is_custom = 1;";
}
$query223 = mysqli_query($conn, "SHOW COLUMNS FROM packages LIKE 'package_lifetime_cost'");
if(!mysqli_num_rows($query223)) {
	$sql .= "ALTER TABLE packages
	ADD COLUMN package_lifetime_cost FLOAT(11,2) NULL DEFAULT NULL AFTER package_yearly_cost;";
}
$query224 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'maximum_upload_file_size'");
if (mysqli_num_rows($query224) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('maximum_upload_file_size', '512');";
}
//2.3
$query231 = mysqli_query($conn, "SHOW COLUMNS FROM widgets LIKE 'widget_assistant_background_colour'");
if(!mysqli_num_rows($query231)) {
	$sql .= "ALTER TABLE widgets
	ADD COLUMN widget_assistant_background_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_colour,
	ADD COLUMN widget_assistant_text_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_assistant_background_colour,
	ADD COLUMN widget_user_background_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_assistant_text_colour,
	ADD COLUMN widget_user_text_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_user_background_colour;";
}
$query232 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'widget_assistant_background_colour'");
if(!mysqli_num_rows($query232)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN widget_assistant_background_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_colour,
	ADD COLUMN widget_assistant_text_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_assistant_background_colour,
	ADD COLUMN widget_user_background_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_assistant_text_colour,
	ADD COLUMN widget_user_text_colour VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER widget_user_background_colour;";
}
$query233 = mysqli_query($conn, "SHOW COLUMNS FROM chats LIKE 'widget_id'");
if(!mysqli_num_rows($query233)) {
	$sql .= "ALTER TABLE chats
	ADD COLUMN widget_id INT(11) NULL DEFAULT NULL AFTER chat_session_id;";
}
$query234 = mysqli_query($conn, "SHOW COLUMNS FROM subscriptions LIKE 'order_code'");
if(!mysqli_num_rows($query234)) {
	$sql .= "ALTER TABLE subscriptions
	ADD COLUMN order_code VARCHAR(255) NULL DEFAULT NULL AFTER package_id;";
}
$query235 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'order_code_length'");
if (mysqli_num_rows($query235) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('order_code_length', '4');";
}
$query236 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'assistant_version'");
if (mysqli_num_rows($query236) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value) VALUES ('assistant_version', 'v2');";
}
$query237 = mysqli_query($conn, "SHOW COLUMNS FROM packages LIKE 'is_free_trial'");
if(!mysqli_num_rows($query237)) {
	$sql .= "ALTER TABLE packages
	ADD COLUMN is_free_trial INT(11) NULL DEFAULT NULL AFTER is_custom;";
}

//2.4
$query241 = mysqli_query($conn, "SHOW COLUMNS FROM packages LIKE 'is_private'");
if(!mysqli_num_rows($query241)) {
	$sql .= "ALTER TABLE packages
	ADD COLUMN is_private INT(11) NULL DEFAULT NULL AFTER is_free_trial;";
}
$query242 = mysqli_query($conn, "SHOW TABLES LIKE 'private_packages'");
if (mysqli_num_rows($query242) == 0) {
	$sql .= "CREATE TABLE private_packages (
	private_package_id INT(11) NOT NULL AUTO_INCREMENT,
	package_id INT(11) NULL DEFAULT NULL,
	user_id INT(11) NULL DEFAULT NULL,
	PRIMARY KEY (private_package_id));";
}
$query243 = mysqli_query($conn, "SHOW COLUMNS FROM finetunes LIKE 'finetune_job_output_model_used'");
if(!mysqli_num_rows($query243)) {
	$sql .= "ALTER TABLE finetunes
	ADD COLUMN finetune_job_output_model_used VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER finetune_job_output_tokens;";
}

//2.5
$query250 = mysqli_query($conn, "SELECT * FROM openai_models WHERE openai_model = 'gpt-4o-mini'");
if (mysqli_num_rows($query250) == 0) {
	$sql .= "INSERT INTO openai_models (openai_model_type, openai_model_usage_type, openai_model, openai_model_description, openai_model_tokens, openai_model_status_id) VALUES ('GPT-4o', '[\"chat\",\"assistant\",\"finetune\"]', 'gpt-4o-mini', 'The Latest', 128000, 1);";
}

//2.6
$query261 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'whatsapp_access_token'");
if(!mysqli_num_rows($query261)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN whatsapp_access_token VARCHAR(255) NULL DEFAULT NULL AFTER widget_document_retries,
	ADD COLUMN whatsapp_phone_number_id VARCHAR(255) NULL DEFAULT NULL AFTER whatsapp_access_token,
	ADD COLUMN whatsapp_webhook_listener VARCHAR(255) NULL DEFAULT NULL AFTER whatsapp_phone_number_id;";
}
$query262 = mysqli_query($conn, "SELECT * FROM navigation WHERE navigation_name = 'links'");
if (mysqli_num_rows($query262) == 0) {
	$sql .= "INSERT INTO navigation (navigation_name, navigation_icon, navigation_order, navigation_date_added) VALUES ('whatsapp', '<i class=\"fa-brands fa-whatsapp\"></i>', NULL, '2024-04-18 12:05:55');";
}
$query263 = mysqli_query($conn, "SELECT * FROM navigation WHERE navigation_name = 'links'");
if (mysqli_num_rows($query263) == 0) {
	$sql .= "INSERT INTO navigation (navigation_name, navigation_icon, navigation_order, navigation_date_added) VALUES ('addons', '<i class=\"fa-solid fa-plus\"></i>', NULL, '2024-04-18 12:05:55');";
}
$query264 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'whatsapp_default_response'");
if(!mysqli_num_rows($query264)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN whatsapp_default_response VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER whatsapp_webhook_listener;";
}
$query265 = mysqli_query($conn, "SHOW COLUMNS FROM notifications LIKE 'is_whatsapp'");
if(!mysqli_num_rows($query265)) {
	$sql .= "ALTER TABLE notifications
	ADD COLUMN is_whatsapp INT(11) NULL DEFAULT NULL AFTER to_customer_id;";
	$sql .= "ALTER TABLE notifications
	CHANGE COLUMN notification_uid notification_uid LONGTEXT NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER notification_id,
	CHANGE COLUMN notification_description notification_description LONGTEXT NULL DEFAULT NULL COLLATE 'utf16_general_ci' AFTER notification_date_added,
	DROP COLUMN to_customer_id;";
}
$query266 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'whatsapp_api_version'");
if(!mysqli_num_rows($query266)) {
	$sql .= "ALTER TABLE users
	ADD COLUMN whatsapp_api_version VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci' AFTER whatsapp_default_response;";
}
$query267 = mysqli_query($conn, "SHOW COLUMNS FROM users LIKE 'whatsapp_webhook_verify_token'");
if(!mysqli_num_rows($query267)) {
	$sql .= "ALTER TABLE users ADD whatsapp_webhook_verify_token VARCHAR(255) NULL DEFAULT NULL AFTER whatsapp_webhook_listener;";
}
$query268 = mysqli_query($conn, "SHOW COLUMNS FROM chats LIKE 'source_id'");
if(mysqli_num_rows($query268)) {
	$sql .= "ALTER TABLE chats CHANGE source_id source_id BIGINT NULL DEFAULT NULL; ";
}

$query269 = mysqli_query($conn, "SHOW TABLES LIKE 'whatsapp_files'");
if (mysqli_num_rows($query269) == 0) {
	$sql .= "CREATE TABLE whatsapp_files (
	whatsapp_file_id INT(11) NOT NULL AUTO_INCREMENT,
	whatsapp_file_uid VARCHAR(200) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
	whatsapp_file_added_by INT(11) NULL DEFAULT NULL,
	whatsapp_file_source_id LONGTEXT NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	vector_store_id VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	assistant_id VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	chat_instructions VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	whatsapp_file_date_added DATETIME NULL DEFAULT NULL,
	PRIMARY KEY (whatsapp_file_id));";
}

$query2610 = mysqli_query($conn, "SHOW TABLES LIKE 'addons'");
if (mysqli_num_rows($query2610) == 0) {
	$sql .= "CREATE TABLE addons (
	addon_id INT(11) NOT NULL AUTO_INCREMENT,
	addon_uid VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	addon_name VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	addon_description LONGTEXT NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	is_premium INT(11) NULL DEFAULT NULL,
	addon_uninstall_rules LONGTEXT NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	addon_status_id INT(11) NOT NULL DEFAULT '0',
	addon_date_added DATETIME NULL DEFAULT NULL,
	PRIMARY KEY (addon_id));";
}

//2.7
$query271 = mysqli_query($conn, "SHOW TABLES LIKE 'midtrans_settings'");
if (mysqli_num_rows($query271) == 0) {
	$sql .= "CREATE TABLE midtrans_settings (
	midtrans_id INT(11) NOT NULL AUTO_INCREMENT,
	midtrans_status INT(11) NULL DEFAULT NULL,
	midtrans_url VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	midtrans_api_url VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	midtrans_client_id VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	midtrans_server_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	PRIMARY KEY (midtrans_id));";
	$sql .= "INSERT INTO midtrans_settings (midtrans_status, midtrans_url, midtrans_api_url, midtrans_client_id, midtrans_server_key) VALUES (1, 'https://app.midtrans.com', 'https://api.midtrans.com', NULL, NULL);";
	$sql .= "INSERT INTO midtrans_settings (midtrans_status, midtrans_url, midtrans_api_url, midtrans_client_id, midtrans_server_key) VALUES (0, 'https://app.sandbox.midtrans.com', 'https://api.sandbox.midtrans.com', NULL, NULL);";
}
$query272 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'midtrans'");
if (mysqli_num_rows($query272) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('midtrans', 'Midtrans', NULL, 'IDR', NULL, 1, 1, 1, '2022-05-25 11:39:49');";
}
$query273 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'midtrans_live_enabled'");
if (mysqli_num_rows($query273) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('midtrans_live_enabled', '0', 1);";
}
$query274 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'midtrans_label'");
if (mysqli_num_rows($query274) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('midtrans_label', 'Pay with Midtrans', 1);";
}
$query275 = mysqli_query($conn, "SHOW TABLES LIKE 'tripay_settings'");
if (mysqli_num_rows($query275) == 0) {
	$sql .= "CREATE TABLE tripay_settings (
	tripay_id INT(11) NOT NULL AUTO_INCREMENT,
	tripay_status INT(11) NULL DEFAULT NULL,
	tripay_url VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	tripay_private_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	tripay_api_key VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	tripay_merchant_code VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	tripay_payment_method VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf16_general_ci',
	PRIMARY KEY (tripay_id));";
	$sql .= "INSERT INTO tripay_settings (tripay_status, tripay_url, tripay_private_key, tripay_api_key, tripay_merchant_code, tripay_payment_method) VALUES (1, 'https://tripay.co.id/api/transaction', NULL, NULL, NULL, NULL);";
	$sql .= "INSERT INTO tripay_settings (tripay_status, tripay_url, tripay_private_key, tripay_api_key, tripay_merchant_code, tripay_payment_method) VALUES (0, 'https://tripay.co.id/api-sandbox/transaction', NULL, NULL, NULL, NULL);";
}
$query276 = mysqli_query($conn, "SELECT * FROM payment_options WHERE payment_option = 'tripay'");
if (mysqli_num_rows($query276) == 0) {
	$sql .= "INSERT INTO payment_options (payment_option, payment_option_name, payment_option_description, payment_option_currencies, payment_option_zero_decimal_currencies, payment_option_online, payment_option_added_by, payment_option_status_id, payment_option_date_added) VALUES ('tripay', 'Tripay', NULL, 'IDR', NULL, 1, 1, 1, '2022-05-25 11:39:49');";
}
$query277 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'tripay_live_enabled'");
if (mysqli_num_rows($query277) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('tripay_live_enabled', '0', 1);";
}
$query278 = mysqli_query($conn, "SELECT * FROM options WHERE option_name = 'tripay_label'");
if (mysqli_num_rows($query278) == 0) {
	$sql .= "INSERT INTO options (option_name, option_value, option_autoload) VALUES ('tripay_label', 'Pay with Tripay', 1);";
}

if(mysqli_multi_query($conn, $sql)){
$myfilea = fopen(APPROOT.UPDATES_FOLDER."embedai.txt", "w") or die("Error creating <code>embedai.txt</code> file");
$txt = "system:2.7 build 20240824";
$txt .= "\r\n";
$txt .="2.7 build 20240824";
fwrite($myfilea, $txt);
fclose($myfilea);
echo "<div class='text-center'><h1 class='ti-check block text-primary'>Congratulations!</h1></div> <hr><h3>System update is complete.</h3>";
echo "<h4>Delete the folder named <code>install</code> from the system <i><u>manually</u></i> for security purposes</h4>";
echo "<hr>";
?>
<a href="<?php echo URLROOT; ?>/users/login"><button class="btn btn-primary btn-o next-step btn-wide pull-right"><?php echo( 'Login' ); ?> <i class="fa fa-arrow-circle-right"></i></button></a>

<?php
} else {
    echo "Error: " . $sql . "<br>" . mysqli_error($conn);
}

mysqli_close($conn);
?>
</div>
<?php
}else{
header("Location:requirements.php?step=1");
}
}
?>
</body>