<?php
  /*
   * Base Controller
   * Loads the models, services and views
   */
  class Controller{
  	public $userModel;
	public $faqModel;
    public $openaiModel;
    public $paymentModel;
    public $subscriptionModel;
    public $documentModel;
    public $utilityModel;
    public $packageModel;
    public $notificationModel;
    public $settingModel;
    public $homepageModel;
    public $companyModel;
    public $favouriteModel;
    public $favModel;
    public $pageModel;
    public $affiliateModel;
    public $payoutModel;
    public $postModel;
    public $adModel;
    public $chatModel;
    public $assistantModel;
    public $ticketModel;
    public $visitModel;
    public $finetuneModel;
    public $chatfileModel;
    public $newsletterModel;
    public $subscriberModel;
    public $themeModel;
    public $widgetModel;
    public $addonModel;
    public $whatsappModel;
    
    // Load model
    public function model($model){
      // Require model file
      require_once '../app/models/' . $model . '.php';

      // Instatiate model
      return new $model();
    }

    // Load view
    public function view($view, $data = []){
      // Check for view file
      if(file_exists('../app/views/' . $view . '.php')){
        require_once '../app/views/' . $view . '.php';
      } else {
        // View does not exist
        die('View does not exist');
      }
    }
    
    
    
  }