<?php $page = 'addons'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<form action="<?php echo URLROOT; ?>/addons/add" method="post" enctype="multipart/form-data">
	<div class="form-group mb-3">
		<label><?php echo label('select_zip_file'); ?><span class="symbol required"></span></label>
		<input type="file" name="zipfile" class="form-control" required>				
	</div>
	<div class="form-group mb-3">
		<button class="btn btn-primary btn-wide float-end" type="submit">
			<?php echo label('upload_addon'); ?>
		</button>
	</div>
</form>
				<span class="mb-3"></span>
<?php if(!empty($data['addons'])){ ?>
<?php $rows = start_paging($data['addons']); ?>
        <div class="table-responsive">
            <table class="table table-striped table-hover ">
                <thead>
                    <tr>
                        <th><?php echo label('addon'); ?></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($rows as $addon){ ?>
                    <tr>
                        <td>
                        <?php echo ucfirst($addon->addon_name); ?><br/>
                        <?php if($addon->addon_status_id==0){ ?>
                        <?php echo n_link('addons', 'activate', $addon->addon_id, label('activate')); ?>
						<?php } ?>
                        <?php if($addon->addon_status_id==1){ ?>
                        <?php echo n_link('addons', 'deactivate', $addon->addon_id, label('deactivate')); ?>
						<?php } ?>
						<?php if($addon->is_premium==1){ ?>
                        | <?php echo n_link('addons', 'uninstall', $addon->addon_id, label('uninstall')); ?>
						<?php } ?>
                        </td>
                        <td class="text-end">
                        <?php if($addon->addon_status_id==0){ ?>
                            <?php echo fa_link('addons', 'activate', $addon->addon_id, 'arrow-up'); ?>
						<?php } ?>
                        <?php if($addon->addon_status_id==1){ ?>
                            <?php echo fa_link('addons', 'deactivate', $addon->addon_id, 'arrow-down'); ?>
						<?php } ?>
						<?php if($addon->is_premium==1){ ?>
                            <?php echo fa_link('addons', 'uninstall', $addon->addon_id, 'trash'); ?>
						<?php } ?>
                        </td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php echo close_paging($data['addons']); ?>
<?php }else{ echo no_records($page); } ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>
