<div class="row">
    <div class="col-md-4 col-xl-4 mb-3">
        <div class="card mb-12 widget-content">
            <div class="widget-content-wrapper">
                <div class="widget-content-left">
                    <div class="widget-heading"><?php echo label('users'); ?></div>
                    <div class="widget-subheading"><?php echo label('total_referred_users'); ?></div>
                </div>
                <div class="widget-content-right">
                    <div class="widget-numbers">
                        <span><?php echo count(affiliates()); ?></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4 col-xl-4 mb-3">
        <div class="card mb-12 widget-content">
            <div class="widget-content-wrapper">
                <div class="widget-content-left">
                    <div class="widget-heading"><?php echo label('earnings'); ?></div>
                    <div class="widget-subheading"><?php echo label('total_referred_earnings'); ?></div>
                </div>
                <div class="widget-content-right">
                    <div class="widget-numbers">
                        <span><?php echo currency_format(affiliates_total()); ?></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4 col-xl-4 mb-3">
        <div class="card mb-12 widget-content">
            <div class="widget-content-wrapper">
                <div><?php echo label('affiliate_rule'); ?> : <span
                            class="fw-bold widget-content-right"><?php echo affiliate_rule(getOption('affiliate_rule_id'))->affiliate_rule; ?></span>
                </div>
                <div><?php echo label('commission_rate'); ?> : <span
                            class="fw-bold widget-content-right"><?php echo getOption('affiliate_commission_rate'); ?>%</span>
                </div>
            </div>
        </div>
    </div>
</div>