<?php $page = 'pay_requested_payout'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php require 'affiliate_nav.php'; ?>
    <div class="card mb-3">
        <div class="card-body"><?php echo label('requested_amount'); ?>
            : <?php echo bold_currency_format($data['payout']->payout_amount); ?></div>
    </div>
    <div class="card mb-3">
        <form action="<?php echo URLROOT; ?>/affiliates/pay/<?php echo $data['payout']->payout_id; ?>"
              method="post" enctype="multipart/form-data">
            <div class="card-body">
                <div class="form-group mb-3">
                    <label><?php echo label('payout_amount'); ?></label>
                    <div class="input-group">
                        <span class="input-group-text"><?php echo useCurrency(); ?></span>
                        <input type="text" name="payout_amount" class="form-control" required/>
                    </div>
                </div>
                <div class="form-group mb-3">
                    <label><?php echo label('payout_transaction_id'); ?></label>
                    <input type="text" id="payout_transaction_id" name="payout_transaction_id" class="form-control"
                           required/>
                </div>
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('payout_note'); ?></label>
                    <textarea class="form-control mceEditor" id="payout_note" name="payout_note"></textarea>
                </div>
                <div class="form-group mb-3">
                    <button class="btn btn-primary btn-wide float-end" type="submit">
                        <?php echo label('save_payout'); ?>
                    </button>
                </div>
            </div>
        </form>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>