﻿<?php $page = 'details_of_payout'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php require_once 'affiliate_nav.php'; ?>
    <div class="row">
        <div class="col-sm-6">
            <div class="card mb-3">
                <div class="card-header"><?php echo label('overview'); ?></div>
                <div class="card-body">
                    <table class="table table-striped table-hover">
                        <tr>
                            <th><?php echo label('payout'); ?></th>
                            <td><?php echo $data['payout']->payout_name; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('user'); ?></th>
                            <td><?php echo user($data['payout']->user_id)->username; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('payout_mode'); ?></th>
                            <td><?php echo payout_mode($data['payout']->payout_mode_id)->payout_mode_name; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('payout_address'); ?></th>
                            <td><?php echo $data['payout']->payout_address; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('payout_amount'); ?></th>
                            <td><?php echo bold_currency_format($data['payout']->payout_amount); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('status'); ?></th>
                            <td><?php echo status_label(payout_status($data['payout']->payout_status_id)->payout_status_colour, label(payout_status($data['payout']->payout_status_id)->payout_status)); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('date_requested'); ?></th>
                            <td><?php echo dateTimeFormat($data['payout']->payout_date_added); ?></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-sm-6">
            <div class="card mb-3">
                <div class="card-header"><?php echo label('payment'); ?></div>
                <div class="card-body">
                    <table class="table table-striped table-hover">
                        <tr>
                            <th><?php echo label('payout_transaction_id'); ?></th>
                            <td><?php echo $data['payout']->payout_transaction_id; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('payout_note'); ?></th>
                            <td><?php echo $data['payout']->payout_note; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo label('payout_date_paid'); ?></th>
                            <td><?php echo !empty($data['payout']->payout_date_paid) ? dateTimeFormat($data['payout']->payout_date_paid) : NULL; ?></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>