<?php $page = 'edit_chat_assistant'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'assistant_navigation.php'; ?>
    <div class="card mb-3">
        <form action="<?php echo URLROOT; ?>/assistants/edit/<?php echo $data['assistant']->chat_assistant_id; ?>"
              method="post" autocomplete="off" enctype="multipart/form-data">
            <div class="card-body">
                <div class="mb-3">
                    <label class="form-label"><?php echo label('name'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text" value="<?php echo $data['assistant']->chat_assistant_name; ?>"
                           class="form-control" id="chat_assistant_name"
                           name="chat_assistant_name">
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('profession'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text" value="<?php echo $data['assistant']->chat_assistant_profession; ?>"
                           class="form-control" id="chat_assistant_profession"
                           name="chat_assistant_profession">
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('prompt'); ?> <span
                                class="symbol required"></span></label>
                    <textarea class="form-control" id="chat_assistant_prompt" name="chat_assistant_prompt"
                              required><?php echo $data['assistant']->chat_assistant_prompt; ?></textarea>
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('status'); ?> </label>
                    <select data-show-subtext="true" data-live-search="true" class="form-control selectpicker"
                            id="chat_assistant_status_id" name="chat_assistant_status_id">
                        <?php foreach (user_statuses() as $status) { ?>
                            <option value="<?php echo $status->user_status_id; ?>" <?php if ($data['assistant']->chat_assistant_status_id == $status->user_status_id) {
                                echo 'selected';
                            } ?>><?php echo $status->user_status; ?> </option>
                        <?php } ?>
                    </select>
                </div>
                <div class="mb-3">
                    <button class="btn btn-primary btn-wide float-end" type="submit">
                        <?php echo label('update_assistant'); ?>
                    </button>
                </div>
            </div>
        </form>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>