﻿<?php $page = 'details_of_assistant'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'assistant_navigation.php'; ?>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('overview'); ?></div>
            <div class="card-body">
                <table class="table table-striped table-hover">
                    <tr>
                        <th><?php echo label('name'); ?></th>
                        <td><?php echo $data['assistant']->chat_assistant_name; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('profession'); ?></th>
                        <td><?php echo $data['assistant']->chat_assistant_profession; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('prompt'); ?></th>
                        <td><?php echo $data['assistant']->chat_assistant_prompt; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('status'); ?></th>
                        <td><?php echo status_label(user_status($data['assistant']->chat_assistant_status_id)->user_status_colour, label(user_status($data['assistant']->chat_assistant_status_id)->user_status)); ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('logo'); ?></div>
            <div class="card-body">
                <?php echo load_image(URLROOT . '/app' . MEDIA_FOLDER . $data['assistant']->chat_assistant_logo, 100); ?>
                <hr>
                <p>
                <form action="<?php echo URLROOT; ?>/assistants/image/<?php echo $data['assistant']->chat_assistant_id; ?>"
                      method="post" autocomplete="off" enctype="multipart/form-data">
                    <div class="mb-3">
                        <label class="form-label"><?php echo label('logo'); ?> <span
                                    class="symbol required"></span></label>
                        <input type="file" class="form-control" id="chat_assistant_logo" name="chat_assistant_logo"
                               accept="image/*" required>
                    </div>
                    <div class="mb-3">
                        <button class="btn btn-primary btn-wide float-end" type="submit">
                            <?php echo label('update_logo'); ?>
                        </button>
                    </div>
                </form>
                </p>
            </div>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>