<?php //$exclude = TRUE; ?>
<?php $page = 'dashboard'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<div class="col-md-6 col-xl-6 mb-1">
    <div class="row">
        <div class="col-md-12 col-xl-12 mb-1">
            <div class="card mb-3">
                <div class="no-gutters row">
                    <div class="col-md-7">
                        <div class="card-body">
                            <div class="border border-dark bg-light w-100 rounded-2 py-1 px-1">
                                <span class="h6 fw-bold text-primary mr-1"><?php echo (user(user_id())->user_remaining_chat_assistants == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_assistants; ?></span>
                                <span class="text-dark"><?php echo label('chat_assistants_left'); ?></span><br/>
                                <span class="h6 fw-bold text-primary mr-1"><?php echo (user(user_id())->user_remaining_trained_models == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_trained_models; ?></span>
                                <span class="text-dark"><?php echo label('trained_models_left'); ?></span><br/>
                                <span class="h6 fw-bold text-primary mr-1 user_remaining_chat_files"><?php echo (user(user_id())->user_remaining_chat_files == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_files; ?></span>
                                <span class="text-dark"><?php echo label('files_left'); ?></span><br/>
                                <span class="h6 fw-bold text-primary mr-1 user_remaining_chat_links"><?php echo (user(user_id())->user_remaining_chat_links == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_links; ?></span>
                                <span class="text-dark"><?php echo label('links_left'); ?></span><br/>
                                <span class="h6 fw-bold text-primary mr-1 user_remaining_chat_sitemaps"><?php echo (user(user_id())->user_remaining_chat_sitemaps == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_sitemaps; ?></span>
                                <span class="text-dark"><?php echo label('sitemaps_left'); ?></span><br/>
                                <span class="h6 fw-bold text-primary mr-1 user_remaining_words"><?php echo (user(user_id())->user_remaining_words == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_words; ?></span>
                                <span class="text-dark"><?php echo label('words_left'); ?></span><br/>
                            </div>
                            <a class="btn btn-dark badge rounded-pill mt-1 pl-6 pr-6 w-100 mb-3"
                               href="<?php echo URLROOT; ?>/packages/all">
                                <span class="h6 text-white mr-1"><?php echo label('subscribe'); ?></span></a>

                            <span class="text-danger"><?php echo !empty(has_valid_subscription(user_id())) ? label('expires') . ' : ' . dateTimeFormat(has_valid_subscription(user_id())->subscription_end_date) : label('no_active_subscription'); ?></span>
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="card-body">
                            <?php if (has_valid_subscription(user_id())) {
                                $subscription = has_valid_subscription(user_id());
                                ?>

                                <span class="text-center fw-bolder w-100">
					    	<?php
                                $package = package($subscription->package_id);
                                echo $package->package_name; ?>
						</span>
                                <ul class="list list-unstyled gy-3">
                                    <li><em class="fa-solid fa-check text-success me-2 lh-base"></em>
                                        <span><?php echo ($package->package_chat_assistants == -1) ? label('unlimited') : number_format($package->package_chat_assistants); ?> <?php echo label('chat_assistants_limit'); ?></span>
                                    </li>
                                    <li><em class="fa-solid fa-check text-success me-2 lh-base"></em>
                                        <span><?php echo ($package->package_trained_models == -1) ? label('unlimited') : number_format($package->package_trained_models); ?> <?php echo label('trained_models_limit'); ?></span>
                                    </li>
                                    <li><em class="fa-solid fa-check text-success me-2 lh-base"></em>
                                        <span><?php echo ($package->package_chat_files == -1) ? label('unlimited') : number_format($package->package_chat_files); ?> <?php echo label('files_limit'); ?></span>
                                    </li>
                                    <li><em class="fa-solid fa-check text-success me-2 lh-base"></em>
                                        <span><?php echo ($package->package_chat_links == -1) ? label('unlimited') : number_format($package->package_chat_links); ?> <?php echo label('chat_links_limit'); ?></span>
                                    </li>
                                    <li><em class="fa-solid fa-check text-success me-2 lh-base"></em>
                                        <span><?php echo ($package->package_chat_sitemaps == -1) ? label('unlimited') : number_format($package->package_chat_sitemaps); ?> <?php echo label('sitemaps_limit'); ?></span>
                                    </li>
                                    <li><em class="fa-solid fa-check text-success me-2 lh-base"></em>
                                        <span><?php echo ($package->package_words == -1) ? label('unlimited') : number_format($package->package_words); ?> <?php echo label('words_limit'); ?></span>
                                    </li>
                                </ul>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-xl-6 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-subheading"><?php echo label('trained_models'); ?></div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                    <span>
                                    	<?php echo count(finetune_files(user_id())); ?>
                                    </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-xl-6 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-subheading"><?php echo label('my_chat_assistants'); ?></div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                <span>
                                	<?php echo count(chat_assistants(user_id())); ?>
                                </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-xl-6 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-subheading"><?php echo label('referrals'); ?></div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                <span>
                                	<?php echo count(affiliates()); ?>
                                </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-xl-6 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-subheading"><?php echo label('chat_files'); ?></div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                <span>
                                	<?php echo count(chat_files(user_id())); ?>
                                </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-xl-6 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-subheading"><?php echo label('chat_links'); ?></div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                <span>
                                	<?php echo count(chat_links(user_id())); ?>
                                </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-xl-6 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-subheading"><?php echo label('chat_sitemaps'); ?></div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                <span>
                                	<?php echo count(chat_sitemaps(user_id())); ?>
                                </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 mb-1">
            <div class="card mb-3">
                <div class="card-header"><?php echo label('visitors'); ?></div>
                <div class="card-body">
                    <?php if (!empty(visits(user_id()))) { ?>
                <div class="table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                            <tr>
                                <th><?php echo label('visit'); ?></th>
                                <th><?php echo label('duration'); ?></th>
                                <th><?php echo label('date_added'); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php foreach (array_slice(visits(user_id()), 0, 5) as $visit) { ?>
                                <tr>
                                    <td><?php echo n_link('visits', 'show', $visit->visit_id, $visit->visit_uid); ?></td>
                                    <td><?php echo !empty($visit->visit_date_ended) ? convert_to_h_i_s(strtotime($visit->visit_date_ended) - strtotime($visit->visit_date_added)) : label('ongoing'); ?></td>
                                    <td><?php echo dateTimeFormat($visit->visit_date_added); ?></td>
                                </tr>
                            <?php } ?>
                            </tbody>
                        </table>
                        </div>
                    <?php } else {
                        echo no_records('visitors');
                    } ?>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="col-md-6 col-xl-6 mb-1">
    <div class="row">
        <div class="col-md-12 col-xl-12 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-heading"><?php echo label('chats'); ?></div>
                        <div>
                            <div class="widget-subheading"><?php echo label('today'); ?></div>
                            <?php echo count(chats_between_dates(today_start(), today_end(), user_id())); ?> <?php echo increase_or_decrease(count(chats_between_dates(today_start(), today_end(), user_id())), count(chats_between_dates(yesterday_start(), yesterday_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                 (<?php echo label('yesterday'); ?> : <?php echo count(chats_between_dates(yesterday_start(), yesterday_end(), user_id())); ?>)
                                </span>
                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_week'); ?></div>
                            <?php echo count(chats_between_dates(week_start(), week_end(), user_id())); ?> <?php echo increase_or_decrease(count(chats_between_dates(week_start(), week_end(), user_id())), count(chats_between_dates(last_week_start(), last_week_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                 (<?php echo label('last_week'); ?> : <?php echo count(chats_between_dates(last_week_start(), last_week_end(), user_id())); ?>)</span>
                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_month'); ?></div>
                            <?php echo count(chats_between_dates(month_start(), month_end(), user_id())); ?> <?php echo increase_or_decrease(count(chats_between_dates(month_start(), month_end(), user_id())), count(chats_between_dates(last_month_start(), last_month_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                 (<?php echo label('last_month'); ?> : <?php echo count(chats_between_dates(last_month_start(), last_month_end(), user_id())); ?>)</span>

                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_year'); ?></div>
                            <?php echo count(chats_between_dates(year_start(), year_end(), user_id())); ?>
                        </div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                    <span>
                                    	<?php echo count(chats_between_dates('2000-' . date('m-d'), now(), user_id())); ?>
                                    </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-heading"><?php echo label('visits'); ?></div>
                        <div>
                            <div class="widget-subheading"><?php echo label('today'); ?></div>
                            <?php echo count(visits_between_dates(today_start(), today_end(), user_id())); ?> <?php echo increase_or_decrease(count(visits_between_dates(today_start(), today_end(), user_id())), count(visits_between_dates(yesterday_start(), yesterday_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                (<?php echo label('yesterday'); ?> : <?php echo count(visits_between_dates(yesterday_start(), yesterday_end(), user_id())); ?>)
                                </span>
                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_week'); ?></div>
                            <?php echo count(visits_between_dates(week_start(), week_end(), user_id())); ?> <?php echo increase_or_decrease(count(visits_between_dates(week_start(), week_end(), user_id())), count(visits_between_dates(last_week_start(), last_week_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                 (<?php echo label('last_week'); ?> : <?php echo count(visits_between_dates(last_week_start(), last_week_end(), user_id())); ?>)</span>
                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_month'); ?></div>
                            <?php echo count(visits_between_dates(month_start(), month_end(), user_id())); ?> <?php echo increase_or_decrease(count(visits_between_dates(month_start(), month_end(), user_id())), count(visits_between_dates(last_month_start(), last_month_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                (<?php echo label('last_month'); ?> : <?php echo count(visits_between_dates(last_month_start(), last_month_end(), user_id())); ?>)
                                </span>

                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_year'); ?></div>
                            <?php echo count(visits_between_dates(year_start(), year_end(), user_id())); ?>
                        </div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                    <span>
                                    	<?php echo count(visits_between_dates('2000-' . date('m-d'), now(), user_id())); ?>
                                    </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 mb-1">
            <div class="card mb-1 widget-content border-success">
                <div class="widget-content-wrapper text-dark">
                    <div class="widget-content-left">
                        <div class="widget-heading"><?php echo label('page_views'); ?></div>
                        <div>
                            <div class="widget-subheading"><?php echo label('today'); ?></div>
                            <?php echo count(visit_timelines_between_dates(today_start(), today_end(), user_id())); ?> <?php echo increase_or_decrease(count(visit_timelines_between_dates(today_start(), today_end(), user_id())), count(visit_timelines_between_dates(yesterday_start(), yesterday_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                (<?php echo label('yesterday'); ?> : <?php echo count(visit_timelines_between_dates(yesterday_start(), yesterday_end(), user_id())); ?>)
                                </span>
                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_week'); ?></div>
                            <?php echo count(visit_timelines_between_dates(week_start(), week_end(), user_id())); ?> <?php echo increase_or_decrease(count(visit_timelines_between_dates(week_start(), week_end(), user_id())), count(visit_timelines_between_dates(last_week_start(), last_week_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                 (<?php echo label('last_week'); ?> : <?php echo count(visit_timelines_between_dates(last_week_start(), last_week_end(), user_id())); ?>)</span>
                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_month'); ?></div>
                            <?php echo count(visit_timelines_between_dates(month_start(), month_end(), user_id())); ?> <?php echo increase_or_decrease(count(visit_timelines_between_dates(month_start(), month_end(), user_id())), count(visit_timelines_between_dates(last_month_start(), last_month_end(), user_id()))); ?>
                            <span class="widget-subheading float-end">
                                (<?php echo label('last_month'); ?> : <?php echo count(visit_timelines_between_dates(last_month_start(), last_month_end(), user_id())); ?>)
                                </span>

                        </div>
                        <div>
                            <div class="widget-subheading"><?php echo label('this_year'); ?></div>
                            <?php echo count(visit_timelines_between_dates(year_start(), year_end(), user_id())); ?>
                        </div>
                    </div>
                    <div class="widget-content-right">
                        <div class="widget-numbers text-success">
                                    <span>
                                    	<?php echo count(visit_timelines_between_dates('2000-' . date('m-d'), now(), user_id())); ?>
                                    </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="col-md-6 col-xl-6 mb-1">
    <div class="card mb-3">
        <div class="card-header"><?php echo label('monthly'); ?> <?php echo label('visits'); ?>
        </div>
        <canvas id="monthlyVisitsChart"></canvas>
    </div>
</div>
<div class="col-md-6 col-xl-6 mb-1">
    <div class="card mb-3">
        <div class="card-header"><?php echo label('monthly'); ?> <?php echo label('chats'); ?>
        </div>
        <canvas id="monthlyChatsChart"></canvas>
    </div>
</div>
<?php require APPROOT . '/views/inc/footer.php'; ?>
<script>
    var VisitsValues = <?php echo json_encode(item_values('visits', monthly_breakdown('visits', user_id()), NULL, daily_breakdown('visits', user_id()))); ?>;
    var ChatsValues = <?php echo json_encode(item_values('chats', monthly_breakdown('chats', user_id()), NULL, daily_breakdown('chats', user_id()))); ?>;

    jQuery(document).ready(function () {
        monthlyVisitsChart.init();
        monthlyChatsChart.init();
    });
</script>
