<?php //$exclude = TRUE; ?>
<?php $page = 'dashboard'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<div class="row">
    <div class="col-md-6 col-xl-6 mb-1">
        <div class="card mb-3">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item">
                                <div class="widget-content p-0">
                                    <div class="widget-content-outer">
                                        <div class="widget-content-wrapper">
                                            <div class="widget-content-left">
                                                <div class="widget-subheading"><?php echo label('subscriptions'); ?></div>
                                            </div>
                                            <div class="widget-content-right">
                                                <div class="widget-numbers text-success"><?php echo count(subscriptions()); ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </li>
                            <li class="list-group-item">
                                <div class="widget-content p-0">
                                    <div class="widget-content-outer">
                                        <div class="widget-content-wrapper">
                                            <div class="widget-content-left">
                                                <div class="widget-subheading"><?php echo label('trained_models'); ?></div>
                                            </div>
                                            <div class="widget-content-right">
                                                <div class="widget-numbers text-danger"><?php echo count(finetune_files()); ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="col-md-6">
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item">
                                <div class="widget-content p-0">
                                    <div class="widget-content-outer">
                                        <div class="widget-content-wrapper">
                                            <div class="widget-content-left">
                                                <div class="widget-subheading"><?php echo label('users'); ?></div>
                                            </div>
                                            <div class="widget-content-right">
                                                <div class="widget-numbers text-warning"><?php echo count(users()); ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </li>
                            <li class="list-group-item">
                                <div class="widget-content p-0">
                                    <div class="widget-content-outer">
                                        <div class="widget-content-wrapper">
                                            <div class="widget-content-left">
                                                <div class="widget-subheading"><?php echo label('chat_assistants'); ?></div>
                                            </div>
                                            <div class="widget-content-right">
                                                <div class="widget-numbers text-primary"><?php echo count(chat_assistants()); ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-6 col-xl-6 mb-3">
        <div class="card mb-1 widget-content bg-success">
            <div class="widget-content-wrapper text-white">
                <div class="widget-content-left">
                    <div class="widget-heading"><?php echo label('total_income'); ?></div>
                    <div class="widget-subheading"><?php echo label('subscriptions'); ?></div>
                </div>
                <div class="widget-content-right">
                    <div class="widget-numbers text-white">
                        <span><?php echo currency_format(subscriptions_totals()->subscription_cost); ?></span>
                    </div>
                </div>
            </div>
        </div>
        <div class="card widget-content bg-danger">
            <div class="widget-content-wrapper text-white">
                <div class="widget-content-left">
                    <div class="widget-heading"><?php echo label('payouts'); ?></div>
                    <div class="widget-subheading"><?php echo label('paid_referral_payouts'); ?></div>
                </div>
                <div class="widget-content-right">
                    <div class="widget-numbers text-white">
                        <span><?php echo currency_format(payouts_total(2)->payout_amount); ?></span>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="col-md-12 col-xl-12 mb-1">
        <div class="row">
            <div class="col-md-6 col-xl-6 mb-1">
                <div class="card mb-1 widget-content border-success">
                    <div class="widget-content-wrapper text-dark">
                        <div class="widget-content-left">
                            <div class="widget-heading"><?php echo label('subscriptions'); ?></div>
                            <div>
                                <div class="widget-subheading"><?php echo label('today'); ?></div>
                                <?php echo currency_format(total_subscriptions_income_between_dates(today_start(), today_end())->subscription_cost); ?> <?php echo increase_or_decrease(total_subscriptions_income_between_dates(today_start(), today_end())->subscription_cost, total_subscriptions_income_between_dates(yesterday_start(), yesterday_end())->subscription_cost); ?>
                                <span class="widget-subheading float-end">
                                (<?php echo label('yesterday'); ?>:<?php echo currency_format(total_subscriptions_income_between_dates(yesterday_start(), yesterday_end())->subscription_cost); ?>)
                                </span>
                            </div>
                            <div>
                                <div class="widget-subheading"><?php echo label('this_week'); ?></div>
                                <?php echo currency_format(total_subscriptions_income_between_dates(week_start(), week_end())->subscription_cost); ?> <?php echo increase_or_decrease(total_subscriptions_income_between_dates(week_start(), week_end())->subscription_cost, total_subscriptions_income_between_dates(last_week_start(), last_week_end())->subscription_cost); ?>
                                <span class="widget-subheading float-end">
                                 (<?php echo label('last_week'); ?>:<?php echo currency_format(total_subscriptions_income_between_dates(last_week_start(), last_week_end())->subscription_cost); ?>)</span>
                            </div>
                            <div>
                                <div class="widget-subheading"><?php echo label('this_month'); ?></div>
                                <?php echo currency_format(total_subscriptions_income_between_dates(month_start(), month_end())->subscription_cost); ?> <?php echo increase_or_decrease(total_subscriptions_income_between_dates(month_start(), month_end())->subscription_cost, total_subscriptions_income_between_dates(last_month_start(), last_month_end())->subscription_cost); ?>
                                <span class="widget-subheading float-end">(<?php echo label('last_month'); ?>:<?php echo currency_format(total_subscriptions_income_between_dates(last_month_start(), last_month_end())->subscription_cost); ?>)</span>

                            </div>
                            <div>
                                <div class="widget-subheading"><?php echo label('this_year'); ?></div>
                                <?php echo currency_format(total_subscriptions_income_between_dates(year_start(), year_end())->subscription_cost); ?>
                            </div>
                        </div>
                        <div class="widget-content-right">
                            <div class="widget-numbers text-success">
                                    <span>
                                    	<?php echo currency_format(subscriptions_totals()->subscription_cost); ?>
                                    </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-xl-6 mb-1">
                <div class="card mb-1 widget-content border-success">
                    <div class="widget-content-wrapper text-dark">
                        <div class="widget-content-left">
                            <div class="widget-heading"><?php echo label('user_registrations'); ?></div>
                            <div>
                                <div class="widget-subheading"><?php echo label('today'); ?></div>
                                <?php echo count(users_between_dates(today_start(), today_end())); ?> <?php echo increase_or_decrease(count(users_between_dates(today_start(), today_end())), count(users_between_dates(yesterday_start(), yesterday_end()))); ?>
                                <span class="widget-subheading float-end">
                                (<?php echo label('yesterday'); ?>:<?php echo count(users_between_dates(yesterday_start(), yesterday_end())); ?>)
                                </span>
                            </div>
                            <div>
                                <div class="widget-subheading"><?php echo label('this_week'); ?></div>
                                <?php echo count(users_between_dates(week_start(), week_end())); ?> <?php echo increase_or_decrease(count(users_between_dates(week_start(), week_end())), count(users_between_dates(last_week_start(), last_week_end()))); ?>
                                <span class="widget-subheading float-end">
                                 (<?php echo label('last_week'); ?>:<?php echo count(users_between_dates(last_week_start(), last_week_end())); ?>)</span>
                            </div>
                            <div>
                                <div class="widget-subheading"><?php echo label('this_month'); ?></div>
                                <?php echo count(users_between_dates(month_start(), month_end())); ?> <?php echo increase_or_decrease(count(users_between_dates(month_start(), month_end())), count(users_between_dates(last_month_start(), last_month_end()))); ?>
                                <span class="widget-subheading float-end">(<?php echo label('last_month'); ?>:<?php echo count(users_between_dates(last_month_start(), last_month_end())); ?>)</span>
                            </div>
                            <div>
                                <div class="widget-subheading"><?php echo label('this_year'); ?></div>
                                <?php echo count(users_between_dates(year_start(), year_end())); ?>
                            </div>
                        </div>
                        <div class="widget-content-right">
                            <div class="widget-numbers text-success">
                                    <span>
                                    	<?php echo count(users()); ?>
                                    </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('monthly'); ?> <?php echo label('finance'); ?>
                (<?php echo getOption('default_currency'); ?>)
            </div>
            <canvas id="monthlyFinanceChart"></canvas>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('monthly'); ?> <?php echo label('subscriptions'); ?>
            </div>
            <canvas id="monthlySubscriptionsChart"></canvas>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('daily'); ?> <?php echo label('subscriptions'); ?>
            </div>
            <canvas id="dailySubscriptionsChart"></canvas>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('monthly'); ?> <?php echo label('users'); ?>
            </div>
            <canvas id="monthlyUsersChart"></canvas>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('daily'); ?> <?php echo label('users'); ?>
            </div>
            <canvas id="dailyUsersChart"></canvas>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('latest_subscriptions'); ?>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                    <tr>
                        <th><?php echo label('subscription'); ?></th>
                        <th><?php echo label('user'); ?></th>
                        <th><?php echo label('package'); ?></th>
                        <th><?php echo label('amount'); ?></th>
                        <th><?php echo label('status'); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach (array_slice(subscriptions(), 0, 5) as $subscription) { ?>
                        <tr>
                            <td><?php echo n_link('subscriptions', 'show', $subscription->subscription_id, $subscription->subscription_name); ?></td>
                            <td><?php echo user($subscription->subscription_added_by)->username; ?></td>
                            <td><?php echo !empty($subscription->package_id) ? package($subscription->package_id)->package_name : label('custom_package'); ?></td>
                            <td><?php echo bold_currency_format($subscription->subscription_cost); ?></td>
                            <td><?php echo status_label(subscription_statuses($subscription->subscription_status_id)->subscription_status_colour, subscription_statuses($subscription->subscription_status_id)->subscription_status); ?></td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('latest_registrations'); ?>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                    <tr>
                        <th><?php echo label('username'); ?></th>
                        <th><?php echo label('status'); ?></th>
                        <th><?php echo label('date_added'); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach (array_slice(users(), 0, 5) as $user) { ?>
                        <tr>
                            <td><?php echo n_link('users', 'show', $user->user_id, $user->username); ?></td>
                            <td><?php echo status_label(user_status($user->user_status_id)->user_status_colour, label(user_status($user->user_status_id)->user_status)); ?></td>
                            <td><?php echo dateTimeFormat($user->date_added); ?></td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php require APPROOT . '/views/inc/footer.php'; ?>
<script>
    var SubscriptionsValues = <?php echo json_encode(item_values('subscriptions', monthly_breakdown('subscriptions'), NULL, daily_breakdown('subscriptions'))); ?>;
    var UsersValues = <?php echo json_encode(item_values('users', monthly_breakdown('users'), NULL, daily_breakdown('users'))); ?>;
    var SubscriptionsIncomeValues = <?php echo json_encode(item_values('subscriptions_income', monthly_breakdown('subscriptions_income'), NULL, NULL)); ?>;
    var PayoutsValues = <?php echo json_encode(item_values('payouts', monthly_breakdown('payouts'), NULL, NULL)); ?>;

    jQuery(document).ready(function () {
        monthlySubscriptionsChart.init();
        dailySubscriptionsChart.init();
        monthlyUsersChart.init();
        dailyUsersChart.init();
        monthlyFinanceChart.init();
    });
</script>
<script>
    $(document).ready(function () {
        var delay = 2000;
        $('.remove_from_favourite').click(function (e) {
            e.preventDefault();
            var _this = $(this) //click button
            var existingHTML = _this.html() //store exiting button HTML

            var favourite_id = stripHTML($('#favourite_id').val());
            $.ajax
            ({
                type: "POST",
                url: "<?php echo URLROOT; ?>/favourites/remove",
                data:
                    "favourite_id=" + favourite_id,
                beforeSend: function () {
                    $('.remove_from_favourite' + favourite_id).html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');

                },
                success: function (data) {
                    var result = jQuery.parseJSON(data);
                    setTimeout(function () {
                        if (result.status == "success") {
                            location.reload();
                        } else {
                            $('.completion_result').html('<div class="alert alert-danger" id="msg-flash">' + result.message + '</div>');
                        }
                        $(_this).html(existingHTML).prop('disabled', false);
                    }, delay);
                }
            });
        });
    });
</script>
