<?php $page = 'add_faq'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <div class="card mb-3">
        <form action="<?php echo URLROOT; ?>/faqs/add" method="post" autocomplete="off"
              enctype="multipart/form-data">
            <div class="card-body">
                <div class="mb-3">
                    <label class="form-label"><?php echo label('question'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text" value="<?php echo !empty($data['question']) ? $data['question'] : ''; ?>"
                           class="form-control" id="question" name="question">
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('answer'); ?> <span
                                class="symbol required"></span></label>
                    <textarea class="form-control mceEditor"
                              name="answer"><?php echo !empty($data['answer']) ? $data['answer'] : ''; ?></textarea>
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('status'); ?> </label>
                    <select data-show-subtext="true" data-live-search="true" class="form-control selectpicker"
                            id="faq_status_id" name="faq_status_id">
                        <option value=""></option>
                        <?php foreach (item_statuses() as $status) { ?>
                            <option value="<?php echo $status->item_status_id; ?>"><?php echo $status->item_status_name; ?> </option>
                        <?php } ?>
                    </select>
                </div>
                <div class="mb-3">
                    <button class="btn btn-primary btn-wide float-end" type="submit">
                        <?php echo label('add_faq'); ?>
                    </button>
                </div>
            </div>
        </form>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>