<?php $page = 'faqs'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['faqs'])) { ?>
    <?php $rows = start_paging($data['faqs']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('question'); ?></th>
            <th><?php echo label('added_by'); ?></th>
            <th><?php echo label('date_added'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $faqs) { ?>
            <tr>
                <td><?php echo n_link('faqs', 'show', $faqs->faq_id, $faqs->faq_title); ?></td>
                <td><?php echo user($faqs->faq_added_by)->username; ?></td>
                <td><?php echo dateTimeFormat($faqs->faq_date_added); ?></td>
                <td><?php echo status_label(item_status($faqs->faq_status_id)->item_status_colour, item_status($faqs->faq_status_id)->item_status_name); ?></td>
                <td>
                    <?php echo fa_link('faqs', 'edit', $faqs->faq_id, 'pencil'); ?>
                    <?php echo fa_link('faqs', 'delete', $faqs->faq_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['faqs']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>