<?php $page = 'details_of_faq'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require APPROOT . '/views/faqs/faq_navigation.php'; ?>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('overview'); ?></div>
            <div class="card-body">
                <table class="table table-striped table-hover">
                    <tr>
                        <th><?php echo label('question'); ?></th>
                        <td><?php echo $data['faq']->faq_title; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('added_by'); ?></th>
                        <td><?php echo user($data['faq']->faq_added_by)->username; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('date_added'); ?></th>
                        <td><?php echo dateTimeFormat($data['faq']->faq_date_added); ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('answer'); ?></div>
            <div class="card-body">
                <?php echo $data['faq']->faq_content; ?>
            </div>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>