<?php $page = 'chat_files'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['chat_files'])) { ?>
    <?php $rows = start_paging($data['chat_files']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('file'); ?></th>
            <th><?php echo label('file_id'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th><?php echo label('size'); ?></th>
            <th><?php echo label('date_created'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $file) { ?>
            <tr>
                <td><?php echo n_link('files', 'show', $file->chat_file_id, $file->chat_file); ?></td>
                <td><?php echo $file->chat_file_output_id; ?></td>
                <td><?php echo $file->chat_file_output_status; ?></td>
                <td><?php echo customFileSize($file->chat_file_size); ?></td>
                <td><?php echo dateTimeFormat($file->chat_file_date_added); ?></td>
                <td class="text-end">
                    <?php echo fa_link('files', 'delete', $file->chat_file_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['chat_files']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>