﻿<?php $page = 'details_of_finetune'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'finetune_navigation.php'; ?>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('file'); ?></div>
            <div class="card-body">
                <table class="table table-striped table-hover">
                    <tr>
                        <th><?php echo label('training_file'); ?></th>
                        <td><?php echo $data['finetune']->finetune_file; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('file_id'); ?></th>
                        <td><?php echo $data['finetune']->finetune_file_output_id; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('status'); ?></th>
                        <td><?php echo $data['finetune']->finetune_file_output_status; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('size'); ?></th>
                        <td><?php echo customFileSize($data['finetune']->finetune_file_size); ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('finetuning'); ?></div>
            <div class="card-body">
                <table class="table table-striped table-hover">
                    <tr>
                        <th><?php echo label('job_id'); ?></th>
                        <td><?php echo $data['finetune']->finetune_job_output_id; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('status'); ?></th>
                        <td><?php echo $data['finetune']->finetune_job_output_status; ?>
                            <span class="float-end"><?php echo fa_link('finetuning', 'check_finetune_status', $data['finetune']->finetune_id, 'rotate'); ?></span>
                        </td>
                    </tr>
                    <tr>
                        <th><?php echo label('finetuned_model'); ?></th>
                        <td><?php echo $data['finetune']->finetune_job_output_model; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('tokens_used'); ?></th>
                        <td><?php echo $data['finetune']->finetune_job_output_tokens; ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>