<div class="card mb-3">
    <div class="card-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('first_name'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text" value="<?php echo user(user_id())->firstname; ?>" class="form-control"
                           id="firstname" name="firstname" required="true">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('last_name'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text" value="<?php echo user(user_id())->lastname; ?>" class="form-control"
                           id="lastname" name="lastname" required="true">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('email'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text" value="<?php echo user(user_id())->email; ?>" class="form-control" id="email"
                           name="email" required="true">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('phone'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text"
                           value="<?php echo user(user_id())->calling_code; ?><?php echo user(user_id())->phone; ?>"
                           class="form-control" id="phone" name="phone" required="true">
                </div>
            </div>
        </div>
        <hr class="border border-primary"/>
        <div class="row bg-dark-subtle rounded">
            <div class="col-md-12">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('credit_card'); ?> <span
                                class="symbol required"></span></label>
                    <input class="form-control" type="text" name="credit_card" id="credit_card" required>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('month'); ?> (MM)<span
                                class="symbol required"></span></label>
                    <input class="form-control" type="number" name="expiration_month" id="expiration_month"
                           placeholder="<?php echo date('m'); ?>"
                           maxlength="2" min="1" max="12" required>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('year'); ?> (YYYY)<span
                                class="symbol required"></span></label>
                    <input class="form-control" type="number" name="expiration_year" id="expiration_year"
                           placeholder="<?php echo date('Y'); ?>"
                           maxlength="4" min="<?php echo date('Y'); ?>" required>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('cvv'); ?> <span
                                class="symbol required"></span></label>
                    <input class="form-control" type="number" name="cvv" id="cvv" maxlength="3" min="1" required>
                </div>
            </div>
        </div>
        <div class="col-md-12 mt-3">
            <div class="float-end">
                <input type="hidden" class="form-control" id="token" name="token" value="">
                <input type="hidden" class="form-control" id="payment_option_id" name="payment_option_id"
                       value="<?php echo $data['payment_option_id']; ?>">
                <input type="hidden" class="form-control" id="package_id" name="package_id"
                       value="<?php echo $data['package_id']; ?>">
			    <input type="hidden" class="form-control" id="package_group" name="package_group"
			           value="<?php echo $data['package_group']; ?>">
                <input type="submit" class="btn btn-primary float-end"
                       value="<?php echo getOption($_POST['payment_option'] . '_label'); ?>"/>
            </div>
        </div>