<form method="post" id="finalForm"
      action="#" autocomplete="off"
      enctype="multipart/form-data">
    <a href="#" class="btn btn-primary float-end"
       onclick="openCheckout(itemsList, customerInfo)"><?php echo getOption($_POST['payment_option'] . '_label'); ?></a>
    
    <?php $price_id = $data['price_id']; ?>
    <?php $paddle_client_side_token = payment_option_settings('paddle')['settings']->paddle_client_side_token; ?>
    <?php
        if (payment_option_settings('paddle')['settings']->paddle_status == 0) {
            $paddle_environment = 'sandbox';
        } else {
            $paddle_environment = 'production';
        }
    ?>


    <script type="text/javascript">
        var delay = 2000;
        Paddle.Environment.set("<?php echo $paddle_environment; ?>");
        Paddle.Initialize({
            token: "<?php echo $paddle_client_side_token; ?>", // replace with a client-side token test_7d279f61a3499fed520f7cd8c08
            checkout: {
                settings: {
                    /*displayMode: "overlay",
                    theme: "light",
                    locale: "en",*/
                    //successUrl: "<?php echo URLROOT; ?>/pmt_paddle/paddle_success"
                }
            },
            // prints events to console for debugging
            eventCallback: function (data) {
                if (data.name == "checkout.completed") {
                    $.ajax
                    ({
                        type: "POST",
                        url: URLROOT + "/pmt_paddle/paddle_success",
                        data:
                            "transaction_id=" + data.data.transaction_id,
                        beforeSend: function () {
                        },
                        success: function (dataX) {
                            var result = jQuery.parseJSON(dataX);
                            setTimeout(function () {
                                if (data.data.status == "completed") {
                                    $('.flash_message').html('<div class="alert alert-success">' + result.message + '</div>');
                                } else {
                                    $('.flash_message').html('<div class="alert alert-danger">' + result.message + '</div>');
                                }
                            }, delay);
                        }
                    });
                    console.log(data);
                }

                if (data.name == "checkout.closed") {
                    $.ajax
                    ({
                        type: "POST",
                        url: URLROOT + "/pmt_paddle/paddle_success_close",
                        data:
                            "transaction_id=" + data.data.transaction_id,
                        beforeSend: function () {
                        },
                        success: function (dataX) {
                            var result = jQuery.parseJSON(dataX);
                            setTimeout(function () {
                                if (result.status == "success") {
                                    window.location.replace("<?php echo URLROOT; ?>" + "/subscriptions/show/" + result.subscription_id);
                                } else {
                                    window.location.replace("<?php echo URLROOT; ?>" + "/packages/all");
                                }
                            }, delay);

                        }
                    });
                }
            }
        });

        // define items
        let itemsList = [
            {
                priceId: "<?php echo $price_id; ?>",
                quantity: 1
            }/*,
    {
      priceId: "pri_01h1vjfevh5etwq3rb416a23h2",
      quantity: 1
    }*/
        ];

        // define customer details
        let customerInfo = {
            email: "<?php echo user(user_id())->email; ?>",
            address: {
                countryCode: "<?php echo country(user(user_id())->country_id)->iso2; ?>",
                postalCode: "<?php echo user(user_id())->postal_code; ?>"
            }
        }

        // open checkout
        function openCheckout(items, customer) {
            Paddle.Checkout.open({
                items: items,
                customer: customer
            });
        }
    </script>
