<div class="scrollbar-sidebar">
    <div class="app-sidebar-inner">
        <ul class="vertical-nav-menu">
            <?php if (!isSuperAdmin()) { ?>
                <li class="my-3">
                    <div class="border border-dark bg-light w-100 rounded-2 py-1 px-1">
                        <span class="h6 fw-bold text-primary mr-1 user_remaining_chat_assistants"><?php echo (user(user_id())->user_remaining_chat_assistants == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_assistants; ?></span>
                        <span class="text-dark"><?php echo label('chat_assistants_left'); ?></span><br/>
                        <span class="h6 fw-bold text-primary mr-1 user_remaining_trained_models"><?php echo (user(user_id())->user_remaining_trained_models == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_trained_models; ?></span>
                        <span class="text-dark"><?php echo label('trained_models_left'); ?></span><br/>
                        <span class="h6 fw-bold text-primary mr-1 user_remaining_chat_files"><?php echo (user(user_id())->user_remaining_chat_files == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_files; ?></span>
                        <span class="text-dark"><?php echo label('files_left'); ?></span><br/>
                        <span class="h6 fw-bold text-primary mr-1 user_remaining_chat_links"><?php echo (user(user_id())->user_remaining_chat_links == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_links; ?></span>
                        <span class="text-dark"><?php echo label('links_left'); ?></span><br/>
                        <span class="h6 fw-bold text-primary mr-1 user_remaining_chat_sitemaps"><?php echo (user(user_id())->user_remaining_chat_sitemaps == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_chat_sitemaps; ?></span>
                        <span class="text-dark"><?php echo label('sitemaps_left'); ?></span><br/>
                        <span class="h6 fw-bold text-primary mr-1 user_remaining_words"><?php echo (user(user_id())->user_remaining_words == -1) ? label('unlimited') : (int)user(user_id())->user_remaining_words; ?></span>
                        <span class="text-dark"><?php echo label('words_left'); ?></span><br/>
                    </div>
                    <span class="text-center">
					    <a class="btn btn-dark badge rounded-pill mt-1 pl-6 pr-6 text-white"
                           href="<?php echo URLROOT; ?>/packages/all"><span class="h6 text-white mr-1"><?php echo label('subscribe'); ?></span></a>
					</span>
                </li>
            <?php } ?>
            <li>
                <a href="<?php echo URLROOT; ?>/dashboards">
                    <?php echo navigation('dashboards')->navigation_icon; ?>
                    <?php echo label('dashboard'); ?>
                </a>
            </li>
            <?php if (!isSuperAdmin()) { ?>
                <li>
                    <a href="#">
                        <?php echo navigation('chats')->navigation_icon; ?>
                        <?php echo label('widgets'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/widgets/add">
                                <span class="title"> <?php echo label('add_widget'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/widgets">
                                <span class="title"> <?php echo label('widgets'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/widgets/default">
                                <span class="title"> <?php echo label('default_chat_widget'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('assistants')->navigation_icon; ?>
                        <?php echo label('chat_assistants'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/assistants/add">
                                <span class="title"> <?php echo label('add_assistant'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/assistants/my_assistants">
                                <span class="title"> <?php echo label('my_assistants'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/assistants">
                                <span class="title"> <?php echo label('inbuilt_assistants'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('finetuning')->navigation_icon; ?>
                        <?php echo label('finetuning'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/finetuning/files">
                                <span class="title"> <?php echo label('files'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/finetuning">
                                <span class="title"> <?php echo label('finetunes'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('files')->navigation_icon; ?>
                        <?php echo label('chat_files'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/files/upload">
                                <span class="title"> <?php echo label('upload'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/files">
                                <span class="title"> <?php echo label('files'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('links')->navigation_icon; ?>
                        <?php echo label('chat_links'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/links">
                                <span class="title"> <?php echo label('links'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/links/sitemaps">
                                <span class="title"> <?php echo label('sitemaps'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="<?php echo URLROOT; ?>/chatbots/chats">
                        <?php echo navigation('chats')->navigation_icon; ?>
                        <?php echo label('widget_chats'); ?>
                    </a>
                </li>
                <li>
                    <a href="<?php echo URLROOT; ?>/visits">
                        <?php echo navigation('chats')->navigation_icon; ?>
                        <?php echo label('visits'); ?>
                    </a>
                </li>
                <?php if(is_addon_activated('whatsapp_business_ai_chat')){ ?>
            <li>
                <a href="#">
                    <?php echo navigation('whatsapp')->navigation_icon; ?>
                    <?php echo label('whatsapp'); ?> <span class="badge bg-danger"><?php echo label('addon'); ?></span>
                    <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                </a>
                <ul>
                    <li>
                        <a href="<?php echo URLROOT; ?>/whatsapps">
                            <span class="title"> <?php echo label('chats'); ?> </span>
                        </a>
                    </li>
                    <li>
                        <a href="<?php echo URLROOT; ?>/whatsapps/files">
                            <span class="title"> <?php echo label('files'); ?> </span>
                        </a>
                    </li>
                    <li>
                        <a href="<?php echo URLROOT; ?>/whatsapps/settings">
                            <span class="title"> <?php echo label('settings'); ?> </span>
                        </a>
                    </li>
                </ul>
            </li>
            <?php } ?>
            <?php } ?>
            <li>
                <a href="<?php echo URLROOT; ?>/servers">
                    <?php echo navigation('servers')->navigation_icon; ?>
                    <?php echo label('openai_files'); ?>
                </a>
            </li>
            <?php if (isSuperAdmin()) { ?>
                <li>
                    <a href="#">
                        <?php echo navigation('servers')->navigation_icon; ?>
                        <?php echo label('servers'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/servers/add_model">
                                <span class="title"> <?php echo label('add_model'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/servers/models">
                                <span class="title"> <?php echo label('openai_models'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/servers">
                                <span class="title"> <?php echo label('openai_files'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('packages')->navigation_icon; ?>
                        <?php echo label('packages'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/packages/add">
                                <span class="title"> <?php echo label('add_package'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/packages/custom">
                                <span class="title"> <?php echo label('add_custom_package'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/packages/features">
                                <span class="title"> <?php echo label('package_features'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/packages/all">
                                <span class="title"> <?php echo label('packages'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
            <?php } else { ?>
                <li>
                    <a href="<?php echo URLROOT; ?>/packages/all">
                        <?php echo navigation('packages')->navigation_icon; ?>
                        <?php echo label('packages'); ?>
                    </a>
                </li>
            <?php } ?>
            <li>
                <a href="<?php echo URLROOT; ?>/subscriptions">
                    <?php echo navigation('subscriptions')->navigation_icon; ?>
                    <?php echo label('subscriptions'); ?>
                </a>
            </li>
            <?php if (isSuperAdmin()) { ?>
                <li>
                    <a href="<?php echo URLROOT; ?>/users">
                        <?php echo navigation('users')->navigation_icon; ?>
                        <?php echo label('users'); ?>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('assistants')->navigation_icon; ?>
                        <?php echo label('chat_assistants'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/assistants/add">
                                <span class="title"> <?php echo label('add_assistant'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/assistants">
                                <span class="title"> <?php echo label('assistants'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('pages')->navigation_icon; ?>
                        <?php echo label('pages'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/pages/add">
                                <span class="title"> <?php echo label('add_page'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/pages">
                                <span class="title"> <?php echo label('pages'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('blog')->navigation_icon; ?>
                        <?php echo label('blog'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul class="sub-menu">
                        <li>
                            <a href="#">
                                <span><?php echo label('categories'); ?></span> <i
                                        class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                            </a>
                            <ul class="sub-menu">
                                <li>
                                    <a href="<?php echo URLROOT; ?>/posts/add_category"">
                                    <span class="title"><?php echo label('add_category'); ?></span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/posts/categories">
                                        <span class="title"><?php echo label('categories'); ?> </span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#">
                                <span><?php echo label('posts'); ?></span> <i
                                        class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                            </a>
                            <ul class="sub-menu">
                                <li>
                                    <a href="<?php echo URLROOT; ?>/posts/add">
                                        <span class="title"><?php echo label('add_post'); ?></span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/posts">
                                        <span class="title"><?php echo label('posts'); ?> </span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="<?php echo URLROOT; ?>/subscribers">
                        <?php echo navigation('subscribers')->navigation_icon; ?>
                        <?php echo label('subscribers'); ?>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <?php echo navigation('newsletters')->navigation_icon; ?>
                        <?php echo label('newsletters'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/newsletters/add">
                                <span class="title"> <?php echo label('add_newsletter'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/newsletters">
                                <span class="title"> <?php echo label('newsletters'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
            <?php } ?>
            <li>
                <a href="#">
                    <?php echo navigation('tickets')->navigation_icon; ?>
                    <?php echo label('tickets'); ?>
                    <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                </a>
                <ul>
                    <li>
                        <a href="<?php echo URLROOT; ?>/tickets/add">
                            <span class="title"> <?php echo label('submit_a_ticket'); ?> </span>
                        </a>
                    </li>
                    <li>
                        <a href="<?php echo URLROOT; ?>/tickets">
                            <span class="title"> <?php echo label('support_tickets'); ?> </span>
                        </a>
                    </li>
                </ul>
            </li>
            <?php if (isSuperAdmin()) { ?>
                <li>
                    <a href="#">
                        <?php echo navigation('faqs')->navigation_icon; ?>
                        <?php echo label('faqs'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/faqs/add">
                                <span class="title"> <?php echo label('add_faq'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/faqs">
                                <span class="title"> <?php echo label('faqs'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="<?php echo URLROOT; ?>/themes">
                        <?php echo navigation('themes')->navigation_icon; ?>
                        <?php echo label('themes'); ?>
                    </a>
                </li>
            <?php } ?>
            <?php if ((getOption('enable_affiliate') && !isSuperAdmin()) || isSuperAdmin()) { ?>
                <li>
                    <a href="#">
                        <?php echo navigation('affiliates')->navigation_icon; ?>
                        <?php echo label('affiliate_program'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/affiliates/overview">
                                <span class="title"> <?php echo label('overview'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/affiliates/referrals">
                                <span class="title"> <?php echo label('my_referrals'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/affiliates/payouts">
                                <span class="title"> <?php echo label('payouts'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
            <?php } ?>
            <?php if (isSuperAdmin()) { ?>
                <li>
                    <a href="#">
                        <?php echo navigation('utilities')->navigation_icon; ?>
                        <?php echo label('utilities'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/utilities/logs">
                                <span class="title"> <?php echo label('activity_logs'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/utilities/backup">
                                <span class="title"> <?php echo label('database_backup'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                <a href="<?php echo URLROOT; ?>/addons">
                    <?php echo navigation('addons')->navigation_icon; ?>
                    <?php echo label('addons'); ?>
                </a>
            </li>
                <li>
                    <a href="#">
                        <?php echo navigation('settings')->navigation_icon; ?>
                        <?php echo label('settings'); ?>
                        <i class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/general_settings">
                                <span class="title"> <?php echo label('general_settings'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/ai_settings">
                                <span class="title"> <?php echo label('ai_settings'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:">
                                <span><?php echo label('homepage_sections'); ?></span> <i
                                        class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                            </a>
                            <ul>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_settings">
                                        <span class="title"><?php echo label('settings'); ?></span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_intro">
                                        <span class="title"><?php echo label('intro'); ?></span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_howitworks">
                                        <span class="title"><?php echo label('howitworks'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_choose">
                                        <span class="title"><?php echo label('optimize'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_applications">
                                        <span class="title"><?php echo label('applications'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_pricing">
                                        <span class="title"><?php echo label('pricing'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_trust">
                                        <span class="title"><?php echo label('trust'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_features">
                                        <span class="title"><?php echo label('features'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_blog">
                                        <span class="title"><?php echo label('blog'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_faqs">
                                        <span class="title"><?php echo label('faqs'); ?> </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/settings/homepage_footer_block">
                                        <span class="title"><?php echo label('footer_block'); ?> </span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="javascript:">
                                <span><?php echo label('payment_options'); ?></span> <i
                                        class="metismenu-state-icon fa-solid fa-angle-down caret-left"></i>
                            </a>
                            <ul>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/payment_options/add">
                                        <span class="title"><?php echo label('add_payment_option'); ?></span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo URLROOT; ?>/payment_options">
                                        <span class="title"><?php echo label('payment_options'); ?> </span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/payment_settings">
                                <span class="title"> <?php echo label('payment_settings'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/subscription_settings">
                                <span class="title"> <?php echo label('subscription_settings'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/affiliate_settings">
                                <span class="title"> <?php echo label('affiliate_settings'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/email_settings">
                                <span class="title"> <?php echo label('email_settings'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/email_templates">
                                <span class="title"> <?php echo label('email_templates'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/settings/default_currency">
                                <span class="title"> <?php echo label('default_currency'); ?> </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo URLROOT; ?>/cronjobs">
                                <span class="title"><?php echo label('cronjobs'); ?> </span>
                            </a>
                        </li>
                    </ul>
                </li>
            <?php } ?>
        </ul>
    </div>
</div>