<?php $page = 'add_newsletter'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<form action="<?php echo URLROOT; ?>/newsletters/add" method="post" autocomplete="off"
      enctype="multipart/form-data">
    <div class="card mb-3">
        <div class="card-body">
            <div class="mb-3">
                <label class="form-label"><?php echo label('title'); ?> <span
                            class="symbol required"></span></label>
                <input type="text"
                       value="<?php echo !empty($data['newsletter_title']) ? $data['newsletter_title'] : ''; ?>"
                       class="form-control" id="newsletter_title" name="newsletter_title">
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('description'); ?> <span
                            class="symbol required"></span></label>
                <textarea class="form-control mceEditor" id="newsletter_description"
                          name="newsletter_description"><?php echo !empty($data['newsletter_description']) ? $data['newsletter_description'] : ''; ?></textarea>
            </div>
            <div class="form-check form-check-inline mb-3">
                <input type="checkbox" class="form-check-input" name="send_to_subscribers"
                       id="send_to_subscribers" value="1">
                <label for="send_to_subscribers"><?php echo label('send_to_subscribers'); ?></label>
            </div>
            <div class="mb-3">
                <button class="btn btn-primary btn-wide float-end" type="submit">
                    <?php echo label('add_newsletter'); ?>
                </button>
            </div>
        </div>
    </div>
</form>
<?php require APPROOT . '/views/inc/footer.php'; ?>






