<?php $page = 'newsletters'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['newsletters'])) { ?>
    <?php $rows = start_paging($data['newsletters']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('newsletter'); ?></th>
            <th><?php echo label('added_by'); ?></th>
            <th><?php echo label('sent_at'); ?></th>
            <th><?php echo label('date_added'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $newsletter) { ?>
            <tr>
                <td><?php echo n_link('newsletters', 'show', $newsletter->newsletter_id, $newsletter->newsletter_title); ?></td>
                <td><?php echo user($newsletter->newsletter_added_by)->username; ?></td>
                <td><?php echo !empty($newsletter->newsletter_sent_at) ? dateTimeFormat($newsletter->newsletter_sent_at) : NULL; ?></td>
                <td><?php echo dateTimeFormat($newsletter->newsletter_date_added); ?></td>
                <td align="right">
                    <?php echo fa_link('newsletters', 'edit', $newsletter->newsletter_id, 'pencil'); ?>
                    <?php echo fa_link('newsletters', 'send', $newsletter->newsletter_id, 'paper-plane'); ?>
                    <?php echo fa_link('newsletters', 'delete', $newsletter->newsletter_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['newsletters']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>