<?php $page = 'notifications'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>

<?php if (!empty($data['notifications'])) { ?>
    <?php $rows = start_paging($data['notifications']); ?>
    <div class="card-body">
        <?php foreach ($rows as $notifications) { ?>
            <div class="card bg-<?php if ($notifications->is_notification_read != 0) {
                echo 'white';
            } else {
                echo 'light';
            } ?> mb-3">
                <div class="card-body">
                    <div class="ml-3">
                        <div class="text-muted <?php if ($notifications->is_notification_read == 0) {
                            echo 'fw-bold';
                        } ?>">
                            <?php echo !is_null($notifications->notification_added_by) ? user($notifications->notification_added_by)->username : company(1)->company_name; ?>
                            -
                            <a href="<?php echo URLROOT . '/' . $notifications->link; ?>/?notification=<?php echo $notifications->notification_id; ?>&&ref=notifications"
                               class="<?php if ($notifications->is_notification_read == 0) {
                                   echo 'fw-bold';
                               } ?>"><?php echo label($notifications->notification_description); ?></a>
                            <span class="float-end"><?php echo dateTimeFormat($notifications->notification_date_added); ?></span>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
    <?php echo close_paging($data['notifications']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>