<?php $page = 'pages'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['pages'])) { ?>
    <?php $rows = start_paging($data['pages']); ?>
    <div class="card mb-3">
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th><?php echo label('page'); ?></th>
                <th><?php echo label('show_in_header'); ?></th>
                <th><?php echo label('show_in_footer'); ?></th>
                <th><?php echo label('status'); ?></th>
                <th><?php echo label('date_added'); ?></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($rows as $pages) { ?>
                <tr>
                    <td><?php echo n_link('pages', 'show', $pages->page_id, $pages->page_title); ?></td>
                    <td><?php echo yes_no_label($pages->show_in_header); ?></td>
                    <td><?php echo yes_no_label($pages->show_in_footer); ?></td>
                    <td><?php echo status_label(item_status($pages->page_status_id)->item_status_colour, item_status($pages->page_status_id)->item_status_name); ?></td>
                    <td><?php echo dateTimeFormat($pages->page_date_added); ?></td>
                    <td>
                        <?php echo fa_link('pages', 'edit', $pages->page_id, 'pencil'); ?>
                        <?php if ($pages->page_status_id != 3) {
                            echo fa_link('pages', 'delete', $pages->page_id, 'times');
                        } ?>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
    <?php echo close_paging($data['pages']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>