<?php $page = 'edit_payment_option'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require APPROOT . '/views/payment_options/payment_option_navigation.php'; ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <form action="<?php echo URLROOT; ?>/payment_options/edit/<?php echo $data['payment_option']->payment_option_id; ?>"
                  method="post" enctype="multipart/form-data">

                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label><?php echo label('payment_option_name'); ?></label>
                                <input type="text" id="payment_option_name" name="payment_option_name"
                                       value="<?php echo $data['payment_option']->payment_option_name; ?>"
                                       class="form-control" required/>
                            </div>
                            <div class="mb-3">
                                <label><?php echo label('payment_option_description'); ?></label>
                                <textarea id="payment_option_description" name="payment_option_description"
                                          class="form-control mceEditor"><?php echo html_decode($data['payment_option']->payment_option_description); ?></textarea>
                            </div>
                            <div class="mb-3">
                                <button class="btn btn-primary btn-wide float-end" type="submit">
                                    <?php echo label('update_payment_option'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>