<?php $page = 'details_of_payment_option'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require APPROOT . '/views/payment_options/payment_option_navigation.php'; ?>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('overview'); ?></div>
            <div class="card-body">
                <table class="table table-striped table-hover">
                    <tr>
                        <th><?php echo label('payment_option'); ?></th>
                        <td><?php echo $data['payment_option']->payment_option_name; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('added_by'); ?></th>
                        <td><?php echo user($data['payment_option']->payment_option_added_by)->username; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('date_created'); ?></th>
                        <td><?php echo dateTimeFormat($data['payment_option']->payment_option_date_added); ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('description'); ?></div>
            <div class="card-body">
                <?php echo html_decode($data['payment_option']->payment_option_description); ?>
            </div>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>