<?php $page = 'edit_category'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'category_navigation.php'; ?>
    <form action="<?php echo URLROOT; ?>/posts/edit_category/<?php echo $data['category']->post_category_id; ?>"
          method="POST" autocomplete="off" enctype="multipart/form-data">
        <div class="card mb-3">
            <div class="card-body">
                <div class="mb-3">
                    <label class="form-label"><?php echo label('category_name'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text" value="<?php echo $data['category']->post_category_name; ?>" class="form-control"
                           id="post_category_name" name="post_category_name">
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('status'); ?> </label>
                    <select data-show-subtext="true" data-live-search="true" class="form-control selectpicker"
                            id="post_category_status_id" name="post_category_status_id">
                        <option value=""></option>
                        <?php foreach (item_statuses() as $status) { ?>
                            <option value="<?php echo $status->item_status_id; ?>" <?php if ($status->item_status_id == $data['category']->post_category_status_id) {
                                echo 'selected';
                            } ?>><?php echo $status->item_status_name; ?> </option>
                        <?php } ?>
                    </select>
                </div>
                <div class="mb-3">
                    <button class="btn btn-primary btn-wide float-end" type="submit">
                        <?php echo label('update_category'); ?>
                    </button>
                </div>
            </div>
        </div>
    </form>
<?php require APPROOT . '/views/inc/footer.php'; ?>