<?php $page = 'posts'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['posts'])) { ?>
    <?php $rows = start_paging($data['posts']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('post_title'); ?></th>
            <th><?php echo label('added_by'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th><?php echo label('date_added'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $posts) { ?>
            <tr>
                <td><?php echo n_link('posts', 'show', $posts->post_id, $posts->post_title); ?></td>
                <td><?php echo user($posts->post_added_by)->username; ?></td>
                <td><?php echo status_label(item_status($posts->post_status_id)->item_status_colour, item_status($posts->post_status_id)->item_status_name); ?></td>
                <td><?php echo dateTimeFormat($posts->post_date_added); ?></td>
                <td align="right">
                    <?php echo fa_link('posts', 'edit', $posts->post_id, 'pencil'); ?>
                    <?php echo fa_link('posts', 'delete', $posts->post_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['posts']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>