<?php $page = 'add_model'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<form action="<?php echo URLROOT; ?>/servers/add_model" method="post" autocomplete="off"
      enctype="multipart/form-data">
    <div class="card mb-3">
        <div class="card-body">
            <div class="mb-3">
                <label class="form-label"><?php echo label('model'); ?> <span
                            class="symbol required"></span></label>
                <input type="text" class="form-control"
                       id="openai_model"
                       name="openai_model">
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('type'); ?> <span
                            class="symbol required"></span></label>
                <input type="text" class="form-control"
                       id="openai_model_type"
                       name="openai_model_type">
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('usage'); ?> <span
                            class="symbol required"></span></label>
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" name="openai_model_usage_type[]" id="chat" value="chat" checked>
                    <label class="form-check-label" for="chat"> <?php echo label('chat'); ?> </label>
                </div>
                
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" name="openai_model_usage_type[]" id="assistant" value="assistant">
                    <label class="form-check-label" for="assistant"> <?php echo label('assistant'); ?> </label>
                </div>
                
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" name="openai_model_usage_type[]" id="finetune" value="finetune">
                    <label class="form-check-label" for="finetune"> <?php echo label('finetune'); ?> </label>
                </div>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('description'); ?> <span
                            class="symbol required"></span></label>
                <textarea class="form-control mceEditor" id="openai_model_description" name="openai_model_description"></textarea>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('tokens'); ?> <span
                            class="symbol required"></span></label>
                <input type="text" class="form-control"
                       id="openai_model_tokens"
                       name="openai_model_tokens">
            </div>
            <div class="mb-3">
                <button class="btn btn-primary btn-wide float-end" type="submit">
                    <?php echo label('add_model'); ?>
                </button>
            </div>
        </div>
    </div>
</form>
<?php require APPROOT . '/views/inc/footer.php'; ?>






