<?php $page = 'edit_model'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'model_navigation.php'; ?>
<form action="<?php echo URLROOT; ?>/servers/edit_model/<?php echo $data['model']->openai_model_id; ?>"
      method="post" autocomplete="off" enctype="multipart/form-data">
    <div class="card mb-3">
        <div class="card-body">
            <div class="mb-3">
                <label class="form-label"><?php echo label('model'); ?> <span
                            class="symbol required"></span></label>
                <input type="text" value="<?php echo $data['model']->openai_model; ?>" class="form-control"
                       id="openai_model"
                       name="openai_model">
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('type'); ?> <span
                            class="symbol required"></span></label>
                <input type="text" value="<?php echo $data['model']->openai_model_type; ?>" class="form-control"
                       id="openai_model_type"
                       name="openai_model_type">
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('usage'); ?> <span
                            class="symbol required"></span></label>
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" name="openai_model_usage_type[]" id="chat" value="chat" <?php if(in_array('chat', (json_decode($data['model']->openai_model_usage_type) ?? array()))){ echo 'checked'; } ?> >
                    <label class="form-check-label" for="chat"> <?php echo label('chat'); ?> </label>
                </div>
                
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" name="openai_model_usage_type[]" id="assistant" value="assistant" <?php if(in_array('assistant', (json_decode($data['model']->openai_model_usage_type) ?? array()))){ echo 'checked'; } ?> >
                    <label class="form-check-label" for="assistant"> <?php echo label('assistant'); ?> </label>
                </div>
                
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" name="openai_model_usage_type[]" id="finetune" value="finetune" <?php if(in_array('finetune', (json_decode($data['model']->openai_model_usage_type) ?? array()))){ echo 'checked'; } ?> >
                    <label class="form-check-label" for="finetune"> <?php echo label('finetune'); ?> </label>
                </div>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('description'); ?> <span
                            class="symbol required"></span></label>
                <textarea class="form-control mceEditor" id="openai_model_description" name="openai_model_description"><?php echo $data['model']->openai_model_description; ?></textarea>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('tokens'); ?> <span
                            class="symbol required"></span></label>
                <input type="text" value="<?php echo $data['model']->openai_model_tokens; ?>" class="form-control"
                       id="openai_model_tokens"
                       name="openai_model_tokens">
            </div>
            <div class="mb-3">
                <button class="btn btn-primary btn-wide float-end" type="submit">
                    <?php echo label('update_model'); ?>
                </button>
            </div>
        </div>
    </div>
</form>
<?php require APPROOT . '/views/inc/footer.php'; ?>