<?php $page = 'details_of_model'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'model_navigation.php'; ?>
<div class="row">
<div class="col-sm-6">
    <div class="card mb-3">
        <div class="card-header"><?php echo label('overview'); ?></div>
        <div class="card-body">
            <table class="table table-striped table-hover">
                <tr>
                    <th><?php echo label('model'); ?></th>
                    <td><?php echo $data['model']->openai_model; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('type'); ?></th>
                    <td><?php echo $data['model']->openai_model_type; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('usage'); ?></th>
                    <td><?php echo $data['model']->openai_model_usage_type; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('max_tokens'); ?></th>
                    <td><?php echo $data['model']->openai_model_tokens; ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
<div class="col-sm-6">
    <div class="card mb-3">
        <div class="card-header"><?php echo label('description'); ?></div>
        <div class="card-body">
            <?php echo $data['model']->openai_model_description; ?>
        </div>
    </div>
</div>
</div>
<?php require APPROOT . '/views/inc/footer.php'; ?>


















