<?php $page = 'chat_settings'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <form action="<?php echo URLROOT; ?>/settings/chat_settings" method="post" autocomplete="off"
          enctype="multipart/form-data">
        <div class="row">
            <div class="col-sm-12">
                <div class="card mb-3">
                    <div class="card-header">
                        <?php echo label('chat_settings'); ?>
                    </div>
                    <div class="card-body">
                        <div class="form-group mb-3">
                            <label><?php echo label('response_typing_speed'); ?></label>
                            <select data-show-subtext="true" data-live-search="true"
                                    class="form-control <?php echo selectpicker(); ?>"
                                    id="response_typing_speed" name="response_typing_speed"
                                    data-container="body"
                                    required>
                                <option value=""></option>
                                <option value="200" <?php if (getOption('response_typing_speed') == 200) {
                                    echo 'selected';
                                } ?>><?php echo label('human'); ?></option>
                                <option value="75" <?php if (getOption('response_typing_speed') == 75) {
                                    echo 'selected';
                                } ?>><?php echo label('faster'); ?></option>
                                <option value="0" <?php if (getOption('response_typing_speed') == 0) {
                                    echo 'selected';
                                } ?>><?php echo label('instant'); ?></option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group mb-3">
                <button class="btn btn-primary btn-wide float-end" type="submit">
                    <?php echo label('update_chat_settings'); ?>
                </button>
            </div>
        </div>

    </form>
<?php require APPROOT . '/views/inc/footer.php'; ?>