<?php $page = 'default_language_settings'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <form action="<?php echo URLROOT; ?>/settings/default_language" method="post" autocomplete="off"
                  enctype="multipart/form-data">

                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group mb-3">
                                <label class="form-label"><?php echo label('select_your_default_language'); ?> <span
                                            class="symbol required"></span></label>
                                <select data-show-subtext="true" data-live-search="true"
                                        class="form-control <?php echo selectpicker(); ?>" id="default_language"
                                        name="default_language" required onChange="changeCurrencySymbol(this.value)">
                                    <option value="<?php echo getOption('default_language'); ?>"><?php echo language(getOption('default_language'))->language; ?></option>
                                    <?php foreach (languages() as $default_language) { ?>
                                        <?php if (language_file($default_language->language_iso)) { ?>
                                            <option value="<?php echo $default_language->language_iso; ?>"><?php echo $default_language->language; ?></option>
                                        <?php } ?>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group mb-3">
                            <button class="btn btn-primary btn-wide float-end" type="submit">
                                <?php echo label('update_default_language_settings'); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>