<?php $page = 'email_templates'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <form action="<?php echo URLROOT; ?>/settings/use_email" method="post" autocomplete="off"
          enctype="multipart/form-data">
        <div class="card mb-3">
            <div class="card-body">
                <div class="form-group mb-3">
                    <label class="form-label"><?php echo label('use_email'); ?>
                        <i>(<?php echo label('for_sending_email_from_templates'); ?>.)</i><span
                                class="symbol required"></span></label>
                    <input type="email" name="use_email" value="<?php echo getOption('use_email'); ?>"
                           class="form-control" required>
                </div>
                <div class="form-group mb-3">
                    <button class="btn btn-primary btn-wide float-end" type="submit">
                        <?php echo label('update_use_email_settings'); ?>
                    </button>
                </div>
            </div>
        </div>
    </form>
<?php foreach ($data as $keys => $values) { ?>
    <div class="col-md-4">
        <div class="card mb-3">
            <div class="card-header"><?php echo label($keys); ?></div>
            <div class="card-body">
                <table class="table table-responsive table-hover">
                    <tbody>
                    <?php foreach ($values as $email_template) { ?>
                        <tr>
                            <td>
                                <a href="<?php echo URLROOT; ?>/settings/email_template/<?php echo $email_template->email_template_id; ?>">
                                    <?php echo $email_template->email_subject; ?>
                                </a>
                            </td>
                            <td>
                                <?php $enable = "<div class='form-check form-switch'>";
                                    if ($email_template->email_template_status == 0) {
                                        $enable .= "<a href='" . URLROOT . "/settings/enable_template/" . $email_template->email_template_id . "'><input type='checkbox' class='form-check-input' value='1' />";
                                    } else {
                                        $enable .= "<a href='" . URLROOT . "/settings/disable_template/" . $email_template->email_template_id . "'><input type='checkbox' class='form-check-input' value='1' checked />";
                                    }
                                    $enable .= "</div>";
                                    echo $enable;
                                ?>
                            </td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php } ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>