<?php $page = 'update_system'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <div class="col-md-6">
        <fieldset>
            <legend><?php echo label('current_version'); ?></legend>
            <fieldset>
                <legend></legend>
                <?php echo label('system'); ?> : <?php echo getOption('system_version'); ?><br/>
                <?php echo label('database'); ?> : <?php echo getOption('database_version'); ?>
            </fieldset>
            <fieldset>
                <legend></legend>
                <form action="<?php echo URLROOT; ?>/settings/updates" method="post" autocomplete="off"
                      enctype="multipart/form-data">

                    <div class="form-group mb-3">
                        <label><?php echo label('select_zip_file'); ?><span class="symbol required"></span></label>
                        <input type="file" name="zipfile" class="form-control" required>
                    </div>
                    <div class="form-group mb-3">
                        <button class="btn btn-primary btn-wide float-end" type="submit">
                            <?php echo label('update_system'); ?>
                        </button>
                    </div>
                </form>
            </fieldset>
        </fieldset>
    </div>
    <div class="col-md-6">
        <fieldset>
            <legend><?php echo label('how_to_update'); ?>?</legend>
            <ol>
                <li><?php echo label('download_from'); ?> <a href="https://codecanyon.net/user/mybizcms"
                                                             target="_blank">https://codecanyon.net/user/mybizcms</a>.
                </li>
                <li><?php echo label('extract_the_file'); ?></li>
                <li><?php echo label('visit'); ?>
                    <code>www.yourwebsite.com/app/install</code> <?php echo label('and_follow_the_easy_steps'); ?></li>
                <li><?php echo label('thats_all_enjoy'); ?></li>
            </ol>
            <p>
                <?php echo label('check_more_update_details_from'); ?>: <a href="https://help.mybizcms.com/system-update"
                                                                           target="_blank"><?php echo label('system_update_guide'); ?></a>
            </p>
        </fieldset>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>