<?php $exclude = TRUE; ?>
<?php require APPROOT . '/views/themes/' . getOption('active_theme') . '/inc/head.php'; ?>
    <div class="eai-container eai-sub-banner" style="<?php echo homepage_background('homepage_intro'); ?>">
        <?php require APPROOT . '/views/themes/' . getOption('active_theme') . '/inc/header.php'; ?>
        <section class="eai-banner-section">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="eai-banner-content">
                            <div class="box">
                                <span class="mb-0 fs-4"><?php echo label('home'); ?></span><span class="tilde"> <i
                                            class="fa-solid fa-angle-right"></i> </span><span
                                        class="mb-0 box_span fs-4"><?php echo label('blog'); ?></span>
                            </div>
                            <h1 class="mb-0"><?php echo label('blog'); ?></h1>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
    <!-- Blog -->
    <section class="eai-blog-page-section">
        <div class="container">
            <div class="row" data-aos="fade-up">
                <?php if (!empty($data['posts'])) { ?>
                    <?php $rows = start_paging($data['posts']); ?>
                    <?php foreach ($rows as $key => $post) { ?>
                        <div class="col-lg-4 col-md-6 col-sm-6 col-12">
                            <div class="eai-blog-box">
                                <figure class="mb-0">
                                    <img src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . $post->post_featured_image; ?>"
                                         alt="" class="img-fluid">
                                </figure>
                                <div class="lower-portion">
                                    <div class="content">
                                        <div class="admin">
                                            <i class="fa-solid fa-user"></i>
                                            <span class="eai-fs-3 text"><?php echo label('by'); ?> : <?php echo user($post->post_added_by)->username; ?></span>
                                        </div>
                                        <div class="assistant">
                                            <i class="tag-mb fa-solid fa-tag"></i>
                                            <span class="eai-fs-3 text"><a
                                                        href="<?php echo URLROOT; ?>/blog/category/<?php echo post_category($post->post_category_id)->post_category_slug; ?>"><?php echo post_category($post->post_category_id)->post_category_name; ?></a></span>
                                        </div>
                                        <div class="assistant">
                                            <i class="tag-mb fa-solid fa-tag"></i>
                                            <span class="eai-fs-3 text"><?php echo !empty(count(post_comments($post->post_id))) ? count(post_comments($post->post_id)) : label('no'); ?> <?php echo label((count(post_comments($post->post_id))==1) ? 'comment'  : 'comments'); ?></span>
                                        </div>
                                    </div>
                                    <h5><?php echo $post->post_title; ?></h5>
                                </div>
                                <div class="button-portion">
                                    <div class="date">
                                        <i class="mb-0 calendar-ml fa-solid fa-calendar-days"></i>
                                        <span class="mb-0 eai-fs-3"><?php echo dateTimeFormat($post->post_date_added); ?></span>
                                    </div>
                                    <div class="button">
                                        <a class="mb-0 read_more text-decoration-none"
                                           href="<?php echo URLROOT . '/blog/' . $post->post_slug; ?>"><?php echo label('read_more'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                    <?php echo close_paging($data['posts']); ?>
                <?php } else {
                    echo no_records('posts');
                } ?>
            </div>
        </div>
    </section>

<?php require APPROOT . '/views/themes/' . getOption('active_theme') . '/inc/footer.php'; ?>