<?php $exclude = TRUE; ?>
<?php require APPROOT . '/views/themes/' . getOption('active_theme') . '/inc/head.php'; ?>
    <div class="eai-container eai-sub-banner" style="<?php echo homepage_background('homepage_intro'); ?>">
        <?php require APPROOT . '/views/themes/' . getOption('active_theme') . '/inc/header.php'; ?>
        <section class="eai-banner-section">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="eai-banner-content">
                            <div class="box mt-3">
                                <span class="mb-0 fs-4"><?php echo label('home'); ?></span>
                                <span class="tilde"> <i class="fa-solid fa-angle-right"></i> </span>
                                <span class="mb-0 box_span fs-4"><?php echo label('blog'); ?></span>
                            </div>
                            <h1 class="mb-0"><?php echo $data['post']->post_title; ?></h1>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
    <!-- Single Blog -->
    <section class="eai-single-post-section eai-blog-page-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-md-12 col-sm-12 col-12">
                    <div class="eai-single-post-main-box">
                        <figure class="eai-single-post-featured-image">
                            <img src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . $data['post']->post_featured_image; ?>"
                                 alt="" class="img-fluid">
                        </figure>
                        <div class="eai-single-post-content">
                            <h4><?php echo $data['post']->post_title; ?></h4>
                            <i class="mb-0 calendar fa-solid fa-user"></i>
                            <span class="eai-fs-3 text-mr"><?php echo label('by'); ?> : <?php echo user($data['post']->post_added_by)->username; ?></span>
                            <i class="mb-0 calendar fa-solid fa-calendar-days"></i>
                            <span class="mb-0 eai-fs-3"><?php echo dateTimeFormat($data['post']->post_date_added); ?></span>
                            <?php echo $data['post']->post_description; ?>
                        </div>
                        <div class="eai-single-post-content-share">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                                    <div class="icon">
                                        <h5><?php echo label('share'); ?></h5>
                                        <div class="social-icons position-absolute">
                                            <ul class="mb-0 list-unstyled ">
                                                <li><a class="text-decoration-none"
                                                       href="https://wa.me/?text=<?php echo URLROOT . '/blog/' . $data['post']->post_slug; ?>"
                                                       data-bs-toggle="tooltip" data-bs-placement="right"
                                                       title="<?php echo label('whatsapp'); ?>" target="_blank"><i
                                                                class="fab fa-whatsapp social-networks"></i></a></li>
                                                <li><a class="text-decoration-none"
                                                       href="https://twitter.com/intent/tweet/?url=<?php echo URLROOT . '/blog/' . $data['post']->post_slug; ?>"
                                                       data-bs-toggle="tooltip" data-bs-placement="right"
                                                       title="<?php echo label('twitter'); ?>" target="_blank"><i
                                                                class="fab fa-twitter social-networks"></i></a></li>
                                                <li><a class="text-decoration-none"
                                                       href="https://www.facebook.com/sharer/sharer.php?u=<?php echo URLROOT . '/blog/' . $data['post']->post_slug; ?>"
                                                       data-bs-toggle="tooltip" data-bs-placement="right"
                                                       title="<?php echo label('facebook'); ?>" target="_blank"><i
                                                                class="fab fa-facebook-f social-networks"></i></a></li>
                                                <li><a class="text-decoration-none"
                                                       href="https://www.reddit.com/submit?title=<?php echo $data['post']->post_title; ?>&url=<?php echo URLROOT . '/blog/' . $data['post']->post_slug; ?>"
                                                       data-bs-toggle="tooltip" data-bs-placement="right"
                                                       title="<?php echo label('reddit'); ?>" target="_blank"><i
                                                                class="fab fa-reddit social-networks"></i></a></li>
                                                <li><a class="text-decoration-none"
                                                       href="https://www.linkedin.com/sharing/share-offsite/?url=<?php echo URLROOT . '/blog/' . $data['post']->post_slug; ?>"
                                                       data-bs-toggle="tooltip" data-bs-placement="right"
                                                       title="<?php echo label('linkedin'); ?>" target="_blank"><i
                                                                class="fab fa-linkedin-in social-networks"></i></a></li>
                                                <li><a class="text-decoration-none"
                                                       href="https://telegram.me/share/url?url=<?php echo URLROOT . '/blog/' . $data['post']->post_slug; ?>&text=<?php echo $data['post']->post_title; ?>"
                                                       data-bs-toggle="tooltip" data-bs-placement="right"
                                                       title="<?php echo label('telegram'); ?>" target="_blank"><i
                                                                class="fab fa-telegram social-networks"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="eai-single-post-content-comments">
                            <h4><?php echo !empty(count(post_comments($data['post']->post_id))) ? count(post_comments($data['post']->post_id)) : label('no'); ?> <?php echo label((count(post_comments($data['post']->post_id))==1) ? 'comment'  : 'comments'); ?></h4>
                            <?php foreach (post_comments($data['post']->post_id) as $post_comment) { ?>
                                <div class="comment border-bottom mb-3">
                                    <div class="image" data-aos="flip-left"><img alt=""
                                                                                 src="<?php echo profilePath(user($post_comment->post_comment_added_by)->profile_image); ?>"
                                                                                 class="avatar" width="100px"
                                                                                 height="100px"></div>
                                    <div class="content">
                                        <h5 class="mb-1"><?php echo user($post_comment->post_comment_added_by)->username; ?></h5>
                                        <span class="mb-1 eai-fs-3"><?php echo dateTimeFormat($post_comment->post_comment_date_added); ?></span>
                                        <div class="text_holder">
                                            <p class="eai-fs-3"><?php echo $post_comment->post_comment; ?></p>
                                        </div>
                                        <!-- comment reply-->
                                        <?php foreach (post_comment_replies($post_comment->post_comment_id) as $comment_reply) { ?>
                                            <div class="comment">
                                                <div class="image" data-aos="flip-left"><img alt=""
                                                                                             src="<?php echo profilePath(user($comment_reply->post_comment_added_by)->profile_image); ?>"
                                                                                             class="avatar"
                                                                                             width="100px"
                                                                                             height="100px"></div>
                                                <div class="content">
                                                    <h5 class="mb-1"><?php echo user($comment_reply->post_comment_added_by)->username; ?></h5>
                                                    <span class="mb-1 eai-fs-3"><?php echo dateTimeFormat($comment_reply->post_comment_date_added); ?></span>
                                                    <div class="text_holder">
                                                        <p class="eai-fs-3"><?php echo $comment_reply->post_comment; ?></p>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php } ?>
                                        <?php if (user_id()) { ?>
                                            <p><a class="reply text-decoration-none"
                                                  data-bs-toggle="collapse"
                                                  href="#comment_reply<?php echo $post_comment->post_comment_id; ?>"
                                                  role="button" aria-expanded="false"
                                                  aria-controls="comment_reply<?php echo $post_comment->post_comment_id; ?>"><i
                                                            class="fas fa-reply me-2"></i><?php echo label('reply'); ?>
                                                </a></p>
                                            <div class="collapse"
                                                 id="comment_reply<?php echo $post_comment->post_comment_id; ?>">
                                                <div class="card-body">
                                                    <form action="<?php echo URLROOT; ?>/blog/post_reply/<?php echo $post_comment->post_comment_id; ?>"
                                                          method="post" autocomplete="off"
                                                          enctype="multipart/form-data">
                                                        <div class="mb-3">
                                                            <textarea class="form-control" name="post_comment"
                                                                      placeholder="<?php echo label('write_reply'); ?>..."
                                                                      required></textarea>
                                                        </div>
                                                        <a class="mt-3 reply text-decoration-none"
                                                           href="#"><?php echo label('post_reply'); ?></a>
                                                    </form>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                        <div class="eai-single-post-content-comment">
                            <?php if (user_id()) { ?>
                                <h4><?php echo label('leave_a_comment'); ?></h4>
                                <form class="w-100"
                                      action="<?php echo URLROOT; ?>/blog/post_comment/<?php echo $data['post']->post_id; ?>"
                                      method="post" autocomplete="off" enctype="multipart/form-data">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                        <textarea class="form-control" name="post_comment" rows="3"
                                                  placeholder="<?php echo label('write_comment'); ?>..."
                                                  required></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="button text-center">
                                        <button type="submit"
                                                class="post_comment"><?php echo label('post_comment'); ?></button>
                                    </div>
                                </form>
                            <?php } else { ?>
                                <a class="button text-center link-primary"
                                   href="<?php echo URLROOT; ?>/users/login"><?php echo label('login_to_post_comment_or_reply'); ?></a>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-12 col-sm-12 col-12 column">
                    <div class="box1 box2">
                        <h5><?php echo label('categories'); ?></h5>
                        <ul class="list-unstyled mb-0">
                            <?php foreach (post_categories() as $category) { ?>
                                <li class="eai-fs-2"><a
                                            href="<?php echo URLROOT; ?>/blog/category/<?php echo $category->post_category_slug; ?>"><?php echo $category->post_category_name; ?></a>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                    <div class="box1 box3">
                        <h5><?php echo label('follow_us'); ?></h5>
                        <div class="social-icons">
                            <ul class="mb-0 list-unstyled">
                                <?php foreach (social_profiles() as $profile) { ?>
                                    <li><a href="<?php echo $profile->social_profile_link; ?>"
                                           class="text-decoration-none"><?php echo str_replace('"></i>', ' social-networks"></i>', $profile->social_profile_icon); ?></a>
                                    </li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                    <div class="box1 box5">
                        <h5><?php echo label('latest_posts'); ?></h5>
                        <?php foreach (posts() as $post) { ?>
                            <div class="feed">
                                <figure class="feed-image mb-0" data-aos="fade-up">
                                    <img src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . $post->post_featured_image; ?>"
                                         alt="" class="img-fluid">
                                </figure>
                                <a href="<?php echo URLROOT . '/blog/' . $post->post_slug; ?>"
                                   class="mb-0"><?php echo $post->post_title; ?></a>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php require APPROOT . '/views/themes/' . getOption('active_theme') . '/inc/footer.php'; ?>