<?php $exclude = TRUE; ?>
<?php require 'inc/head.php'; ?>
    <div class="eai-container">
        <?php require_once('inc/header.php'); ?>
        <section class="section">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-5 col-md-8">
                        <div class="card bg-white shadow rounded border-0 mb-5">
                            <div class="text-center">
                                <a href="<?php echo URLROOT; ?>">
                                    <figure class="mt-3">
                                        <img src="<?php echo systemPath(company(!empty(company_id()) ? company_id() : 1)->company_website_logo); ?>"
                                             alt="<?php echo company(!empty(company_id()) ? company_id() : 1)->company_name; ?>">
                                    </figure>
                                </a>
                            </div>
                            <div class="card-body">
                                <h4 class="card-title text-center"><?php echo label('forgot_password'); ?></h4>
                                <div class="ml-auto">
                                    <span class="fw-bold"><?php flash('user_message'); ?></span>
                                </div>
                                <form action="<?php echo URLROOT; ?>/users/forgot_password" method="post"
                                      autocomplete="off" enctype="multipart/form-data">

                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="mb-3">
                                                <label class="form-label"><?php echo label('enter_your_email_address_below_to_reset_your_password'); ?>
                                                    <span class="text-danger">*</span></label>
                                                <div class="form-icon position-relative">
                                                    <i data-feather="mail" class="fea icon-sm icons"></i>
                                                    <input type="email" class="form-control" name="email" required>
                                                </div>
                                            </div>
                                        </div><!--end col-->
                                        <div class="col-lg-12">
                                            <div class="d-grid">
                                                <button type="submit" class="btn btn-primary btn-lg w-100">
                                                    <?php echo label('recover'); ?>
                                                </button>
                                            </div>
                                        </div><!--end col-->
                                        <div class="mx-auto">
                                            <p class="mb-0 mt-3"><small
                                                        class="text-dark me-2"><?php echo label('remembered_your_password'); ?></small>
                                                <a href="<?php echo URLROOT . '/users/login'; ?>"
                                                   class="link-primary"><?php echo label('login'); ?></a></p>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div><!--end col-->
                </div><!--end row-->
            </div> <!--end container-->
        </section>
    </div>
<?php require 'inc/footer.php'; ?>