<!DOCTYPE html>
<html lang="">
<head>
    <title><?php echo company(1)->company_name; ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0">
    <meta charset="utf-8">
    <link rel="icon" type="image/x-icon" href="<?php echo faviconPath(company(1)->company_website_favicon); ?>">
    <link rel="manifest" href="<?php echo URLROOT; ?>/app/uploads/media/manifest.json">

    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="application-name" content="<?php echo urlroot_domain(URLROOT); ?>">
    <meta name="apple-mobile-web-app-title" content="<?php echo urlroot_domain(URLROOT); ?>">
    <meta name="theme-color" content="#ffffff">
    <meta name="msapplication-navbutton-color" content="#ffffff">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="msapplication-starturl" content="<?php echo URLROOT; ?>">
    <?php
        $imageInfo = getimagesize(faviconPath(company(1)->company_website_favicon));
        
        if ($imageInfo !== false) {
            $mime = $imageInfo['mime'];
            if ($mime === 'image/jpeg') {
                $mime = 'image/jpg';
            }
            $mimeType = 'type="' . $mime . '"';
            $imageDimensions = 'sizes="' . $imageInfo[0] . 'X' . $imageInfo[1] . '"';
        } else {
            $mimeType = NULL;
            $imageDimensions = NULL;
        }
    ?>
    <link rel="icon" <?php echo $mimeType; ?> <?php echo $imageDimensions; ?>
          href="<?php echo faviconPath(company(1)->company_website_favicon); ?>">
    <link rel="apple-touch-icon" <?php echo $mimeType; ?> <?php echo $imageDimensions; ?>
          href="<?php echo faviconPath(company(1)->company_website_favicon); ?>">

    <link rel="stylesheet" type="text/css"
          href="<?php echo URLROOT; ?>/template/vendor/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo URLROOT; ?>/template/vendor/fontawesome/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo URLROOT; ?>/template/vendor/aos/aos.css">
    <link rel="stylesheet" type="text/css"
          href="<?php echo URLROOT; ?>/template/assets/themes/<?php echo getOption('active_theme'); ?>/assets/css/style.css">
    <link rel="stylesheet" type="text/css"
          href="<?php echo URLROOT; ?>/template/assets/themes/<?php echo getOption('active_theme'); ?>/assets/css/blog.css">
    <link rel="stylesheet" type="text/css"
          href="<?php echo URLROOT; ?>/template/assets/themes/<?php echo getOption('active_theme'); ?>/assets/css/responsive.css">
    <link rel="stylesheet" type="text/css"
          href="<?php echo URLROOT; ?>/template/assets/themes/<?php echo getOption('active_theme'); ?>/assets/css/owl.carousel.min.css">
    <link rel="stylesheet" type="text/css"
          href="<?php echo URLROOT; ?>/template/assets/themes/<?php echo getOption('active_theme'); ?>/assets/css/owl.theme.default.min.css">
</head>
<body>
<a id="button"></a>