<?php $exclude = TRUE; ?>
<?php require 'inc/head.php'; ?>
    <div class="eai-container eai-sub-banner" style="<?php echo homepage_background('homepage_intro'); ?>">
        <?php require_once('inc/header.php'); ?>
        <section class="eai-banner-section">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="eai-banner-content">
                            <div class="box">
                                <span class="mb-0 fs-4"><?php echo label('home'); ?></span><span class="tilde"> <i
                                            class="fa-solid fa-angle-right"></i> </span><span
                                        class="mb-0 box_span fs-4"><?php echo $data['page']->page_title; ?></span>
                            </div>
                            <h1 class="mb-0"><?php echo $data['page']->page_title; ?></h1>
                            <figure class="mb-0 banner-upperdot">
                                <img class="img-fluid"
                                     src="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>/banner-upperdots.png" alt="">
                            </figure>
                            <figure class="mb-0 banner-lowerdot">
                                <img class="img-fluid"
                                     src="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>/banner-lowerdots.png" alt="">
                            </figure>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="section">
            <div class="container">
                <div class="eai-section-content">
                    <?php echo $data['page']->page_description; ?>
                </div>
            </div>
        </section>
        
        <?php if (getOption('contact_us_page') == $data['page']->page_id) { ?>
            <?php if (getOption('show_contact_us_form')) { ?>
                <!-- Contact info -->
                <section class="eai-contact-info-section">
                    <div class="container">
                        <div class="info-content" data-aos="fade-up">
                            <form action="javascript:void(0)" method="post" id="contact_form"
                                  enctype="multipart/form-data">
                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                                        <div class="row">
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label><?php echo label('name'); ?>:</label>
                                                    <input type="text" class="form-control"
                                                           placeholder="<?php echo label('enter_your_name'); ?>"
                                                           name="name">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label><?php echo label('email'); ?>:</label>
                                                    <input type="email" class="form-control"
                                                           placeholder="<?php echo label('enter_your_email'); ?>"
                                                           name="emailid">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label><?php echo label('subject'); ?>:</label>
                                                    <input type="text" class="form-control"
                                                           placeholder="<?php echo label('enter_subject'); ?>"
                                                           name="subject">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                                        <div class="row">
                                            <div class="col-12">
                                                <div class=" form-group mb-0">
                                                    <label><?php echo label('message'); ?>:</label>
                                                    <textarea class="form-control"
                                                              placeholder="<?php echo label('write_your_message'); ?>"
                                                              rows="3" name="msg"></textarea>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="manage-button">
                                                    <button type="submit"
                                                            class="eai-send-now text-white text-decoration-none"
                                                            id="contact"><?php echo label('send_message'); ?>
                                                        <i class="circle fa-regular fa-angle-right"></i>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </section>
            <?php } ?>
            <?php if (getOption('show_contact_us_details')) { ?>
                <!-- Contact -->
                <div class="eai-contact-page-section">
                    <div class="container">
                        <figure class="mb-0 eai-end-logo">
                            <i class="fa-solid fa-wave-square fa-3x"></i>
                        </figure>
                        <div class="content">
                            <div class="row" data-aos="fade-up">
                                <div class="col-lg-4 col-md-6 col-sm-6 col-12">
                                    <div class="eai-contact-box">
                                        <div class="eai-box-image">
                                            <figure class="mb-0 icon">
                                                <i class="fa-solid fa-phone fa-2x text-white"></i>
                                            </figure>
                                        </div>
                                        <div class="box-content">
                                            <p class="mt-3"><a href="tel:<?php echo getOption('contact_us_phone'); ?>"
                                                               class="text-decoration-none eai-fs-3"><?php echo getOption('contact_us_phone'); ?></a>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-6 col-sm-6 col-12">
                                    <div class="eai-contact-box">
                                        <div class="eai-box-image">
                                            <figure class="mb-0 icon">
                                                <i class="fa-solid fa-at fa-2x text-white"></i>
                                            </figure>
                                        </div>
                                        <div class="box-content">
                                            <p class="mt-3"><a
                                                        href="mailto:<?php echo getOption('contact_us_email'); ?>"
                                                        class="text-decoration-none eai-fs-3"><?php echo getOption('contact_us_email'); ?></a>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-6 col-sm-6 col-12">
                                    <div class="eai-contact-box">
                                        <div class="eai-box-image">
                                            <figure class="mb-0 icon">
                                                <i class="fa-solid fa-map fa-2x text-white"></i>
                                            </figure>
                                        </div>
                                        <div class="box-content">
                                            <p class="mt-3 text eai-fs-3"><?php echo getOption('contact_us_address'); ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        <?php } ?>
    </div>
<?php require 'inc/footer.php'; ?>