<?php $exclude = TRUE; ?>
<?php require 'inc/head.php'; ?>
    <div class="eai-container">
        <?php require_once('inc/header.php'); ?>
        <section class="section">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-5 col-md-8">
                        <div class="card bg-white shadow rounded border-0 mb-5">
                            <div class="text-center">
                                <a href="<?php echo URLROOT; ?>">
                                    <figure class="mt-3">
                                        <img src="<?php echo systemPath(company(!empty(company_id()) ? company_id() : 1)->company_website_logo); ?>"
                                             alt="<?php echo company(!empty(company_id()) ? company_id() : 1)->company_name; ?>">
                                    </figure>
                                </a>
                            </div>
                            <div class="card-body">
                                <h4 class="card-title text-center"><?php echo label('reset_password'); ?></h4>
                                <div class="ml-auto">
                                    <span class="fw-bold"><?php flash('user_message'); ?></span>
                                </div>
                                <form action="<?php echo URLROOT; ?>/users/reset_password" method="post"
                                      autocomplete="off" enctype="multipart/form-data">

                                    <div class="form-group mb-3">
                                        <label><?php echo label('new_password'); ?> <span
                                                    class="symbol required"></span></label>
                                        <input type="password" id="password" name="new_password" class="form-control"
                                               required/>
                                    </div>
                                    <div class="form-group mb-3">
                                        <label><?php echo label('confirm_password'); ?> <span
                                                    class="symbol required"></span></label>
                                        <input type="password" id="password" name="confirm_password"
                                               class="form-control" required/>
                                    </div>
                                    <input type="hidden" name="passkey" value="<?php echo $data['passkey']; ?>"/>
                                    <input type="hidden" name="email" value="<?php echo $data['email']; ?>"/>
                                    <button type="submit" class="btn btn-primary btn-lg w-100">
                                        <?php echo label('reset_password'); ?>
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div><!--end col-->
                </div><!--end row-->
            </div> <!--end container-->
        </section>
    </div>
<?php require 'inc/footer.php'; ?>