﻿<?php $page = 'users'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['users'])) { ?>
    <?php $rows = start_paging($data['users']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('name'); ?></th>
            <th><?php echo label('chat_assistants_left'); ?></th>
            <th><?php echo label('trained_model_left'); ?></th>
            <th><?php echo label('words_left'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $users) { ?>
            <tr>
                <td>
                    <?php echo n_link('users', 'show', $users->user_id, profilePath($users->profile_image), $users->firstname . " " . $users->lastname); ?></td>
                <td><?php echo ($users->user_remaining_chat_assistants == -1) ? label('unlimited') : number_format($users->user_remaining_chat_assistants); ?></td>
                <td><?php echo ($users->user_remaining_trained_models == -1) ? label('unlimited') : number_format($users->user_remaining_trained_models); ?></td>
                <td><?php echo ($users->user_remaining_words == -1) ? label('unlimited') : number_format($users->user_remaining_words); ?></td>
                <td><?php echo status_label(user_status($users->user_status_id)->user_status_colour, user_status($users->user_status_id)->user_status); ?></td>
                <td class="text-end">
                    <?php if ($users->user_id != user_id()) {
                        if ($users->user_status_id == 1) {
                            echo fa_link('users', 'deactivate', $users->user_id, 'arrow-down');
                        } elseif (($users->user_status_id == 3) || ($users->user_status_id == 2)) {
                            echo fa_link('users', 'activate', $users->user_id, 'check');
                        }
                    } ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['users']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>