<?php $page = 'custom_errors'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['custom_errors'])) { ?>
    <?php $rows = start_paging($data['custom_errors']); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <div class="card-body">
                <?php
                    foreach ($rows as $error) {
                        if ($error->user_id == user_id() || isSuperAdmin()) {
                            ?>
                            <div class="vertical-without-time vertical-timeline vertical-timeline--animate vertical-timeline--one-column">
                                <div class="vertical-timeline-item vertical-timeline-element">
                                    <div>
		                                <span class="vertical-timeline-element-icon bounce-in position-relative">
		                                    <?php echo $error->ip_address; ?>
		                                </span>
                                        <div class="vertical-timeline-element-content bounce-in">
                                            <p class="text-danger"><?php echo dateTimeFormat($error->date_added); ?></p>
                                            <p><?php echo $error->message; ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php }
                    } ?>
            </div>
        </div>
    </div>
    <?php echo close_paging($data['custom_errors']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>