<?php $page = 'details_of_visit'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'visit_navigation.php'; ?>
<?php echo card_div(); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('overview'); ?></div>
            <div class="card-body">
                <table class="table table-striped table-hover">
                    <tr>
                        <th><?php echo label('visit'); ?></th>
                        <td><?php echo $data['visit']->visit_uid; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('widget'); ?></th>
                        <td><?php echo !empty($data['visit']->widget_id) ? widget($data['visit']->widget_id)->widget_name : label('default'); ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('location'); ?></th>
                        <td><?php echo $data['visit']->visit_location; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('ip_address'); ?></th>
                        <td><span class="blur"><?php echo $data['visit']->visit_ip_address; ?></span></td>
                    </tr>
                    <tr>
                        <th><?php echo label('platform'); ?></th>
                        <td><?php echo $data['visit']->visit_platform; ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('started'); ?></th>
                        <td><?php echo dateTimeFormat($data['visit']->visit_date_added); ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('ended'); ?></th>
                        <td><?php echo !empty($data['visit']->visit_date_ended) ? dateTimeFormat($data['visit']->visit_date_ended) : label('ongoing'); ?></td>
                    </tr>
                    <tr>
                        <th><?php echo label('duration'); ?></th>
                        <td><?php echo !empty($data['visit']->visit_date_ended) ? convert_to_h_i_s(strtotime($data['visit']->visit_date_ended) - strtotime($data['visit']->visit_date_added)) : label('ongoing'); ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>