<?php $page = 'timelines_of_visit'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'visit_navigation.php'; ?>
<?php echo card_div(); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <div class="card-header"><?php echo label('timelines'); ?></div>
            <div class="card-body">
                <?php if (!empty($data['visit_timelines'])) { ?>
                    <?php $rows = start_paging($data['visit_timelines']); ?>
                    <div class="vertical-timeline vertical-timeline--animate vertical-timeline--one-column">
                        <?php foreach ($rows as $timeline) { ?>
                            <div class="vertical-timeline-item vertical-timeline-element">
                                <div>
                <span class="vertical-timeline-element-icon bounce-in">
                <i class="badge-custom badge-custom-dot badge-custom-dot-xl <?php echo timeline_type($timeline->visit_timeline_action); ?>"></i>
                </span>
                                    <div class="vertical-timeline-element-content bounce-in">
                                        <h4 class="timeline-title"><?php echo label($timeline->visit_timeline_action); ?></h4>
                                        <p>
                                            <?php if (filter_var($timeline->visit_timeline, FILTER_VALIDATE_URL)) { ?>
                                                <a class="link-primary" href="<?php echo $timeline->visit_timeline; ?>"
                                                   target="_blank"><?php echo $timeline->visit_timeline; ?></a>
                                            <?php } else {
                                                echo $timeline->visit_timeline;
                                            } ?>
                                        </p>

                                        <span class="vertical-timeline-element-date"><?php echo dateTimeFormat($timeline->visit_timeline_date_added); ?></span>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                    <?php echo close_paging($data['visit_timelines']); ?>
                <?php } else {
                    echo no_records($page);
                } ?>
            </div>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>