<?php $page = 'widgets'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['widgets'])) { ?>
    <?php $rows = start_paging($data['widgets']); ?>
    <div class="card mb-3">
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th><?php echo label('name'); ?></th>
                <th><?php echo label('source_type'); ?></th>
                <th><?php echo label('source'); ?></th>
                <th><?php echo label('date_added'); ?></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($rows as $widget) { ?>
                <tr>
                    <td><?php echo n_link('widgets', 'show', $widget->widget_id, $widget->widget_name); ?></td>
                    <td><?php echo label(widget_chat_source($widget->widget_id)['source']); ?></td>
                    <td><?php echo widget_chat_source($widget->widget_id)['source_id']; ?></td>
                    <td><?php echo dateTimeFormat($widget->widget_date_added); ?></td>
                    <td>
                        <?php echo fa_link('widgets', 'edit', $widget->widget_id, 'pencil'); ?>
                        <?php echo fa_link('widgets', 'delete', $widget->widget_id, 'times'); ?>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>