<?php $page = 'details_of_widget'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'widget_navigation.php'; ?>
<div class="col-md-6">
    <div class="card mb-3">
        <div class="card-header"><?php echo label('overview'); ?></div>
        <div class="card-body">
            <table class="table table-striped table-hover">
                <tr>
                    <th><?php echo label('name'); ?></th>
                    <td><?php echo $data['widget']->widget_name; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('added_by'); ?></th>
                    <td><?php echo user($data['widget']->widget_added_by)->username; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('source_type'); ?></th>
                    <td><?php echo label(widget_chat_source($data['widget']->widget_id)['source']); ?></td>
                </tr>
                <tr>
                    <th><?php echo label('source'); ?></th>
                    <td><?php echo widget_chat_source($data['widget']->widget_id)['source_id']; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('chat_instructions'); ?></th>
                    <td><?php echo $data['widget']->user_chat_instructions; ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
<div class="col-sm-6">
    <div class="mb-3">
        <label for="widget_code" class="form-label"><?php echo label('widget_code'); ?></label>
        <textarea class="form-control" id="widget_code" rows="13"
                  readonly><?php echo $data['widget_code']; ?></textarea>
        <span class="btn btn-outline-primary float-end mt-1"
              onclick="clickToCopy()"><?php echo label('copy'); ?></span>
    </div>
</div>
<?php require APPROOT . '/views/inc/footer.php'; ?>
<script>
    function clickToCopy() {
        // Get the text field
        var copyText = document.getElementById("widget_code");

        // Select the text field
        copyText.select();
        copyText.setSelectionRange(0, 99999); // For mobile devices

        // Copy the text inside the text field
        navigator.clipboard.writeText(copyText.value);

        // Alert the copied text
        alert("<?php echo label('script_copied_to_clipboard'); ?>");
    }
</script>