var monthlySubscriptionsChart = function () {
    "use strict";
    var monthlySubscriptionsChartHandler = function () {
        const ctx = document.getElementById('monthlySubscriptionsChart').getContext('2d');
        const monthlySubscriptionsChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.month,
                datasets: [{
                    label: SubscriptionsValues.item,
                    data: SubscriptionsValues.monthly,
                    borderColor: [
                        'rgba(' + SubscriptionsValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            monthlySubscriptionsChartHandler();
        }
    };
}();

var dailySubscriptionsChart = function () {
    "use strict";
    var dailySubscriptionsChartHandler = function () {
        const ctx = document.getElementById('dailySubscriptionsChart').getContext('2d');
        const dailySubscriptionsChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.day,
                datasets: [{
                    label: SubscriptionsValues.item,
                    data: SubscriptionsValues.daily,
                    borderColor: [
                        'rgba(' + SubscriptionsValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            dailySubscriptionsChartHandler();
        }
    };
}();

var monthlyUsersChart = function () {
    "use strict";
    var monthlyUsersChartHandler = function () {
        const ctx = document.getElementById('monthlyUsersChart').getContext('2d');
        const monthlyUsersChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.month,
                datasets: [{
                    label: UsersValues.item,
                    data: UsersValues.monthly,
                    borderColor: [
                        'rgba(' + UsersValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            monthlyUsersChartHandler();
        }
    };
}();

var dailyUsersChart = function () {
    "use strict";
    var dailyUsersChartHandler = function () {
        const ctx = document.getElementById('dailyUsersChart').getContext('2d');
        const dailyUsersChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.day,
                datasets: [{
                    label: UsersValues.item,
                    data: UsersValues.daily,
                    borderColor: [
                        'rgba(' + UsersValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            dailyUsersChartHandler();
        }
    };
}();

var monthlyVisitsChart = function () {
    "use strict";
    var monthlyVisitsChartHandler = function () {
        const ctx = document.getElementById('monthlyVisitsChart').getContext('2d');
        const monthlyVisitsChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.month,
                datasets: [{
                    label: VisitsValues.item,
                    data: VisitsValues.monthly,
                    borderColor: [
                        'rgba(' + VisitsValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            monthlyVisitsChartHandler();
        }
    };
}();

var dailyVisitsChart = function () {
    "use strict";
    var dailyVisitsChartHandler = function () {
        const ctx = document.getElementById('dailyVisitsChart').getContext('2d');
        const dailyVisitsChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.day,
                datasets: [{
                    label: VisitsValues.item,
                    data: VisitsValues.daily,
                    borderColor: [
                        'rgba(' + VisitsValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            dailyVisitsChartHandler();
        }
    };
}();

var monthlyChatsChart = function () {
    "use strict";
    var monthlyChatsChartHandler = function () {
        const ctx = document.getElementById('monthlyChatsChart').getContext('2d');
        const monthlyChatsChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.month,
                datasets: [{
                    label: ChatsValues.item,
                    data: ChatsValues.monthly,
                    borderColor: [
                        'rgba(' + ChatsValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            monthlyChatsChartHandler();
        }
    };
}();

var dailyChatsChart = function () {
    "use strict";
    var dailyChatsChartHandler = function () {
        const ctx = document.getElementById('dailyChatsChart').getContext('2d');
        const dailyChatsChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.day,
                datasets: [{
                    label: ChatsValues.item,
                    data: ChatsValues.daily,
                    borderColor: [
                        'rgba(' + ChatsValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            dailyChatsChartHandler();
        }
    };
}();

var monthlyUsageChart = function () {
    "use strict";
    var monthlyUsageChartHandler = function () {
        const ctx = document.getElementById('monthlyUsageChart').getContext('2d');
        const monthlyUsageChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.month,
                datasets: [{
                    label: TemplateValues.item,
                    data: TemplateValues.monthly,
                    borderColor: [
                        'rgba(' + TemplateValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            monthlyUsageChartHandler();
        }
    };
}();

var dailyUsageChart = function () {
    "use strict";
    var dailyUsageChartHandler = function () {
        const ctx = document.getElementById('dailyUsageChart').getContext('2d');
        const dailyUsageChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.day,
                datasets: [{
                    label: TemplateValues.item,
                    data: TemplateValues.daily,
                    borderColor: [
                        'rgba(' + TemplateValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            dailyUsageChartHandler();
        }
    };
}();

var monthlyFinanceChart = function () {
    "use strict";
    var monthlyFinanceChartHandler = function () {
        const ctx = document.getElementById('monthlyFinanceChart').getContext('2d');
        const monthlyFinanceChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: GraphLabels.month,
                datasets: [{
                    label: SubscriptionsIncomeValues.item,
                    data: SubscriptionsIncomeValues.monthly,
                    borderColor: [
                        'rgba(' + SubscriptionsIncomeValues.rgb_colour + ',0.75)'
                    ],
                    tension: 0.4
                },
                    {
                        label: PayoutsValues.item,
                        data: PayoutsValues.monthly,
                        borderColor: [
                            'rgba(' + PayoutsValues.rgb_colour + ',0.75)'
                        ],
                        tension: 0.4
                    }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    };
    return {
        //main function to initiate template pages
        init: function () {
            monthlyFinanceChartHandler();
        }
    };
}();
