(function() {
		function loadChatWidget() {
			jQuery(document).ready(function ($) {
					var delay = 750;

					$.ajax
					({
							type: "POST",
							url: URLROOT + "/embedded/record_timeline",
							data:
							"current_url=" + current_url,

							beforeSend: function () {

							},
							success: function (data) {
							}
						});

					const wrapper = document.getElementById('sai-wrapper');
					$(document).on("click", "#popoutChat", function (event) {
							event.preventDefault();
							const windowWidth = window.innerWidth;
							const windowHeight = window.innerHeight;
							wrapper.style.width = Math.min(windowWidth * 0.85) + "px";
							wrapper.style.height = Math.min(windowHeight * 0.85) + "px";
							$("#popoutChat").hide();
							$("#popinChat").show();
						});
					$(document).on("click", "#popinChat", function (event) {
							event.preventDefault();
							wrapper.style.width = "350px";
							wrapper.style.height = "78%";
							$("#popinChat").hide();
							$("#popoutChat").show();
						});

					$(document).on("click", "#endChatModalBtn", function (event) {
							event.preventDefault();
							$("#endChatModal").css("display", "flex");
						});

					$(document).on("click", "#closeChatModal", function () {
							$("#endChatModal").css("display", "none");
						});

					$(document).on("click", function (event) {
							if ($(event.target).is("#endChatModal")) {
								$("#endChatModal").css("display", "none");
							}
						});

					$(document).on("click", "#emailModalBtn", function (event) {
							event.preventDefault();
							$("#emailModal").css("display", "flex");
						});

					$(document).on("click", "#closeEmailModal", function () {
							$("#emailModal").css("display", "none");
						});

					$(document).on("click", function (event) {
							if ($(event.target).is("#emailModal")) {
								$("#emailModal").css("display", "none");
							}
						});

					function triggerClick() {
						if ( $('#chat_id').val() != undefined && $('#chat_id').val().length > 0) {
							var user_id = $('#user_id').val();
							var widget_id = $('#widget_id').val();
							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/bars_right",
									data: "user_id=" + user_id +
									"&&widget_id=" + widget_id,

									beforeSend: function () {

									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										$('.bars_right').html(result.bars_right);
										$('.sai-chat-btn').addClass('chat-icon-' + result.user_chat_icon_animation);
										$('.sai-chat-btn').addClass('chat-icon-position-' + result.user_chat_icon_position);
										$('.sai-wrapper').addClass('chat-icon-position-' + result.user_chat_icon_position);
									}
								});
						}
					}

					setTimeout(triggerClick, delay+200);

					$(document).on('click', '.next', function (e) {
							e.preventDefault();
							var _this = $(this) //click button
							var existingHTML = _this.html() //store exiting button HTML
							var chat_assistant_id_chat_id = $('input[name="chat_assistant_id"]:checked').val();
							const myArray = chat_assistant_id_chat_id.split("|");
							var chat_assistant_id = myArray[0];
							var chat_id = myArray[1];
							var user_id = $('#user_id').val();
							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/next",
									data:
									"chat_assistant_id=" + chat_assistant_id +
									"&&user_id=" + user_id,
									beforeSend: function () {
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												if (result.status == "success") {
													$('.load').load(URLROOT + "/embedded/assistant/" + result.user_uid + "/" + result.chat_assistant_uid + '?chat_id=' + chat_id);
													$("#chat_id").val(chat_id);
													$("#current_url").val(current_url);
													load_messages();
													$('.widget_header').html(result.widget_header);
													$('.widget_header_textarea').html(result.widget_header_textarea);
													$('.angle_left').html(result.angle_left);
													$('.bars_right').html(result.bars_right);
													$('.document_and_link').html(result.document_and_link);
													$('.footer_form').css("display", "none");
													if (result.footer_form == 1) {
														$('.footer_form').css("display", "block");
													}
													$('.sai-chat-wrapper').animate({scrollTop: $('.sai-chat-wrapper').prop("scrollHeight")}, 0);
												} else {
													$('.completion_result').html('<div class="sai-alert sai-alert-danger">' + result.message + '</div>');
												}
												$(_this).html(existingHTML).prop('disabled', false);
											}, delay);
									}
								});
						});

					$(document).on('click', '.load_assistants', function (e) {
							e.preventDefault();

							var _this = $(this) //click button
							var existingHTML = _this.html() //store exiting button HTML
							var user_uid = $('#user_uid').val();
							var chat_assistant_id = ($('#chat_assistant_id').val() === undefined) ? '' : $('#chat_assistant_id').val();

							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/go_back/",
									data:
									"user_uid=" + user_uid,
									beforeSend: function () {
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										if (result.status == "success") {
											$('.load').load(URLROOT + "/embedded/" + user_uid + '/go_back');
											$('.widget_header').html(result.widget_header);
											$('.widget_header_textarea').html(result.widget_header_textarea);
											$('.angle_left').html(result.angle_left);
											$('.bars_right').html(result.bars_right);
											$('.document_and_link').html(result.document_and_link);
											$('.footer_form').css("display", "none");
											if (result.footer_form == 1) {
												$('.footer_form').css("display", "block");
											}
										} else {
											$('.completion_result').html('<div class="sai-alert sai-alert-danger" id="msg-flash">' + result.message + '</div>');
										}

									}
								});
						});

					function load_messages() {
						$(".sai-load-messages").empty();
						var chat_id = $('#chat_id').val();
						var user_uid = $('#user_uid').val();
						var widget_id = $('#widget_id').val();
						if (chat_id == '') {

						} else {
							jQuery.ajax({
									type: "GET", // Post / Get method
									url: URLROOT + '/embedded/load_messages/', //Where form data is sent on submission
									dataType: "text", // Data type, HTML, json etc.
									data: 
									"chat_id=" + chat_id +
									"&&user_uid=" + user_uid +
									"&&widget_id=" + widget_id, //Form variables
									success: function (response) {
										$(".sai-load-messages").fadeOut(200, function() {
												$(this).html(response).fadeIn(200, function() {
														scrollToBottom();
													});
											});
									},
									error: function (xhr, ajaxOptions, thrownError) {
										alert(thrownError);
									}
								});
						}
					}
    
					function appendMessage(message) 								{
						$(".sai-load-messages").append(
							'<div class="sai-float-end"><div class="sai-chat-box-wrapper sai-chat-box-wrapper-right"><div><div class="sai-chat-box sai-bg-primary sai-text-white">' + message + '</div><small class="opacity-6 sai-float-end"><i class="fa-regular fa-clock me-1"></i><?php echo time_elapsed_string(now()); ?></small></div><div><div class="avatar-icon-wrapper ml-1"><div class="badge badge-bottom btn-shine badge-success badge-dot badge-dot-lg"></div></div></div></div></div>'
						);
					}

					function scrollToBottom() {
						$('.sai-form-container').animate({scrollTop: $('.sai-form-container').prop("scrollHeight")}, 0);
					}
	
					$(document).on('keydown', '#message', function (e) {
							if (e.keyCode == 13) {
								$('#send_message').click();
							}
						});

					$(document).on('click', '.send_message', function (e) {

							e.preventDefault();

							var _this = $(this) //click button
							var existingHTML = _this.html() //store exiting button HTML

							var message = $('#message').val();
							var input_type = $("#input_type").val();
							var chat_id = $("#chat_id").val();
							var user_id = $("#user_id").val();
							var finetune_id = ($("#finetune_id").val() === undefined) ? '' : $("#finetune_id").val();
							var assistant_id = ($("#chat_assistant_id").val() === undefined) ? '' : $("#chat_assistant_id").val();
							var chat_file_id = ($("#chat_file_id").val() === undefined) ? '' : $("#chat_file_id").val();
							var widget_id = $("#widget_id").val();

							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/send_message",
									data:
									"message=" + message +
									"&&input_type=" + input_type +
									"&&document=" + document +
									"&&chat_id=" + chat_id +
									"&&user_id=" + user_id +
									"&&finetune_id=" + finetune_id +
									"&&assistant_id=" + assistant_id +
									"&&chat_file_id=" + chat_file_id +
									"&&widget_id=" + widget_id,

									beforeSend: function () {
										$(".root").removeClass("send_message");
										$(".fontawesome").removeClass("fa-paper-plane");
										$(".fontawesome").addClass("fa-spinner fa-spin-pulse");
										$('.bot').hide();
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												if (result.status == "success") {
													appendMessage(result.message); // Append the new message directly
													scrollToBottom();
													$("#load_new_message").html(''); // Clear the message input
													$("#chat_id").val(result.chat_id);
													setTimeout(function () {
															$('.generate_chat_response').click()
														}, delay)
												} else {
													$('.completion_result').html('<div class="sai-alert sai-alert-danger">' + result.message + '</div>');
												}
												$(".root").addClass("send_message");
												$(".fontawesome").addClass("fa-paper-plane");
												$(".fontawesome").removeClass("fa-spinner fa-spin-pulse");
												$(_this).html(existingHTML).prop('disabled', false);
												scrollToBottom();
											}, delay);
									}
								});
						});

					$(document).on('click', '.generate_chat_response', function (e) {
							e.preventDefault();

							var _this = $(this) //click button
							var existingHTML = _this.html() //store exiting button HTML

							var message = $('#message').val();
							var chat_id = $("#chat_id").val();
							var user_id = $("#user_id").val();
							var finetune_id = ($("#finetune_id").val() === undefined) ? '' : $("#finetune_id").val();
							var assistant_id = $("#assistant_id").val();
							var chat_file_id = $("#chat_file_id").val();

							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/generate_chat",
									data:
									"message=" + message +
									"&&user_id=" + user_id +
									"&&finetune_id=" + finetune_id +
									"&&chat_id=" + chat_id +
									"&&assistant_id=" + assistant_id +
									"&&chat_file_id=" + chat_file_id,
									beforeSend: function () {
										$('.bot').show();
										$('#typewriter').html('');
										$('.load_new_message').html('');
										$('.chat-bubble').append('<div class="sai-typing"><div class="sai-dot"></div><div class="sai-dot"></div><div class="sai-dot"></div></div>');
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												if (result.status == "success") {
													$('.chat-bubble').html('');

													var text = result.text;
													let index = 0;

													function type() {
														if (index < text.length) {
															document.getElementById('typewriter').innerHTML = text.slice(0, index) + '<span class="blinking-cursor">|</span>';
															index++;
															setTimeout(type, Math.random() * 10);
															scrollToBottom();
														} else {
															document.getElementById('typewriter').innerHTML = text.slice(0, index);
															load_messages();
															$('.bot').hide();
															scrollToBottom();
														}
													}

													if (response_typing_speed>
														0
													)
													{
														type();
													}
													else
													{
														document.getElementById('typewriter').innerHTML = text;
													}
													$('.bot').show();
													scrollToBottom();
												} else {
													$('.bot').hide();
													$('.chat-bubble').html('');
													$('#typewriter').html('');
													$('.completion_result').html('<div class="sai-alert sai-alert-danger">' + result.message + '</div>');
												}
												$(".root").addClass("send_message");
												$(".fontawesome").addClass("fa-paper-plane");
												$(".fontawesome").removeClass("fa-spinner fa-spin-pulse");
												$(_this).html(existingHTML).prop('disabled', false);
											}, delay);
									}
								});
						});

					setTimeout(function () {
							load_messages();
						}, (delay+100));

					$(document).on('click', '.send_chat_email', function (e) {
							e.preventDefault();
							var _this = $(this) //click button
							var existingHTML = _this.html() //store exiting button HTML

							var message = $('#load_messages').html();
							var email = $("#email").val();
							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/send_email",
									data:
									"message=" + message +
									"&&email=" + email,
									beforeSend: function () {
										$('.send_chat_email').append('<i class="fa-solid fa-spinner fa-spin-pulse"></i>');
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												if (result.status == "success") {
													$('.send_chat_email').html('<i class="fa-solid fa-check"></i>');
													$('.send_chat_email_error').html();
													setTimeout(function () {
															$('#closeEmailModal').click();
														}, 1000);
												} else {
													$('.send_chat_email_error').html(result.message);
												}
												$(_this).html(existingHTML).prop('disabled', false);
											}, delay);
									}
								});
						});

					$(document).on('click', '.end_chat_session', function (e) {
							e.preventDefault();

							var _this = $(this) //click button
							var existingHTML = _this.html() //store exiting button HTML

							var chat_id = $("#chat_id").val();

							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/end_chat_session",
									data:
									"chat_id=" + chat_id,
									beforeSend: function () {
										$('.end_chat_session').append('<i class="fa-solid fa-spinner fa-spin-pulse"></i>');
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												if (result.status == "success") {
													$('.end_chat_session').html('<i class="fa-solid fa-check"></i>');
													setTimeout(function () {
															$('#closeChatModal').click();
															$('.load_assistants').click();
														}, 1000);
												} else {
													$('.end_chat_session').append('<i class="fa-solid fa-close"></i>');
												}
												$(_this).html(existingHTML).prop('disabled', false);
											}, delay);
									}
								});
						});

					$(document).on('click', '.webchat', function (e) {
							e.preventDefault();
							$('#message').val('https://');
							$("#message").attr("type", "url");
							$('#message').focus();
							$("#input_type").val("url");
							$('#appendRemoveSelectedFile').removeClass("padding-0");
						});

					$(document).on('click', '.documentchat', function (e) {
							$("#input_type").val("document");
							$('#appendRemoveSelectedFile').removeClass("padding-0");
						});

					$(document).on('click', '.upload_link', function (e) {

							e.preventDefault();

							var _this = $(this) //click button
							var existingHTML = _this.html() //store exiting button HTML

							var message = $('#message').val();
							var input_type = $("#input_type").val();
							var chat_id = $("#chat_id").val();
							var user_id = $("#user_id").val();
							var finetune_id = ($("#finetune_id").val() === undefined) ? '' : $("#finetune_id").val();
							var assistant_id = ($("#chat_assistant_id").val() === undefined) ? '' : $("#chat_assistant_id").val();

							$.ajax
							({
									type: "POST",
									url: URLROOT + "/embedded/upload_link",
									data:
									"message=" + message +
									"&&input_type=" + input_type +
									"&&document=" + document +
									"&&chat_id=" + chat_id +
									"&&user_id=" + user_id +
									"&&finetune_id=" + finetune_id +
									"&&assistant_id=" + assistant_id,

									beforeSend: function () {
										scrollToBottom()
										$(".root").removeClass("send_message");
										$(".fontawesome").removeClass("fa-paper-plane");
										$(".fontawesome").addClass("fa-spinner fa-spin-pulse");
										$('.bot').hide();
										load_messages();
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												if (result.status == "success") {
													$('.completion_result').html('<div class="sai-alert sai-alert-' + result.alert + '" id="msg-flash">' + result.message + '</div>');
													$('.remove-selected-file').click();
													$("#chat_id").val(result.chat_id);
													$('#assistant_file_id').val(result.assistant_file_output_id);
													$('#assistant_id').val(result.assistant_id);
													$('#send_message').removeClass("send_message");
													$('#send_message').removeClass("upload_document");
													$('#send_message').removeClass("upload_link");
													$('#send_message').addClass("create_thread");
													$('.click-toggle-checkbox').hide();
													$('.append_stop_document_link_chat').html('<i class="fa-solid fa-stop text-danger stop_document_link_chat cursor-pointer" title="Stop document or link chat"></i>');
													scrollToBottom();
													doAfterResultForFetch();
												} else {
													$('.completion_result').html('<div class="sai-alert sai-alert-danger" id="msg-flash">' + result.message + '</div>');
													doAfterResultForFetch();
												}
												$(_this).html(existingHTML).prop('disabled', false);
											}, delay);
									}
								});
						});

					$(document).on('click', '.upload_document', function (e) {
							e.preventDefault();
							const chat_id = document.getElementById('chat_id');
							const user_id = document.getElementById('user_id');
							const fileInput = document.getElementById('document');

							const formData = new FormData();
							formData.append('chat_id', chat_id.value);
							formData.append('user_id', user_id.value);
							formData.append('file', fileInput.files[0]);

							doBeforeSendForFetch();

							fetch(URLROOT + '/embedded/upload_document', {
									method: 'POST',
									body: formData
								})
							.then(response => {
									if (!response.ok) {
										throw new Error('Error uploading file');
									}
									doAfterResultForFetch();
									return response.text();
								})
							.then(data => {
									var result = jQuery.parseJSON(data);
									// File uploaded successfully
									$('.completion_result').html('<div class="sai-alert sai-alert-' + result.alert + '" id="msg-flash">' + result.message + '</div>');
									$('.remove-selected-file').click();
									$("#chat_id").val(result.chat_id);
									$('#assistant_file_id').val(result.assistant_file_output_id);
									$('#assistant_id').val(result.assistant_id);
									$('#send_message').removeClass("send_message");
									$('#send_message').removeClass("upload_document");
									$('#send_message').removeClass("upload_link");
									$('#send_message').addClass("create_thread");
									$('.click-toggle-checkbox').hide();
									$('.append_stop_document_link_chat').html('<i class="fa-solid fa-stop text-danger stop_document_link_chat cursor-pointer"></i>');
									scrollToBottom();
									doAfterResultForFetch();
								})
							.catch(error => {
									// Handle error
									$('.completion_result').html('<div class="sai-alert sai-alert-danger" id="msg-flash">' + error.message + '</div>');
									doAfterResultForFetch();
								});
						});

					function doBeforeSendForFetch() {
						$('#send_message').removeClass("create_thread");
						$(".fontawesome").removeClass("fa-paper-plane");
						$(".fontawesome").addClass("fa-spinner fa-spin-pulse");
						$('#message').val('');
						$('.chat-bubble').html('');
						$("#load_new_message").html('');
						$('.bot').show();
						$('#typewriter').html('');
						$('.chat-bubble').append('<div class="sai-typing"><div class="sai-dot"></div><div class="sai-dot"></div><div class="sai-dot"></div></div>');
					}

					function doAfterResultForFetch() {
						$(".fontawesome").addClass("fa-paper-plane");
						$(".fontawesome").removeClass("fa-spinner fa-spin-pulse");
						$('.bot').hide();
						load_messages();
					}

					$(document).on('click', '.create_thread', function (e) {
							var message = $('#message').val();
							var assistant_id = $("#assistant_id").val();
							var assistant_file_id = $("#assistant_file_id").val();
							var thread_id = $("#thread_id").val();
							var chat_id = $("#chat_id").val();
							var user_id = $("#user_id").val();
							var chat_instructions = $("#chat_instructions").val();
							var widget_id = $("#widget_id").val();
							$('#message').val('');
							$(".fontawesome").removeClass("fa-paper-plane");
							$(".fontawesome").addClass("fa-spinner fa-spin-pulse");
							runProcesses(message, assistant_file_id, thread_id, chat_id, user_id, assistant_id, chat_instructions, widget_id, 'create_thread');
						});

					$(document).on('click', '.create_thread_message', function (e) {
							var _this = $(this); //click button
							var existingHTML = _this.html(); //store existing button HTML
							var message = $('#message').val();
							var assistant_id = $("#assistant_id").val();
							var assistant_file_id = $("#assistant_file_id").val();
							var thread_id = $("#thread_id").val();
							var chat_id = $("#chat_id").val();
							var user_id = $("#user_id").val();
							var chat_instructions = $("#chat_instructions").val();
							var widget_id = $("#widget_id").val();
							doBeforeSendForFetch();
							runProcesses(message, assistant_file_id, thread_id, chat_id, user_id, assistant_id, chat_instructions, widget_id, 'create_thread_message');
						});
    
    
					async function updateStatus(message, alert, result) {
						if (result.alert === 'danger') {
							$('.completion_result').html('<div class="sai-alert sai-alert-' + result.alert + '" id="msg-flash">' + result.message + '</div>');
						}
					}

					function callPHPProcess(processNumber, inputData) {
						return $.ajax({
								url: URLROOT + '/embedded/' + processNumber,
								type: 'POST',
								data: inputData,
								dataType: 'json'
							});
					}

					function submitPostRequest(processNumber, previousResult) {
						const postData = {
							...previousResult
						};

						return $.ajax({
								url: URLROOT + '/embedded/' + processNumber,
								type: 'POST',
								data: postData,
								dataType: 'json'
							});
					}

					async function promptUntilCompleted(processNumber, inputData) {
						while (widget_document_retries > 0) {
							const result = await callPHPProcess(processNumber, inputData);
							updateStatus("<?php echo label('processing'); ?>...", result.alert, result);

							if (result.status === 'success') {
								updateStatus("<?php echo label('completed_successfully'); ?>", result.alert, result);
								$('#send_message').addClass("create_thread_message");
								return result.data;
							} else if (result.status === 'error') {
								updateStatus(result, result.alert, result);
								doAfterResultForFetch();
								throw new Error(result.message);
							} else {
								updateStatus("<?php echo label('retrying'); ?>...", result.alert, result);
								await sleep(widget_document_timeout);
								widget_document_retries--;
							}
						}

						updateStatus("<?php echo label('failed_after_multiple_retries'); ?> " + result.message, result.alert, result);
					}

					async function runProcesses(message, assistant_file_id, thread_id, chat_id, user_id, assistant_id, chat_instructions, widget_id, start_from) {
						try {
							let inputData = {
								'message': message,
								'assistant_id': assistant_id,
								'assistant_file_id': assistant_file_id,
								'thread_id': thread_id,
								'chat_id': chat_id,
								'user_id': user_id,
								'chat_instructions': chat_instructions,
								'widget_id': widget_id
							};

							// Array of process names
							const processNames = ['create_thread', 'create_thread_message', 'create_run', 'retrieve_run', 'list_messages'];
							const startIndex = processNames.indexOf(start_from);
							let modifiedProcessNames;
		    
							if (startIndex !== -1) {
								modifiedProcessNames = processNames.slice(startIndex);
								//console.log(modifiedProcessNames);
							} else {
								modifiedProcessNames = processNames;
							}
            
							for (let processNumber of modifiedProcessNames) {
								inputData = await promptUntilCompleted(processNumber, inputData);
								if (processNumber === 'create_thread') {
									$('#thread_id').val(inputData.thread_id || $('#thread_id').val());
									$('#chat_id').val(inputData.chat_id || $('#chat_id').val());
									doAfterResultForFetch();
								}
								if (processNumber === 'create_thread_message') {
									$('#assistant_id').val(inputData.assistant_id || $('#assistant_id').val());
									doBeforeSendForFetch();
									appendMessage(inputData.message);
									scrollToBottom();
								}
								if (processNumber === 'create_run') {
									$('#run_id').val(inputData.run_id || $('#run_id').val());
								}
							}

							//updateStatus("All steps completed successfully");

							// Trigger a click event after the last process completes and pass the last result
							$('.generate_document_chat_response').trigger('click', [inputData]);
						} catch (error) {
							updateStatus("Error: " + error.message, error.alert, error);
						}
					}

					function sleep(ms) {
						return new Promise(resolve => setTimeout(resolve, ms));
					}

					$(document).on('click', '.generate_document_chat_response', function (e, lastResult) {
							var _this = $(this); //click button
							var existingHTML = _this.html(); //store existing button HTML
							$.ajax({
									type: "POST",
									url: URLROOT + "/embedded/generate_document_chat",
									data: "data=" + lastResult.messages,
									beforeSend: function () {
										$('#typewriter').html('');
										$('.load_new_message').html('');
										$('.completion_result').html('');
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												if (result.status == "success") {
													var text = result.text;
													let index = 0;

													function type() {
														if (index < text.length) {
															document.getElementById('typewriter').innerHTML = text.slice(0, index) + '<span class="blinking-cursor">|</span>';
															index++;
															setTimeout(type, Math.random() * 2);
															scrollToBottom();
														} else {
															document.getElementById('typewriter').innerHTML = text.slice(0, index);
															$('.bot').hide();
															scrollToBottom();
														}
													}

													if (response_typing_speed>
														0
													)
													{
														type();
													} else {
														document.getElementById('typewriter').innerHTML = text;
													}
													$(".root").addClass("create_thread_message");
												} else {
													$('.chat-bubble').html('');
													$('.bot').hide();
													$('.completion_result').html('<div class="sai-alert sai-alert-danger">' + result.message + '</div>');
												}
												$(_this).html(existingHTML).prop('disabled', false);
											}, delay);
										doAfterResultForFetch();
									}
								});
						});

					$(document).on('click', '.stop_document_link_chat', function (e) {
							var _this = $(this); //click button
							var existingHTML = _this.html(); //store existing button HTML
							var run_id = $("#run_id").val();
							var thread_id = $("#thread_id").val();
							$.ajax({
									type: "POST",
									url: URLROOT + "/embedded/stop_document_link_chat",
									data:
									"run_id=" + run_id +
									"&&thread_id=" + thread_id,
									beforeSend: function () {
									},
									success: function (data) {
										var result = jQuery.parseJSON(data);
										setTimeout(function () {
												/*if (result.status == "success") {
												$('.click-toggle-checkbox').show();
												$('.append_stop_document_link_chat').html('');
												} else {
												$('.completion_result').html('<div class="sai-alert sai-alert-danger" id="msg-flash">' + result.message + '</div>');
												}*/
												$('#send_message').removeClass("create_thread");
												$('#send_message').removeClass("create_thread_message");
												$("#send_message").addClass("send_message");
												$('.click-toggle-checkbox').show();
												$('.append_stop_document_link_chat').html('');
												$(_this).html(existingHTML).prop('disabled', false);
											}, delay);
										doAfterResultForFetch();
									}
								});
						});

					var retryCount = 0;

					function listMessages(data) {
						$.ajax({
								url: URLROOT + "/embedded/list_messages",
								type: 'POST',
								data: data,
								success: function (secondResponse) {
									let result = jQuery.parseJSON(secondResponse);
									if (result.status === "success") {
										// Check if there are any messages posted to the thread
										$('.chat-bubble').html('');
										$('.completion_result').html('');

										let nestedMessage = result.messages;
										let keys = Object.keys(nestedMessage);
										let totalKeys = keys.length;
										let text = '';
										let index = 0;

										// Define the type function here
										function type() {
											if (index < text.length) {
												document.getElementById('typewriter').innerHTML = text.slice(0, index) + '<span class="blinking-cursor">|</span>';
												index++;
												setTimeout(type, Math.random() * 2); // Random delay up to 100ms for a natural typing effect
												scrollToBottom();
											} else {
												document.getElementById('typewriter').innerHTML = text.slice(0, index);
												scrollToBottom();
											}
										}

										for (let i = 0; i < totalKeys; i++) {
											let key = keys[i];
											let text = nestedMessage[key];

											if (text.length > 0) {
												index = 0; // Reset index before typing each new message
												document.getElementById('typewriter').innerHTML = ''; // Clear previous text
												type();
											} else {
												document.getElementById('typewriter').innerHTML = text;
											}

											if (i === totalKeys - 1) {
												$('.bot').show();
											}

											scrollToBottom();
										}
									} else if (result.status === "wait") {
										// Retry the second request up to 3 times
										if (retryCount < widget_document_retries) {
											retryCount++;
											setTimeout(function () {
													listMessages(data); // Retry after widget_document_timeout milliseconds
												}, widget_document_timeout);
										} else {
											$('.bot').hide();
											$('.chat-bubble').html('');
											$('.completion_result').html('<div class="alert alert-danger" id="msg-flash">' + result.message + '</div>');
											retryCount = 0; // Reset retry count
										}
									} else {
										$('.bot').hide();
										$('.chat-bubble').html('');
										$('.completion_result').html('<div class="alert alert-danger" id="msg-flash">' + result.message + '</div>');
									}
								},
								error: function (jqXHR, textStatus, errorThrown) {
									// Handle errors for second request
									$('.completion_result').html('<div class="alert alert-danger" id="msg-flash">' + textStatus + '</div>');
								}
							});
					}
				});
		}

		function waitForJQuery(callback) {
			var interval = setInterval(function() {
					if (typeof jQuery !== 'undefined') {
						clearInterval(interval);
						callback();
					}
				}, 50); // Check every 50 milliseconds
		}

		waitForJQuery(loadChatWidget);
	})();

