<?php
    function addActivityLog($item, $item_id, $activity)
    {
        if (isLoggedIn()) {
            $user_id = user_id();
        } else {
            $user_id = 1;
        }
        $customer_id = NULL;
        /*
        Order of writing
        item_id|item|user_id|customer_id|activity|activity_date_added
        */
        $rootPath = $_SERVER['DOCUMENT_ROOT'];
        $thisPath = dirname($_SERVER['PHP_SELF']);
        $onlyPath = str_replace($rootPath, '', $thisPath);
        $finalPath = str_replace('/public', '', $onlyPath);
        
        $file = str_replace('-', '_', today()) . ".txt";
        $file_exists = $_SERVER['DOCUMENT_ROOT'] . $finalPath . '/app' . LOGS_FOLDER . $file;
        $myfile = fopen($file_exists, "a") or die("Unable to open file!");
        $txt = $item_id . "|" . $item . "|" . $user_id . "|" . $customer_id . "|" . $activity . "|" . now() . PHP_EOL;
        fwrite($myfile, $txt);
        fclose($myfile);
    }
    
    function toObject($array)
    {
        $object = new stdClass();
        foreach ($array as $key => $value) {
            if (is_array($value)) {
                $value = toObject($$value);
            }
            $object->$key = $value;
        }
        return $object;
    }
    
    function out_activities($count = NULL)
    {
        $rootPath = $_SERVER['DOCUMENT_ROOT'];
        $thisPath = dirname($_SERVER['PHP_SELF']);
        $onlyPath = str_replace($rootPath, '', $thisPath);
        $finalPath = str_replace('/public', '', $onlyPath);
        
        $file_exists = $_SERVER['DOCUMENT_ROOT'] . $finalPath . '/app' . LOGS_FOLDER;
        $files = scandir($file_exists);
        foreach (array_reverse($files) as $file) {
            if (strpos($file, '.txt')) {
                $filer = fopen($file_exists . $file, "r");
                while (!feof($filer)) {
                    $explod = explode('|', fgets($filer));
                    $string = "item_id|item|user_id|customer_id|activity|activity_date_added";
                    $keys = explode('|', $string);
                    if (count($explod) == 6) {
                        $explode = $explod;
                        $merged = array_combine($keys, $explode);
                        $out[] = toObject($merged);
                    }
                }
                fclose($filer);
            }
//fclose($file);
        }
        $in = array();
        if (!empty($out)) {
            $in = array_map("unserialize", array_unique(array_map("serialize", $out)));
            if (isset($count)) {
                $in = array_slice($in, 0, $count);
            }
        }
        return $in;
        
    }