<?php
    function assistant_model()
    {
        return new Assistant;
    }
    
    function chat_assistants($user_id = NULL)
    {
        $model = assistant_model();
        return isset($user_id) ? $model->getChatAssistants($user_id) : $model->getChatAssistants();
    }
    
    function selected_chat_assistants($ids, $user_id = NULL)
    {
        $model = assistant_model();
        return isset($user_id) ? $model->getSelectedChatAssistants($ids, $user_id) : $model->getSelectedChatAssistants($ids);
    }
    
    function chat_assistant($assistant_id)
    {
        $model = assistant_model();
        return $model->getChatAssistantById($assistant_id);
    }
    
    function chat_assistant_by_uid($assistant_uid)
    {
        $model = assistant_model();
        return $model->getChatAssistantByUid($assistant_uid);
    }
    
    function chat_assistant_exists($ad_name)
    {
        $model = assistant_model();
        $row = $model->getChatAssistantByName($ad_name);
        if (!empty($row) > 0) {
            return true;
        } else {
            return false;
        }
    }
    
    //FILES
    
    
    function assistant_file($assistant_file_id)
    {
        $model = assistant_model();
        return $model->getAssistantFileById($assistant_file_id);
    }
    
    function assistant_file_by_output_id($assistant_file_output_id)
    {
        $model = assistant_model();
        return $model->getAssistantFileByOutputId($assistant_file_output_id);
    }