<?php
    function chatfile_model()
    {
        return new Chatfile;
    }
    
    function chat_files($user_id = NULL)
    {
        $model = chatfile_model();
        
        if (isset($user_id)) {
            $results = $model->getChatFiles($user_id);
        } else {
            $results = $model->getChatFiles();
        }
        
        return $results;
    }
    
    function chat_file($chatfile_id)
    {
        $model = chatfile_model();
        return $model->getChatFileById($chatfile_id);
    }
    
    function chat_file_by_output_id($chat_file_output_id)
    {
        $model = chatfile_model();
        return $model->getChatFileByOutputId($chat_file_output_id);
    }
    
    //Chat Links
    function chat_links($user_id = NULL)
    {
        $model = chatfile_model();
        
        if (isset($user_id)) {
            $results = $model->getChatLinks($user_id);
        } else {
            $results = $model->getChatLinks();
        }
        
        return $results;
    }
    
    function chat_link_exists($name)
    {
        $model = chatfile_model();
        $row = $model->getChatFileByLink($name);
        if (!empty($row) > 0) {
            return true;
        } else {
            return false;
        }
    }
    
    //Sitemaps
    function chat_sitemaps($user_id = NULL)
    {
        $model = chatfile_model();
        
        if (isset($user_id)) {
            $results = $model->getChatSitemaps($user_id);
        } else {
            $results = $model->getChatSitemaps();
        }
        
        return $results;
    }
    
    function sitemaps($user_id = NULL)
    {
        $model = chatfile_model();
        
        if (isset($user_id)) {
            $results = $model->getChatSitemaps($user_id);
        } else {
            $results = $model->getChatSitemaps();
        }
        
        return $results;
    }
    
    function sitemap_links($chat_file_id = NULL)
    {
        $model = chatfile_model();
        return $model->getChatSitemapLinks($chat_file_id);
    }
    
    function chat_sitemap_link_by_id($chat_sitemap_link_id)
    {
        $model = chatfile_model();
        return $model->getChatSitemapLinkById($chat_sitemap_link_id);
    }
    
    function sitemap_link_output_file_ids($chat_file_id = NULL)
    {
        $results = array();
        foreach (sitemap_links($chat_file_id) as $id) {
            $results[] = $id->chat_sitemap_link_output_id;
        }
        return implode(',', array_filter($results));
    }
