<?php
    function payout_model()
    {
        return new Payout;
    }
    
    function payout($payout_id)
    {
        $model = payout_model();
        return $model->getPayoutById($payout_id);
    }
    
    function payouts($added_by = NULL)
    {
        $model = payout_model();
        if (isset($added_by)) {
            $results = $model->getPayouts($added_by);
        } else {
            $results = $model->getPayouts();
        }
        return $results;
    }
    
    function payouts_total($payout_status_id, $from_date = NULL, $to_date = NULL)
    {
        $model = payout_model();
        if (isset($from_date) && isset($to_date)) {
            $row = $model->getPayoutsTotal($payout_status_id, $from_date, $to_date);
        } else {
            $row = $model->getPayoutsTotal($payout_status_id);
        }
        return $row;
    }
    
    function user_payouts_total($added_by, $payout_status_id = NULL)
    {
        $model = payout_model();
        if (isset($payout_status_id)) {
            $row = $model->getUserPayoutsTotal($added_by, $payout_status_id);
        } else {
            $row = $model->getUserPayoutsTotal($added_by);
        }
        return $row;
    }
    
    function payout_transaction_id_exists($payout_transaction_id)
    {
        $model = payout_model();
        $row = $model->getPayoutByTransactionId($payout_transaction_id);
        if (!empty($row) > 0) {
            return true;
        } else {
            return false;
        }
    }
    
    function payout_statuses()
    {
        $model = payout_model();
        return $model->getPayoutStatus();
    }
    
    function payout_status($payout_status_id)
    {
        $model = payout_model();
        return $model->getPayoutStatusById($payout_status_id);
    }
    
    function next_payout_id()
    {
        $model = payout_model();
        return $model->nextPayoutId();
    }
    
    function getPayoutsByStatusHp($status_id, $added_by = NULL)
    {
        $model = payout_model();
        if (isset($added_by)) {
            $results = $model->getPayoutsByStatus($status_id, $added_by);
        } else {
            $results = $model->getPayoutsByStatus($status_id, user_id());
        }
        return $results;
    }
    
    function payout_mode($payout_mode_id)
    {
        $model = payout_model();
        return $model->getPayoutModeById($payout_mode_id);
    }
    
    function payout_mode_by_name($payout_mode)
    {
        $model = payout_model();
        return $model->getPayoutModeByName($payout_mode);
    }
    
    function payout_modes($payout_status_id = NULL)
    {
        $model = payout_model();
        if (isset($payout_status_id)) {
            $results = $model->getPayoutModes($payout_status_id);
        } else {
            $results = $model->getPayoutModes();
        }
        return $results;
    }
    
    function payout_mode_exists($lead_name)
    {
        $model = payout_model();
        $row = $model->getPayoutModeByName($lead_name);
        if (!empty($row) > 0) {
            return true;
        } else {
            return false;
        }
    }
