<?php
    function cleanString($string, $ignore_tags = NULL)
    {
        $string = trim($string);
        if (!isset($ignore_tags)) {
            $string = strip_tags($string);
        }
        return $string;
    }
    
    function sanitize_post()
    {
        return filter_input_array(INPUT_POST, FILTER_UNSAFE_RAW);
    }
    
    function sanitize_get()
    {
        return filter_input_array(INPUT_GET, FILTER_UNSAFE_RAW);
    }
    
    //$_SESSION['csrf_token'] = $csrf_token = bin2hex(random_bytes(35));
    function csrf_field()
    {
        //$csrf_token = bin2hex(random_bytes(35));
        $_SESSION['csrf_token'] = bin2hex(random_bytes(35));
        //$_SESSION['csrf_token'] = 1;
        return "<input type='hidden' name='csrf_token' value='" . $_SESSION['csrf_token'] . "'>";
    }