<?php
    
    class Theme
    {
        private Database $db;
        
        public function __construct()
        {
            $this->db = new Database;
        }
        
        public function getThemes()
        {
            $query = "SELECT * FROM themes ";
            $query .= " ORDER BY theme_id Desc";
            $this->db->query($query);
            return $this->db->resultSet();
        }
        
        public function getThemeById($id)
        {
            $this->db->query('SELECT * FROM themes WHERE theme_id = :theme_id');
            $this->db->bind(':theme_id', $id);
            return $this->db->single();
        }
        
        
    }