<?php $page = 'my_referrals'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require 'affiliate_nav.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['affiliates'])) { ?>
    <?php $rows = start_paging($data['affiliates']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('date'); ?></th>
            <th><?php echo label('user'); ?></th>
            <th><?php echo label('subscription'); ?></th>
            <th><?php echo label('commission_rate'); ?></th>
            <th><?php echo label('commission_earned'); ?></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $affiliate) { ?>
            <tr>
                <td><?php echo dateTimeFormat($affiliate->affiliate_date_added); ?></td>
                <td><?php echo user($affiliate->user_id)->username; ?></td>
                <td><?php echo subscription($affiliate->subscription_id)->subscription_name; ?></td>
                <td><?php echo $affiliate->affiliate_commission_rate; ?>%</td>
                <td><?php echo bold_currency_format(($affiliate->affiliate_commission_rate / 100) * subscription($affiliate->subscription_id)->subscription_cost); ?></td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['affiliates']); ?>
<?php } else {
    echo no_records('affiliates');
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>