﻿<?php $page = 'assistants'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['assistants'])) { ?>
    <?php $rows = start_paging($data['assistants']); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th><?php echo label('name'); ?></th>
                    <th><?php echo label('profession'); ?></th>
                    <th><?php echo label('status'); ?></th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($rows as $assistants) { ?>
                    <tr>
                        <td>
                            <?php echo n_link('assistants', 'show', $assistants->chat_assistant_id, URLROOT . DIRECTORY_SEPARATOR . 'app' . MEDIA_FOLDER . $assistants->chat_assistant_logo, $assistants->chat_assistant_name); ?></td>
                        <td><?php echo $assistants->chat_assistant_profession; ?></td>
                        <td><?php echo status_label(user_status($assistants->chat_assistant_status_id)->user_status_colour, label(user_status($assistants->chat_assistant_status_id)->user_status)); ?></td>
                        <td class="text-end">
                            <?php if ($assistants->chat_assistant_status_id == 1) {
                                echo fa_link('assistants', 'deactivate', $assistants->chat_assistant_id, 'arrow-down');
                            } elseif (($assistants->chat_assistant_status_id == 3) || ($assistants->chat_assistant_status_id == 2)) {
                                echo fa_link('assistants', 'activate', $assistants->chat_assistant_id, 'check');
                            } ?>
                            <?php echo fa_link('assistants', 'edit', $assistants->chat_assistant_id, 'pencil'); ?>
                            <?php echo fa_link('assistants', 'delete', $assistants->chat_assistant_id, 'times'); ?>
                        </td>
                    </tr>
                <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
    <?php echo close_paging($data['assistants']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>