<?php if (!empty($data['my_assistants'])) { ?>
    <div class="card mb-3">
        <div class="card-header bg-primary text-white"><?php echo label('owned'); ?></div>
        <div class="card-body">
            <div class="row">
                <?php foreach ($data['my_assistants'] as $my) { ?>
                    <div class="col-sm-3">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="user_bots[]"
                                   id="user_bots<?php echo $my->chat_assistant_id; ?>"
                                   value="<?php echo $my->chat_assistant_id; ?>" <?php if (in_array($my->chat_assistant_id, (!empty(user(user_id())->user_bots) ? json_decode(user(user_id())->user_bots) : array()))) {
                                echo 'checked';
                            } ?>>
                            <label class="form-check-label"
                                   for="user_bots<?php echo $my->chat_assistant_id; ?>">
                                <?php echo $my->chat_assistant_name; ?> (<?php echo $my->chat_assistant_profession; ?>)
                            </label>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
<?php } ?>

<div class="row">
    <?php foreach ($data['chat_assistants'] as $assistant) { ?>
        <div class="col-sm-3">
            <div class="form-check">
                <input class="form-check-input" type="radio" name="user_bots[]"
                       id="user_bots<?php echo $assistant->chat_assistant_id; ?>"
                       value="<?php echo $assistant->chat_assistant_id; ?>" <?php if (in_array($assistant->chat_assistant_id, (!empty(user(user_id())->user_bots) ? json_decode(user(user_id())->user_bots) : array()))) {
                    echo 'checked';
                } ?>>
                <label class="form-check-label"
                       for="user_bots<?php echo $assistant->chat_assistant_id; ?>">
                    <?php echo $assistant->chat_assistant_name; ?> (<?php echo $assistant->chat_assistant_profession; ?>
                    )
                </label>
            </div>
        </div>
    <?php } ?>
</div>