<?php $page = 'chats'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['chats'])) { ?>
    <?php $rows = start_paging($data['chats']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('chat'); ?></th>
            <th><?php echo label('date_added'); ?></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $chats) { ?>
            <tr>
                <td><?php echo n_link('chatbots', 'chat', $chats->chat_id, $chats->chat_uid); ?></td>
                <td><?php echo dateTimeFormat($chats->chat_date_added); ?></td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['chats']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>