<?php
    header('Content-Type: application/javascript');
?>

var APPROOT = '<?php echo htmlspecialchars(APPROOT, ENT_QUOTES, 'UTF-8'); ?>';
var URLROOT = '<?php echo htmlspecialchars(URLROOT, ENT_QUOTES, 'UTF-8'); ?>';
var user_uid = '<?php echo !empty($data["user_uid"]) ? htmlspecialchars($data["user_uid"], ENT_QUOTES, 'UTF-8') : NULL; ?>';
var assistant_uid = '<?php echo !empty($data["assistant_uid"]) ? htmlspecialchars($data["assistant_uid"], ENT_QUOTES, 'UTF-8') : NULL; ?>';
var custom_widget = '<?php echo !empty($data["custom_widget"]) ? htmlspecialchars($data["custom_widget"], ENT_QUOTES, 'UTF-8') : NULL; ?>';
var custom_widget_url = '<?php echo !empty($data["custom_widget_url"]) ? htmlspecialchars($data["custom_widget_url"], ENT_QUOTES, 'UTF-8') : NULL; ?>';
var widget_document_timeout = '<?php echo !empty(user_by_uid($data["user_uid"])->widget_document_timeout) ? htmlspecialchars(user_by_uid($data["user_uid"])->widget_document_timeout, ENT_QUOTES, 'UTF-8') : 5000; ?>';
var widget_document_retries = '<?php echo !empty(user_by_uid($data["user_uid"])->widget_document_retries) ? htmlspecialchars(user_by_uid($data["user_uid"])->widget_document_retries, ENT_QUOTES, 'UTF-8') : 5; ?>';
var current_url = location.href;
var response_typing_speed = '<?php echo htmlspecialchars(getOption("response_typing_speed"), ENT_QUOTES, 'UTF-8'); ?>';
(function() {
var scripts = [];

if (!window.jQuery) {
scripts.push(URLROOT+'/template/vendor/jquery/jquery.min.js');
}

scripts.push(
URLROOT+'/template/assets/widget/js/common.js',
URLROOT+'/template/assets/widget/js/assistant.js'
);

var csss = [
URLROOT+'/template/vendor/fontawesome/css/all.min.css',
URLROOT+'/template/assets/widget/css/styles.css'
];

function checkStateAndCall(path, callback) {
var _success = false;
return function() {
if (!_success && (!this.readyState || (this.readyState == 'complete'))) {
_success = true;
callback();
}
};
}


var s0 = document.getElementsByTagName('script')[0];

for (var i = 0; i < scripts.length; i++) {
var s1 = document.createElement('script');
s1.src = scripts[i];
s1.charset = 'UTF-8';
s1.setAttribute('crossorigin', '*');
s0.parentNode.insertBefore(s1, s0);
}

function asyncLoadCsss(files) {
function loadNextCss() {
var path = files.shift();
var scriptElm = document.createElement('link');
scriptElm.type = 'text/css';
scriptElm.rel = 'stylesheet';
scriptElm.async = true;
scriptElm.href = path;
scriptElm.onload = scriptElm.onreadystatechange = checkStateAndCall(path, loadNextCss);

var headElm = document.head || document.getElementsByTagName('head')[0];
headElm.appendChild(scriptElm);
}

loadNextCss();
}

asyncLoadCsss(csss);
})();
