﻿<?php foreach ($data['chats'] as $chat) { ?>
    <?php if ($chat->is_bot && !in_array($chat->chat_message, special_chat_messages())) { ?>
        <div class="sai-chat-box-wrapper">
            <div class="sai-w-100">
                <div class="sai-chat-box "
                     style="background-color: <?php echo $data['widget_source']->widget_assistant_background_colour; ?>; color: <?php echo $data['widget_source']->widget_assistant_text_colour; ?>"><?php echo markdown($chat->chat_message); ?></div>
                <small class="opacity-6">
                    <i class="fa-regular fa-clock mr-1"></i>
                    <?php echo time_elapsed_string($chat->chat_message_date_added); ?>
                </small>
            </div>
        </div>
    <?php } ?>
    <?php if (!$chat->is_bot && !in_array($chat->chat_message, special_chat_messages())) { ?>
        <div class="sai-chat-box-wrapper sai-chat-box-wrapper-right sai-float-end">
            <div class="sai-w-100">
                <div class="sai-chat-box "
                     style="background-color: <?php echo $data['widget_source']->widget_user_background_colour; ?>; color: <?php echo $data['widget_source']->widget_user_text_colour; ?>"><?php echo markdown($chat->chat_message); ?></div>
                <small class="opacity-6 sai-float-end">
                    <i class="fa-regular fa-clock me-1"></i>
                    <?php echo time_elapsed_string($chat->chat_message_date_added); ?>
                </small>
            </div>
        </div>
    <?php } ?>
    <?php if (in_array($chat->chat_message, special_chat_messages())) { ?>
        <div class="sai-custom-chat-header sai-p-1 sai-fs-6">
            <div class="sai-w-100">
                <div class="sai-chat-box sai-text-dark">
                    <?php echo markdown($chat->chat_message); ?><br/>
                    <?php echo label('file'); ?>
                    : <?php echo assistant_file($chat->assistant_file_id)->assistant_file; ?>
                </div>
            </div>
        </div>
    <?php } ?>
<?php } ?>

