<?php $page = 'finetunes'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['finetunes'])) { ?>
    <?php $rows = start_paging($data['finetunes']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('training_file'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th><?php echo label('finetuned_model'); ?></th>
            <th><?php echo label('size'); ?></th>
            <th><?php echo label('date_created'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $finetune) { ?>
            <tr>
                <td><?php echo n_link('finetuning', 'show', $finetune->finetune_id, $finetune->finetune_file); ?></td>
                <td><?php echo $finetune->finetune_file_output_id; ?></td>
                <td><?php echo $finetune->finetune_file_output_status; ?></td>
                <td><?php echo $finetune->finetune_job_output_model; ?></td>
                <td><?php echo customFileSize($finetune->finetune_file_size); ?></td>
                <td><?php echo dateTimeFormat($finetune->finetune_file_date_added); ?></td>
                <td class="text-end">
                    <?php echo fa_link('finetuning', 'edit', $finetune->finetune_id, 'pencil'); ?>
                    <?php echo fa_link('finetuning', 'delete', $finetune->finetune_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['finetunes']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>