<?php
    include('head.php');
?>
    <script>
        var URLROOT = <?php echo json_encode(URLROOT); ?>;
        var IMAGEPATH = <?php echo json_encode(systemPath(company(1)->company_website_logo)); ?>;
    </script>
    <body style="<?php echo getOption('google_font_css_rules'); ?>">
    <?php if (isLoggedIn()){ ?>
    <div class="app-container app-theme-white <?php if (isLoggedIn()) { ?> fixed-header fixed-sidebar <?php } ?>">
        
        <?php
            include('top_navigation.php');
        ?>

        <div class="app-main">
            <div class="app-sidebar sidebar-shadow">
                <div class="app-header-logo">
                    <div class="header-pane mx-auto">
                        <div>
                            <button type="button" class="hamburger close-sidebar-btn hamburger--elastic"
                                    data-class="closed-sidebar">
					<span class="hamburger-box">
						<span class="hamburger-inner"></span>
					</span>
                            </button>
                        </div>
                    </div>
                </div>
                <div class="app-header-mobile-menu">
                    <div>
                        <button type="button" class="hamburger hamburger--elastic mobile-toggle-nav">
				<span class="hamburger-box">
					<span class="hamburger-inner"></span>
				</span>
                        </button>
                    </div>
                </div>
                <div class="app-header-menu">
		<span>
			<button type="button" class="btn-icon btn-icon-only btn btn-primary btn-sm mobile-toggle-header-nav">
				<span class="btn-icon-wrapper">
					<i class="fa fa-ellipsis-v fa-w-6"></i>
				</span>
			</button>
		</span>
                </div>
                <?php
                    if (isLoggedIn()) {
                        require APPROOT . '/views/inc/navigation.php';
                    }
                ?>
            </div>
            <div class="app-main-outer">
                <div class="app-main-inner">
                    <div class="app-page-title">
                        <div class="page-title-wrapper">
                            <div class="page-title-heading">
                                <div class="page-title-icon">
                                    <?php echo !empty(navigation(current_controller())) ? navigation(current_controller())->navigation_icon : '<i class="fa-solid fa-font-awesome"></i>'; ?>
                                </div>
                                <?php if (!isset($exclude)) { ?>
                                    <div>
                                        <?php echo cleanString(page_title($page)); ?>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <span class="fw-bold flash_message"><?php echo flash('user_message'); ?></span>
                    </div>
                    
                    <?php if (!empty($data['input_error'])) { ?>
                        <?php foreach ($data['input_error'] as $error) { ?>
                            <div class="col-md-12">
                                <div class="alert alert-danger fade show"
                                     role="alert"> <?php echo label($error); ?> </div>
                            </div>
                        <?php } ?>
                    <?php } ?>

<?php } ?>