﻿<?php $page = 'details_of_sitemap'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'sitemap_navigation.php'; ?>
<div class="col-md-12">
    <div class="card mb-3">
        <div class="card-body">
            <?php echo $data['chat_link']->chat_link; ?>
        </div>
    </div>
    <div class="card mb-3">
        <div class="card-body">
            <form action="<?php echo URLROOT; ?>/links/upload_sitemap_for_chat/<?php echo $data['chat_link']->chat_file_id; ?>"
                  method="post" autocomplete="off"
                  enctype="multipart/form-data">
                <table class="table table-striped table-hover">
                    <tr>
                        <th><?php echo label('links'); ?></th>
                        <th><?php echo label('size'); ?></th>
                        <th><?php echo label('status'); ?></th>
                    </tr>
                    <tr>
                        <th colspan="3"><input class="form-check-input" type="checkbox" id="select_all"/> <label
                                    class="form-check-label select_all"
                                    for="select_all"><?php echo label('select_all'); ?></label></th>
                    </tr>
                    <?php foreach (sitemap_links($data['chat_link']->chat_file_id) as $link) { ?>
                        <tr>
                            <td><input class="form-check-input checkbox" type="checkbox" name="chat_sitemap_link[]"
                                       id="chat_sitemap_link<?php echo $link->chat_sitemap_link_id; ?>"
                                       value="<?php echo $link->chat_sitemap_link_id; ?>">
                                <label class="form-check-label"
                                       for="chat_sitemap_link<?php echo $link->chat_sitemap_link_id; ?>"><?php echo $link->chat_sitemap_link; ?></label>
                            </td>
                            <td><?php echo customFileSize($link->chat_sitemap_link_size); ?></td>
                            <td>
                                <?php echo $link->chat_sitemap_link_output_status; ?><?php echo ($link->chat_sitemap_link_output_status == 'processed') ? '(' . time_elapsed_string($link->chat_sitemap_link_output_status_date_added) . ')' . ' ' . fa_link('links', 'cancel_sitemap_link', $link->chat_sitemap_link_id, 'times') : NULL; ?>
                            </td>
                        </tr>
                    <?php } ?>
                </table>
                <div class="mb-3">
                    <button class="btn btn-primary btn-wide float-end" type="submit">
                        <?php echo label('upload_sitemap_for_chat'); ?>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php require APPROOT . '/views/inc/footer.php'; ?>
<script type="text/javascript">
    $(document).ready(function () {
        $('#select_all').on('click', function () {
            if (this.checked) {
                $('.checkbox').each(function () {
                    this.checked = true;
                });
                $(".select_all").text("<?php echo label('unselect_all'); ?>");
            } else {
                $('.checkbox').each(function () {
                    this.checked = false;
                });
                $(".select_all").text("<?php echo label('select_all'); ?>");
            }
        });

        $('.checkbox').on('click', function () {
            if ($('.checkbox:checked').length == $('.checkbox').length) {
                $('#select_all').prop('checked', true);
            } else {
                $('#select_all').prop('checked', false);
            }
        });
    });
</script>