<?php $page = 'edit_newsletter'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'newsletter_navigation.php'; ?>
<form action="<?php echo URLROOT; ?>/newsletters/edit/<?php echo $data['newsletter']->newsletter_id; ?>"
      method="post" autocomplete="off" enctype="multipart/form-data">
    <div class="card mb-3">
        <div class="card-body">
            <div class="mb-3">
                <label class="form-label"><?php echo label('newsletter_title'); ?> <span
                            class="symbol required"></span></label>
                <input type="text" value="<?php echo $data['newsletter']->newsletter_title; ?>" class="form-control"
                       id="newsletter_title"
                       name="newsletter_title">
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo label('description'); ?> <span
                            class="symbol required"></span></label>
                <textarea class="form-control mceEditor" id="newsletter_description" name="newsletter_description"
                          required><?php echo $data['newsletter']->newsletter_description; ?></textarea>
            </div>
            <div class="mb-3">
                <button class="btn btn-primary btn-wide float-end" type="submit">
                    <?php echo label('update_newsletter'); ?>
                </button>
            </div>
        </div>
    </div>
</form>
<?php require APPROOT . '/views/inc/footer.php'; ?>
<script>
    if ($('#privacy_policy_newsletter').prop('checked')) {
        $('.newsletter_short_description_div').css('display', 'block');
    } else {
        $('.newsletter_short_description_div').css('display', 'none');
    }

    function show_hide_newsletter_short_description() {
        if ($('#privacy_policy_newsletter').prop('checked')) {
            $('.newsletter_short_description_div').css('display', 'block');
        } else {
            $('.newsletter_short_description_div').css('display', 'none');
        }
    }
</script>