<?php $page = 'details_of_newsletter'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require_once 'newsletter_navigation.php'; ?>
<div class="col-sm-12">
    <div class="card mb-3">
        <div class="card-header"><?php echo label('overview'); ?></div>
        <div class="card-body">
            <table class="table table-striped table-hover">
                <tr>
                    <th><?php echo label('name'); ?></th>
                    <td><?php echo $data['newsletter']->newsletter_title; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('slug'); ?></th>
                    <td><?php echo $data['newsletter']->newsletter_slug; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('added_by'); ?></th>
                    <td><?php echo user($data['newsletter']->newsletter_added_by)->username; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('sent_at'); ?></th>
                    <td><?php echo !empty($data['newsletter']->newsletter_sent_at) ? dateTimeFormat($data['newsletter']->newsletter_sent_at) : NULL; ?></td>
                </tr>
                <tr>
                    <th><?php echo label('date_added'); ?></th>
                    <td><?php echo dateTimeFormat($data['newsletter']->newsletter_date_added); ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
<div class="col-sm-12">
    <div class="card mb-3">
        <div class="card-header"><?php echo label('description'); ?></div>
        <div class="card-body">
            <?php echo $data['newsletter']->newsletter_description; ?>
        </div>
    </div>
</div>
<?php require APPROOT . '/views/inc/footer.php'; ?>


















