<?php $page = 'edit_package'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php require 'package_nav.php'; ?>
<div class="col-md-12">
    <div class="card mb-3">
        <form action="<?php echo URLROOT; ?>/packages/users/<?php echo $data['package']->package_id; ?>" method="post"
              autocomplete="off" enctype="multipart/form-data">
            <div class="card-body">
				<div class="mb-3">
				<label for="users" class="form-label"><?php echo label('users'); ?> (<?php echo count(private_package_users($data['package']->package_id)); ?>)</label>
				<select id="users" name="users[]" class="form-select" multiple>
					<?php foreach(users() as $user){ ?>
						<option value="<?php echo $user->user_id; ?>" <?php if(private_package($data['package']->package_id, $user->user_id)){ echo 'selected'; } ?>><?php echo $user->username; ?></option>
					<?php } ?>
				</select>
				</div>
                <div class="form-group mb-3">
                    <button class="btn btn-primary btn-wide float-end mb-3" type="submit">
                        <?php echo label('add_private_users'); ?>
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>
<?php require APPROOT . '/views/inc/footer.php'; ?>