<?php $page = 'add_payment_option'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <form action="<?php echo URLROOT; ?>/payment_options/add" method="post" autocomplete="off"
                  enctype="multipart/form-data">

                <div class="card-body">
                    <div class="row">
                        <div class="mb-3">
                            <label class="form-label"><?php echo label('payment_option_name'); ?> <span
                                        class="symbol required"></span></label>
                            <input type="text"
                                   value="<?php echo !empty($data['payment_option_name']) ? $data['payment_option_name'] : ''; ?>"
                                   class="form-control" id="payment_option" name="payment_option_name" required>
                        </div>
                        <div class="mb-3">
                            <label><?php echo label('payment_option_description'); ?></label>
                            <textarea id="payment_option_description" name="payment_option_description"
                                      class="form-control mceEditor"><?php echo !empty($data['payment_option_description']) ? $data['payment_option_description'] : ''; ?></textarea>
                        </div>
                        <div class="mb-3">
                            <button class="btn btn-primary btn-wide float-end" type="submit">
                                <?php echo label('add_payment_option'); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>