<?php $page = 'payment_options'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['payment_options'])) { ?>
    <?php $rows = start_paging($data['payment_options']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('payment_option'); ?></th>
            <th><?php echo label('added_by'); ?></th>
            <th><?php echo label('date_created'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $payment_option) { ?>
            <tr>
                <td><?php echo n_link('payment_options', 'show', $payment_option->payment_option_id, $payment_option->payment_option_name); ?></td>
                <td><?php echo user($payment_option->payment_option_added_by)->username; ?></td>
                <td><?php echo dateTimeFormat($payment_option->payment_option_date_added); ?></td>
                <td class="text-end">
                    <?php echo fa_link('payment_options', 'edit', $payment_option->payment_option_id, 'pencil'); ?>
                    <?php echo fa_link('payment_options', 'delete', $payment_option->payment_option_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['payment_options']); ?>
<?php } else {
    echo no_records('payment_options');
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>