<?php $page = 'categories'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['categories'])) { ?>
    <?php $rows = start_paging($data['categories']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('category'); ?></th>
            <th><?php echo label('added_by'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th><?php echo label('date_added'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $category) { ?>
            <tr>
                <td><?php echo n_link('posts', 'category', $category->post_category_id, $category->post_category_name); ?></td>
                <td><?php echo user($category->post_category_added_by)->username; ?></td>
                <td><?php echo status_label(item_status($category->post_category_status_id)->item_status_colour, item_status($category->post_category_status_id)->item_status_name); ?></td>
                <td><?php echo dateTimeFormat($category->post_category_date_added); ?></td>
                <td align="right">
                    <?php echo fa_link('posts', 'edit_category', $category->post_category_id, 'pencil'); ?>
                    <?php echo fa_link('posts', 'delete_category', $category->post_category_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['categories']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>