<?php $page = 'ai_files'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['ai_files'])) { ?>
    <?php //$rows = start_paging($data['ai_files']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('file'); ?></th>
            <th><?php echo label('purpose'); ?></th>
            <th><?php echo label('filename'); ?></th>
            <th><?php echo label('size'); ?></th>
            <th><?php echo label('date_added'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th><?php echo label('added_by'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($data['ai_files'] as $ai_file) { ?>
            <?php
            if (assistant_file_by_output_id($ai_file['id'])) {
                $added_by = user(assistant_file_by_output_id($ai_file['id'])->assistant_file_added_by)->username;
            } elseif (chat_file_by_output_id($ai_file['id'])) {
                $added_by = user(chat_file_by_output_id($ai_file['id'])->chat_file_added_by)->username;
            } else {
                $added_by = NULL;
            }
            if ($added_by == user(user_id())->username || isSuperAdmin()) {
                ?>
                <tr>
                    <td><?php echo $ai_file['id']; ?></td>
                    <td><?php echo $ai_file['purpose']; ?></td>
                    <td><?php echo basename($ai_file['filename']); ?></td>
                    <td><?php echo customFileSize($ai_file['bytes']); ?></td>
                    <td><?php echo dateTimeFormat(date("Y-m-d H:i:s", $ai_file['created_at'])); ?></td>
                    <td><?php echo $ai_file['status']; ?></td>
                    <td><?php echo $added_by; ?></td>
                    <td>
                        <?php echo fa_link('servers', 'delete', $ai_file['id'], 'times'); ?>
                    </td>
                </tr>
            <?php } ?>
        <?php } ?>
        </tbody>
    </table>
    <?php //echo close_paging($data['ai_files']); ?>
<?php } else {
    echo no_records('ai_files');
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>