<?php $page = 'models'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['models'])) { ?>
    <?php $rows = start_paging($data['models']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('model'); ?></th>
            <th><?php echo label('type'); ?></th>
            <th><?php echo label('usage_type'); ?></th>
            <th><?php echo label('max_tokens'); ?></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $model) { ?>
            <tr>
                <td><?php echo n_link('servers', 'show_model', $model->openai_model_id, $model->openai_model); ?></td>
                <td><?php echo $model->openai_model_type; ?></td>
                <td><?php echo $model->openai_model_usage_type; ?></td>
                <td><?php echo $model->openai_model_tokens; ?></td>
                <td align="right">
                    <?php echo fa_link('servers', 'edit_model', $model->openai_model_id, 'pencil'); ?>
                    <?php echo fa_link('servers', 'delete_model', $model->openai_model_id, 'times'); ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['models']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>