<?php $page = 'edit_email_template'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <form action="<?php echo URLROOT; ?>/settings/email_template/<?php echo $data['email_template']->email_template_id; ?>"
                  method="post" autocomplete="off" enctype="multipart/form-data">

                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group mb-3">
                                <label class="form-label"><?php echo label('template_name'); ?> <span
                                            class="symbol required"></span></label>
                                <input type="text" value="<?php echo label($data['email_template']->email_type); ?>"
                                       class="form-control" disabled>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="form-group mb-3">
                                <label class="form-label"><?php echo label('email_subject'); ?> <span
                                            class="symbol required"></span></label>
                                <input type="text" value="<?php echo $data['email_template']->email_subject; ?>"
                                       class="form-control" id="email_subject" name="email_subject" required>
                            </div>
                            <div class="form-group mb-3">
                                <label class="form-label"><?php echo label('email_message'); ?> <span
                                            class="symbol required"></span></label>
                                <textarea class="form-control mceEditor" id="email_message" name="email_message"
                                          required><?php echo html_decode($data['email_template']->email_message); ?></textarea>
                            </div>
                            <div class="form-group mb-3">
                                <button class="btn btn-primary btn-wide float-end" type="submit">
                                    <?php echo label('update_email_template'); ?>
                                </button>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="col-md-12">
                                <h4><?php echo label('main'); ?></h4>
                                <p class="text-large">
                                    <?php foreach (getTemplateVariables($data['email_template']->email_type) as $x => $x_value) {
                                        echo '<p class="pb-3"><span class="float-start fw-bold">' . label($x) . '</span> <span class="float-end text-danger">{' . $x_value . '} </span></p>';
                                    }
                                    ?>
                                </p>
                                <h4><?php echo label('others'); ?></h4>
                                <p class="text-large"><?php echo otherEmailVariables($data['email_template']->email_template_id); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>