<?php $page = 'import_new_contacts'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <form action="<?php echo URLROOT; ?>/contacts/import" method="post" autocomplete="off"
                  enctype="multipart/form-data">

                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="card mb-3">
                                <div class="card-header"><?php echo label('import_contacts'); ?></div>
                                <div class="card-body">
                                    <div class="form-group mb-3">
                                        <label class="form-label"><?php echo label('select_csv_file'); ?> <span
                                                    class="symbol required"></span></label>
                                        <input type="file" class="form-control" name="contacts_csv"/>
                                    </div>
                                    <div class="form-group mb-3">
                                        <button class="btn btn-primary btn-wide float-end" type="submit">
                                            <?php echo label('import_contacts'); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="card mb-3">
                                <div class="card-header"><?php echo label('sample_csv_format'); ?></div>
                                <div class="card-body">
                                    <a href="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>sample_contacts_csv.png"
                                       target="_blank"><img
                                                src="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>/sample_contacts_csv.png"
                                                height="100%" width="100%"/></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php require APPROOT . '/views/inc/footer.php'; ?>