<?php $page = 'subscribers'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['subscribers'])) { ?>
    <?php $rows = start_paging($data['subscribers']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('subscriber'); ?></th>
            <th><?php echo label('status'); ?></th>
            <th><?php echo label('date_created'); ?></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $subscriber) { ?>
            <tr>
                <td><?php echo n_link('subscribers', 'show', $subscriber->subscriber_id, $subscriber->subscriber_email); ?></td>
                <td><?php echo status_label(user_status($subscriber->subscriber_status_id)->user_status_colour, label(user_status($subscriber->subscriber_status_id)->user_status)); ?></td>
                <td><?php echo dateTimeFormat($subscriber->subscriber_date_added); ?></td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['subscribers']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>