<?php $exclude = FALSE; ?>
<?php require 'inc/head.php'; ?>
    <div class="eai-container" style="<?php echo homepage_background('homepage_intro'); ?>">
        <?php require_once('inc/header.php'); ?>
        <section class="eai-banner-section">
            <div class="container position-relative">
                <div class="row">
                    <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                        <div class="eai-banner-content">
                            <h1><?php echo homepage_intro()->homepage_intro_title; ?></h1>
                            <p class="eai-paragraph"><?php echo homepage_intro()->homepage_intro_description; ?></p>
                            <form action="<?php echo URLROOT; ?>/users/register" method="post" autocomplete="off"
                                  enctype="multipart/form-data">
                                <input type="hidden" name="from_home"/>
                                <div class="form-group position-relative">
                                    <input type="text" placeholder="<?php echo label('enter_your_email_address'); ?>"
                                           name="email">
                                    <button class="eai-arrow"><i class="fa-solid fa-arrow-right"></i></button>
                                </div>
                            </form>
                            <p class="eai-fs-1 text"><?php echo homepage_intro()->homepage_intro_sub_description; ?></p>
                            <ul class="list-unstyled mb-0">
                                <?php foreach (homepage_intro_items() as $intro_item) { ?>
                                    <li class="list">
                                        <span class="value"><?php echo $intro_item->homepage_intro_item_value; ?></span>
                                        <span class="text mb-0"><?php echo $intro_item->homepage_intro_item; ?></span>
                                    </li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                        <div class="eai-banner-wrapper">
                            <figure class="mb-0 eai-banner-intro-image">
                                <img class="img-fluid"
                                     src="<?php echo URLROOT . '/app' . MEDIA_FOLDER . homepage_intro()->homepage_intro_image; ?>"
                                     alt="">
                            </figure>
                            <h5 data-aos="fade-in"><?php echo homepage_intro()->homepage_intro_image_text; ?></h5>
                            <figure class="mb-0 eai-banner-intro-circle-image">
                                <img class="img-fluid"
                                     src="<?php echo URLROOT . DEFAULT_IMAGES_FOLDER; ?>/homepage-banner-image.png"
                                     alt="">
                            </figure>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
<?php foreach (homepage_sections() as $section) {
    load_homepage_sections($section->homepage_section, $section->homepage_section_status_id);
} ?>


<?php require 'inc/footer.php'; ?>