<?php $exclude = TRUE; ?>
<?php require 'inc/head.php'; ?>
<?php /*foreach (homepage_sections() as $section) {
    load_homepage_sections($section->homepage_section, $section->homepage_section_status_id);
}*/ ?>
    <div class="eai-container">
        <?php require_once('inc/header.php'); ?>

        <section class="section">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-5 col-md-8">
                        <div class="card bg-white shadow rounded border-0 mb-5">
                            <div class="text-center">
                                <a href="<?php echo URLROOT; ?>">
                                    <figure class="mt-3">
                                        <img src="<?php echo systemPath(company(!empty(company_id()) ? company_id() : 1)->company_website_logo); ?>"
                                             alt="<?php echo company(!empty(company_id()) ? company_id() : 1)->company_name; ?>">
                                    </figure>
                                </a>
                            </div>
                            <div class="card-body">
                                <h4 class="card-title text-center"><?php echo label('login'); ?></h4>
                                <div class="ml-auto">
                                    <span class="fw-bold"><?php flash('user_message'); ?></span>
                                </div>
                                <form action="<?php echo URLROOT; ?>/users/login" method="post" autocomplete="off"
                                      enctype="multipart/form-data">

                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="mb-3">
                                                <label class="form-label"><?php echo label('username_or_email'); ?>
                                                    <span
                                                            class="text-danger">*</span></label>
                                                <div class="form-icon position-relative">
                                                    <i data-feather="user" class="fea icon-sm icons"></i>
                                                    <input type="text" class="form-control"
                                                           placeholder="<?php echo label('enter_your_username_or_email'); ?>"
                                                           name="username">
                                                </div>
                                            </div>
                                        </div><!--end col-->

                                        <div class="col-lg-12">
                                            <div class="mb-3">
                                                <label class="form-label"><?php echo label('password'); ?> <span
                                                            class="text-danger">*</span></label>
                                                <div class="form-icon position-relative">
                                                    <i data-feather="key" class="fea icon-sm icons"></i>
                                                    <input type="password" class="form-control"
                                                           placeholder="<?php echo label('enter_your_password'); ?>"
                                                           name="password">
                                                </div>
                                            </div>
                                        </div><!--end col-->

                                        <div class="col-lg-12">
                                            
                                            <?php if (getOption('enable_google_recaptcha')) { ?>
                                                <div class="float-start">
                                                    <!-- Google reCAPTCHA box -->
                                                    <div class="g-recaptcha"
                                                         data-sitekey="<?php echo google_recaptcha_settings()->google_recaptcha_site_key; ?>"></div>
                                                </div>
                                            <?php } ?>
                                            <div class="float-end">
                                                <p class="mb-3"><a class="link-primary"
                                                                   href="forgot_password">
                                                        <?php echo label('i_forgot_my_password'); ?>
                                                    </a></p>
                                            </div>
                                        </div><!--end col-->

                                        <div class="col-lg-12 mb-0">
                                            <div class="d-grid">
                                                <button type="submit" name="login" class="btn btn-primary btn-lg w-100">
                                                    <?php echo label('login'); ?>
                                                </button>
                                            </div>
                                        </div><!--end col-->
                                        <?php if (getOption('create_accounts')) { ?>
                                            <div class="col-12 text-center mt-4">
                                                <p class="mb-0 mt-3"><small
                                                            class="text-dark me-2"><?php echo label('do_not_have_an_account_yet'); ?>
                                                        <a class="link-primary"
                                                           href="<?php echo URLROOT . '/users/register'; ?>">
                                                            <?php echo label('create_an_account'); ?></a></small>
                                                </p>
                                            </div><!--end col-->
                                        <?php } ?>
                                    </div><!--end row-->
                                </form>
                            </div>
                        </div><!---->
                    </div><!--end col-->
                </div><!--end row-->
            </div> <!--end container-->
        </section>
    </div>
<?php require 'inc/footer.php'; ?>
<?php if (getOption('enable_google_recaptcha')) { ?>
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
<?php } ?>