<?php $page = 'themes'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['themes'])) { ?>
    <?php $rows = start_paging($data['themes']); ?>
    <div class="row">
        <?php foreach ($rows as $theme) { ?>
            <div class="col-sm-4">
                <div class="card assistant-box">
                    <div class="card-body <?php if (getOption('active_theme') == $theme->theme) {
                        echo 'bg-primary';
                    } ?>">
                        <img class="w-100"
                             src="<?php echo URLROOT . DIRECTORY_SEPARATOR . 'public' . DIRECTORY_SEPARATOR . 'template' . DIRECTORY_SEPARATOR . 'assets' . DIRECTORY_SEPARATOR . 'themes' . DIRECTORY_SEPARATOR . $theme->theme . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'theme.png'; ?>"
                             alt="<?php echo company(1)->company_name; ?>">
                    </div>
                    <div class="card-footer h5">
                        <?php echo $theme->theme; ?>
                        <a class="float-end"
                           href="<?php echo URLROOT; ?>/themes/status/<?php echo $theme->theme_id; ?>">
                            <?php if (getOption('active_theme') != $theme->theme) {
                                echo label('activate');
                            } ?>
                        </a>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
    <?php echo close_paging($data['themes']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>















