<?php $page = 'submit_a_ticket'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
    <form action="<?php echo URLROOT; ?>/tickets/add" method="post" autocomplete="off" enctype="multipart/form-data">
        <div class="card mb-3">
            <div class="card-body">
                <div class="mb-3">
                    <label class="form-label"><?php echo label('ticket_subject'); ?> <span
                                class="symbol required"></span></label>
                    <input type="text"
                           value="<?php echo !empty($data['ticket_subject']) ? $data['ticket_subject'] : ''; ?>"
                           class="form-control" id="ticket_subject" name="ticket_subject">
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('priority'); ?> <span
                                class="symbol required"></span></label>
                    <select data-show-subtext="true" data-live-search="true" class="form-control selectpicker"
                            id="ticket_priority_id" name="ticket_priority_id" required>
                        <option value=""></option>
                        <?php foreach (ticket_priorities() as $priority) { ?>
                            <option value="<?php echo $priority->ticket_priority_id; ?>"><?php echo label($priority->ticket_priority_name); ?> </option>
                        <?php } ?>
                    </select>
                </div>
                <div class="mb-3">
                    <label class="form-label"><?php echo label('ticket_description'); ?> <span
                                class="symbol required"></span></label>
                    <textarea class="form-control mceEditor"
                              name="ticket_description"><?php echo !empty($data['ticket_description']) ? $data['ticket_description'] : ''; ?></textarea>
                </div>
                <div class="mb-3">
                    <button class="btn btn-primary btn-wide float-end" type="submit">
                        <?php echo label('submit_a_ticket'); ?>
                    </button>
                </div>
            </div>
        </div>
    </form>
<?php require APPROOT . '/views/inc/footer.php'; ?>