<?php $page = 'tickets'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['tickets'])) { ?>
    <?php $rows = start_paging($data['tickets']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('subject'); ?></th>
            <th><?php echo label('added_by'); ?></th>
            <th><?php echo label('date_added'); ?></th>
            <th><?php echo label('status'); ?></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $ticket) { ?>
            <tr>
                <td>
                    <a href="<?php echo URLROOT; ?>/tickets/show/<?php echo $ticket->ticket_id; ?>"><?php echo $ticket->ticket_subject; ?></a>
                </td>
                <td><?php echo user($ticket->ticket_added_by)->username; ?></td>
                <td><?php echo dateTimeFormat($ticket->ticket_date_added); ?></td>
                <td><?php echo status_label(ticket_status($ticket->ticket_status_id)->ticket_status_colour, ticket_status($ticket->ticket_status_id)->ticket_status_name); ?></td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['tickets']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>