<?php $page = 'activity_logs'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['activity_logs'])) { ?>
    <?php $rows = start_paging($data['activity_logs']); ?>
    <div class="col-md-12">
        <div class="card mb-3">
            <div class="card-body">
                <?php foreach ($rows as $activity_log) { ?>
                    <div class="vertical-without-time vertical-timeline vertical-timeline--animate vertical-timeline--one-column">
                        <div class="vertical-timeline-item vertical-timeline-element">
                            <div>
                                <span class="vertical-timeline-element-icon bounce-in">
                                    <i class="badge badge-dot badge-dot-xl badge-primary"> </i>
                                </span>
                                <div class="vertical-timeline-element-content bounce-in">
                                    <p class="text-success"><?php echo dateTimeFormat($activity_log->activity_date_added); ?></p>
                                    <p><?php echo !n_link('users', 'show', $activity_log->user_id, user($activity_log->user_id)->username); ?>
                                        - <?php echo label($activity_log->activity); ?> <?php echo is_numeric($activity_log->item) ? '[' . $activity_log->item . ']' : NULL; ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <?php echo close_paging($data['activity_logs']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>