<?php $page = 'visits'; ?>
<?php require APPROOT . '/views/inc/header.php'; ?>
<?php echo card_div(); ?>
<?php if (!empty($data['visits'])) { ?>
    <?php $rows = start_paging($data['visits']); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th><?php echo label('visit'); ?></th>
            <th><?php echo label('chats'); ?></th>
            <th><?php echo label('duration'); ?></th>
            <th><?php echo label('date_added'); ?></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $visit) { ?>
            <tr>
                <td><?php echo n_link('visits', 'show', $visit->visit_id, $visit->visit_uid); ?></td>
                <td><?php echo count(visit_chats($visit->visit_id)); ?></td>
                <td><?php echo !empty($visit->visit_date_ended) ? convert_to_h_i_s(strtotime($visit->visit_date_ended) - strtotime($visit->visit_date_added)) : label('ongoing'); ?></td>
                <td><?php echo dateTimeFormat($visit->visit_date_added); ?></td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    <?php echo close_paging($data['visits']); ?>
<?php } else {
    echo no_records($page);
} ?>
<?php require APPROOT . '/views/inc/footer.php'; ?>