// TABS JS

function makeTabActive() {

    var url = window.location.href;

    var indexof = url.indexOf("#");

    if (indexof > 0) {

        var activeTab = url.substring(indexof + 1);

        if (typeof activeTab != 'undefined' && activeTab != '' && activeTab != '#') {

            // to dispaly give tab content

            jQuery(".tab-pane").removeClass("active in show");

            jQuery("#" + activeTab).addClass("active in show")

            // to make active given tab

            jQuery(".nav-tabs li a").removeClass("active");

            jQuery(".nav-tabs li a[href='#" + activeTab + "']").addClass("active");
        }
    }
}

// Spin text

const element = document.querySelectorAll(".badge__char");
const step = 360 / element.length;

element.forEach((elem, i) => {
    elem.style.setProperty('--char-rotate', (i * step) + 'deg');
})

const foo = (360 / 7);

for (i = 0; i <= 7; i++) {
    console.log((i * foo) + 'deg');
}

// Pop Up On Image

$("#fixed-form-container .body").hide();
$("#fixed-form-container .image").on("click", function (e) {
    $(this).next("#fixed-form-container div").slideToggle(400);
    $(this).toggleClass("expanded");
});

$(document).ready(function () {
    $('.accordion-header').click(function () {
        var accordionItem = $(this).parent('.accordion-item');
        var isActive = accordionItem.hasClass('active');

        $('.accordion-item').removeClass('active');
        $('.accordion-header').removeClass('active');
        $('.accordion-content').slideUp();

        if (!isActive) {
            accordionItem.addClass('active');
            $(this).addClass('active');
            $(this).next('.accordion-content').slideDown();
        }
    });
});

$(document).ready(function () {
    $('.counter').each(function () {
        $(this).prop('Counter', 0).animate({
            Counter: $(this).text()
        }, {
            duration: 4000,
            easing: 'swing',

            step: function (now) {
                $(this).text(Math.ceil(now));
            }
        });
    });
});

//OWL
$(document).ready(function () {
    var owl = $('.eai-application-section .owl-carousel');
    owl.owlCarousel({
        margin: 10,
        nav: false,
        loop: true,
        dots: true,
        autoplay: true,
        autoplayTimeout: 4500,
        responsive: {
            0: {
                items: 1
            },
            576: {
                items: 2
            },
            768: {
                items: 3
            },
            992: {
                items: 4
            },
            1500: {
                items: 5
            }
        }
    })
})

//AOS
AOS.init({
    duration: 1000,
    offset: 120,
    easing: 'ease-in-out'
})

//SEARCH
$(document).ready(function () {
    $('a[href="#search"]').on('click', function (event) {
        $('#search').addClass('open');
        $('#search > form > input[type="search"]').focus();
    });
    $('#search, #search button.close').on('click keyup', function (event) {
        if (event.target == this || event.target.className == 'close' || event.keyCode == 27) {
            $(this).removeClass('open');
        }
    });
});

//PRELOADER
$(window).on('load', function () { // makes sure the whole site is loaded
    $('#status').fadeOut(); // will first fade out the loading animation 
    $('.js').delay(350).fadeOut('slow'); // will fade out the white DIV that covers the website. 
    $('body').delay(350).css({'overflow': 'visible'});
});

//BACK TO TOP
var btn = $('#button');
$(window).scroll(function () {
    if ($(window).scrollTop() > 300) {
        btn.addClass('show');
    } else {
        btn.removeClass('show');
    }
});

btn.on('click', function (e) {
    e.preventDefault();
    $('html, body').animate({scrollTop: 0}, '300');
});
